// Based on:
//      Date: 15.1.98
//      Filename: Edsspm.h
//      Written By: Hywel Morgan (Boldon James Limited)
//
// Offset definition (.h) file for extensible counter objects and counters
//
#ifndef _DSPCTRS_H
#define _DSPCTRS_H

#define DSPOBJ			0
#define CURR_CONNECTS		2
#define NEW_CONNECTS_RATE	4
#define PEAK_CONNECTS		6
#define DISCONNECTS_RATE        8

#define BYTES_SENT_RATE		10
#define PACKETS_SENT_RATE       12

#define WORKER_THREADS		14
#define PEAK_WORKER_THREADS	16

#define FAILED_WRITES		18
#define FAILED_WRITES_RATE	20
#define FAILED_READS		22
#define FAILED_READS_RATE	24
#define FAILED_ACCEPTS		26
#define FAILED_ACCEPTS_RATE	28
#define FAILED_CONNECTS		30
#define FAILED_CONNECTS_RATE	32

#define REFERRALS               34
#define REFERRAL_RATE           36
#define TOTAL_CONNECTS           38

#endif

