// Copyright (c) 1998  Microsoft Corporation

//
//	Object and Counter definitions
//

#define OBJECT_IMAP4						0


#define CTR_APPEND_TOTAL					2
#define CTR_APPEND_RATE						4
#define CTR_APPEND_FAILED					6
#define CTR_AUTHENTICATE_TOTAL				8
#define CTR_AUTHENTICATE_RATE				10
#define CTR_AUTHENTICATE_FAILED				12
#define CTR_CAPABILITY_TOTAL				14
#define CTR_CAPABILITY_RATE					16
#define CTR_CAPABILITY_FAILED				18
#define CTR_CHECK_TOTAL						20
#define CTR_CHECK_RATE						22
#define CTR_CHECK_FAILED					24
#define CTR_CLOSE_TOTAL						26
#define CTR_CLOSE_RATE						28
#define CTR_CLOSE_FAILED					30
#define CTR_COPY_TOTAL						32
#define CTR_COPY_RATE						34
#define CTR_COPY_FAILED						36
#define CTR_CREATE_TOTAL					38
#define CTR_CREATE_RATE						40
#define CTR_CREATE_FAILED					42
#define CTR_DELETE_TOTAL					44
#define CTR_DELETE_RATE						46
#define CTR_DELETE_FAILED					48
#define CTR_EXAMINE_TOTAL					50
#define CTR_EXAMINE_RATE					52
#define CTR_EXAMINE_FAILED					54
#define CTR_EXPUNGE_TOTAL                                       56
#define CTR_EXPUNGE_RATE                                        58
#define CTR_EXPUNGE_FAILED                                      60
#define CTR_FETCH_TOTAL						62
#define CTR_FETCH_RATE						64
#define CTR_FETCH_FAILED					66
#define CTR_LIST_TOTAL						68
#define CTR_LIST_RATE						70
#define CTR_LIST_FAILED						72
#define CTR_LOGIN_TOTAL						74
#define CTR_LOGIN_RATE						76
#define CTR_LOGIN_FAILED					78
#define CTR_LOGOUT_TOTAL					80
#define CTR_LOGOUT_RATE						82
#define CTR_LOGOUT_FAILED					84
#define CTR_LSUB_TOTAL						86
#define CTR_LSUB_RATE						88
#define CTR_LSUB_FAILED						90
#define CTR_NOOP_TOTAL						92
#define CTR_NOOP_RATE						94
#define CTR_NOOP_FAILED						96
#define CTR_RENAME_TOTAL					98
#define CTR_RENAME_RATE						100
#define CTR_RENAME_FAILED					102
#define CTR_RLIST_TOTAL						104
#define CTR_RLIST_RATE						106
#define CTR_RLIST_FAILED					108
#define CTR_RLSUB_TOTAL						110
#define CTR_RLSUB_RATE						112
#define CTR_RLSUB_FAILED					114
#define CTR_SEARCH_TOTAL					116
#define CTR_SEARCH_RATE						118
#define CTR_SEARCH_FAILED					120
#define CTR_SELECT_TOTAL					122
#define CTR_SELECT_RATE						124
#define CTR_SELECT_FAILED					126
#define CTR_STATUS_TOTAL					128
#define CTR_STATUS_RATE						130
#define CTR_STATUS_FAILED					132
#define CTR_STORE_TOTAL						134
#define CTR_STORE_RATE						136
#define CTR_STORE_FAILED					138
#define CTR_SUBSCRIBE_TOTAL					140
#define CTR_SUBSCRIBE_RATE					142
#define CTR_SUBSCRIBE_FAILED				144
#define CTR_UID_TOTAL						146
#define CTR_UID_RATE						148
#define CTR_UID_FAILED						150
#define CTR_UNSUBSCRIBE_TOTAL				152
#define CTR_UNSUBSCRIBE_RATE				154
#define CTR_UNSUBSCRIBE_FAILED				156
//#define CTR_ID_TOTAL
//#define CTR_ID_RATE
//#define CTR_ID_FAILED
#define CTR_IDLE_TOTAL						158
#define CTR_IDLE_RATE						160
#define CTR_IDLE_FAILED						162
#define CTR_NAMESPACE_TOTAL					164
#define CTR_NAMESPACE_RATE					166
#define CTR_NAMESPACE_FAILED				168
//#define CTR_GETQUOTA_TOTAL
//#define CTR_GETQUOTA_RATE
//#define CTR_GETQUOTA_FAILED
//#define CTR_GETQUOTAROOT_TOTAL
//#define CTR_GETQUOTAROOT_RATE
//#define CTR_GETQUOTAROOT_FAILED
//#define CTR_SETQUOTA_TOTAL
//#define CTR_SETQUOTA_RATE
//#define CTR_SETQUOTA_FAILED
#define CTR_INVALID_COMMANDS				170
#define CTR_INVALID_COMMANDS_RATE			172
#define CTR_CONNECTIONS_TOTAL				174
#define CTR_CONNECTIONS_CURRENT				176
#define CTR_CONNECTIONS_FAILED				178                     
#define CTR_CONNECTIONS_REJECTED			180
