#ifndef CONNPERF_H
#define CONNPERF_H

#define NOTESCOBJ          0

// Performance Counters Name/Help Indexes
//----------------------------------------------------------------------------

// Connector counter defines
//---------------------------
#define MEXGOODTXN         2
#define MEXNDRTXN          4
#define NTSGOODTXN         6
#define NTSNDRTXN          8
#define MEXTXNVOL          10
#define NTSTXNVOL          12

// Queue counters defines
//---------------------------
#define MSGQIN             14
#define MSGQOUT            16 
#define VOLQIN             18
#define VOLQOUT            20

// Rate Counter
//--------------
#define MEXNTSMSGRATE      22
#define NTSMEXMSGRATE      24
#define MEXNTSVOLRATE      26
#define NTSMEXVOLRATE      28

#endif