/*==========================================================================*\

    Module:        sdiisctrs.h

    Copyright Microsoft Corporation 1998, All Rights Reserved.

    Author:        maheshj

    Descriptions:  Object and Counter definitions for iis store driver.

\*==========================================================================*/

//
//  Object and Counter definitions
//

#define OBJECT_SDIIS                            0

#define SDIIS_NUM_SUBMIT                        2
#define SDIIS_NUM_LOCAL_DELIVERY                4
#define SDIIS_NUM_ALLOC                         6
#define SDIIS_NUM_REOPEN                        8
#define SDIIS_NUM_DELETE                        10
#define SDIIS_NUM_CLOSE_CONTENT                 12
#define SDIIS_NUM_REALLOC                       14
#define SDIIS_NUM_COMMIT                        16
#define SDIIS_NUM_READ_BLOCKS                   18
#define SDIIS_NUM_GET_SIZE                      20
#define SDIIS_NUM_OPEN_STREAM                   22
#define SDIIS_NUM_OPEN_CONTENT                  24
#define SDIIS_NUM_LOCAL_DELIVERY_RETRY          26
#define SDIIS_NUM_PENDING_STORE_ACKS            28
