/*
 -	sinkperf.h
 -
 *	Purpose:
 *		Contains the complete list of PerfMon counter indexes for OMASINK.  These
 *		indexes must start at zero and increase in multiples of two.  These
 *		represent the object or counter name; the odd numbered counters (or
 *		a given counter index plus 1) represents the counter help.
 *
 *	Copyright (C) 1999-2000 Microsoft Corporation
 *
 */

#define OMASINK_OBJECT					0
#define OMASINK_ONSAVE_EVENTS           2
#define OMASINK_ONSAVE_EVENTS_SEC       4
#define OMASINK_NOTIF_SENT		   		6
#define OMASINK_NOTIF_SENT_SEC	   		8
#define OMASINK_NOTIF_IGNORED			10
#define OMASINK_NOTIF_IGNORED_SEC		12
#define OMASINK_NOTIF_DROPPED			14
#define OMASINK_NOTIF_DROPPED_SEC		16

#define MISCAT_NOTIF_PROCESSED		    18
#define MISCAT_NOTIF_PROCESSED_SEC  	20
#define MISCAT_NOTIF_SENT		   		22
#define MISCAT_NOTIF_SENT_SEC	   		24
#define MISCAT_NOTIF_IGNORED			26
#define MISCAT_NOTIF_DROPPED			28
#define MISCAT_NOTIF_EXPIRED			30
#define MISCAT_NOTIF_BIFURCATED         32
