<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xmlns:d="urn:schemas:httpmail:" xmlns:g="http://schemas.microsoft.com/exchange/" xmlns:f="urn:schemas-microsoft-com:office:office" xmlns:a="DAV:" default-space="strip">
<xsl:template match="/">
<xsl:for-each select="a:multistatus/a:response" xmlns:a="DAV:">
<DIV id="ndCont" nowrap="true" class="fldCont">
	<xsl:for-each select="a:propstat/a:prop">
	<xsl:choose>
		<xsl:when test="g:content-href">
			<xsl:attribute name="url"><xsl:value-of select="g:content-href"/></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="url"><xsl:value-of select="a:href"/></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:choose>
		<xsl:when test="a:hassubs[. $eq$ '1']">
	<IMG id="expInd" style="cursor:hand;" class="expIco" align="absmiddle" src="/exchweb/img/plus.gif"/>
		</xsl:when>
		<xsl:otherwise >
	<IMG id="expInd" class="clrIco" align="absmiddle" src="/exchweb/img/clear.gif"/>
		</xsl:otherwise>
	</xsl:choose>
	<IMG id="unSel"  class="fldIco" align="absmiddle" width="16" height="16">
	<xsl:attribute name="src">
		<xsl:value-of select="g:smallicon" />
	</xsl:attribute>
	</IMG><A class="fldName" name="fldA" searchFolder="0" href="#">
	<xsl:choose>
		<xsl:when test="g:content-href">
			<xsl:attribute name="contentHref"><xsl:value-of select="g:content-href"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="g:content-href"/></xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="contentHref"><xsl:value-of select="a:href"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="a:href"/></xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:value-of select="a:displayname"/>
	</A>
	</xsl:for-each>
	<DIV id="ndChldCont" nowrap="true" class="chldCont" style="display:none;" ></DIV>
</DIV>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
