<!--Copyright (c) 2000-2003 Microsoft Corporation.  All rights reserved.-->
<% @ ENABLESESSIONSTATE=FALSE LANGUAGE=VBSCRIPT CODEPAGE=1252 %>
<%
Function IsTrustedProtocol(sUrl)
	Dim iSearchResult, sProt, rgTrustedProtocols, iUrlLen, sUrlLowerCase

	rgTrustedProtocols = Array("http://", "https://", "ftp://", "file://", "file:\\","mailto:", "news:")
	IsTrustedProtocol = False

	sUrlLowerCase = LCase(sUrl)
	iUrlLen = Len(sUrlLowerCase)

	' Check the URL to see that it starts with a valid protocol
	' and make sure the URL is longer than just the protocol
	'
	For Each sProt in rgTrustedProtocols
		iSearchResult = InStr(sUrlLowerCase, sProt)
		if iSearchResult = 1 and iUrlLen > Len(sProt) Then
			IsTrustedProtocol = True
			Exit Function
		end if
	Next
	
End Function

Function GetPath()
	On error resume next
	
	Dim RedirectPath, ServerUrl, SecureServerUrl, ServerVars, HTTPHost

	Set ServerVars = Request.ServerVariables
	RedirectPath = Request.QueryString ("URL")

	if RedirectPath = "" then
	      RedirectPath = ServerVars("HTTP_REFERER")
	end if

	HTTPHost = UCase(ServerVars("HTTP_HOST"))
	ServerUrl = "HTTP://" & HTTPHost
	SecureServerUrl = "HTTPS://" & HTTPHost

	Response.Expires = -1
	Response.CacheControl = "No-cache"
		
	' If the redirect URL starts with a URL that is on this server, 
	' we don't want to allow it to go through
	' This is to prevent people from sending URLs to a user that link
	' to empty deleted items and other things you can do in OWA via URLs
	' we also fail if the protocol of the URL we are redirecting to is not a trusted one
	'		
	if RedirectPath = "" or InStr(UCase(RedirectPath), ServerUrl) = 1 or InStr(UCase(RedirectPath), SecureServerUrl) = 1 or IsTrustedProtocol(RedirectPath) = False then
		Response.Status = "403 Forbidden"
		Response.End
	else
		GetPath = "window.location = """ & EncodeJSBlock(unescape(RedirectPath)) & """"
	end if

End Function

Function EncodeJSBlock(sURL)
	sURL = Replace(sURL, "\", "\\")
	sURL = Replace(sURL, """", "\""")
	sURL = Replace(sURL, "'", "\'")
	sURL = Replace(sURL, "/", "\/")
	EncodeJSBlock = sURL
End Function
%>
<html>
<head>
<script>
	<%=GetPath()%>;
</script>
</head>
</html>

