<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xmlns:d="urn:schemas:httpmail:" xmlns:g="http://schemas.microsoft.com/exchange/" xmlns:f="urn:schemas-microsoft-com:office:office" xmlns:a="DAV:" default-space="strip">
<xsl:template match="/">
<xsl:for-each select="a:multistatus/a:response" xmlns:a="DAV:">
<DIV id="nodeContainer" nowrap="true" style="padding-left:2px;" onclick="if(null == event.returnValue)event.returnValue=this;">
<xsl:for-each select="a:propstat/a:prop">
<xsl:choose>
	<xsl:when test="g:content-href">
		<xsl:attribute name="url"><xsl:value-of select="g:content-href"/></xsl:attribute>
	</xsl:when>
	<xsl:otherwise>
		<xsl:attribute name="url"><xsl:value-of select="a:href"/></xsl:attribute>
	</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="a:hassubs[. $eq$ '1']">
<IMG id="expIndicator" width="16" height="16"  border="0" style="cursor:hand;" src="/exchweb/img/tree-splus20.gif"/>
	</xsl:when>
	<xsl:otherwise >
<IMG id="expIndicator" width="16" height="16"  border="0" src="/exchweb/img/tree-clear16.gif"/>
	</xsl:otherwise>
</xsl:choose>
<IMG id="folderIcon"  width="16" height="16"  border="0" style="cursor:hand"  >
<xsl:choose>
		<xsl:when test="inbox">
			<xsl:attribute name="src">
				/exchweb/img/tree-inbox.gif
			</xsl:attribute>
		</xsl:when>
		<xsl:when test="deleteditems">
			<xsl:attribute name="src">
				/exchweb/img/tree-deleted.gif
			</xsl:attribute>
		</xsl:when>
		<xsl:when test="sentitems">
			<xsl:attribute name="src">
				/exchweb/img/tree-sent_itm.gif
			</xsl:attribute>
		</xsl:when>
		<xsl:when test="outbox">
			<xsl:attribute name="src">
				/exchweb/img/tree-outbox.gif
			</xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
			<xsl:attribute name="src">
				<xsl:value-of select="g:smallicon" />
			</xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>
</IMG>
<SPAN id="MSOWA_unselected" style="display:none"></SPAN>
<A onclick="return(false);" class="treeLeafName">
<xsl:choose>
	<xsl:when test="d:unreadcount[. $gt$ '0']">
		<xsl:attribute name="style">text-decoration:none;color:windowtext;font-weight:bold</xsl:attribute>
	</xsl:when>
	<xsl:otherwise>
		<xsl:attribute name="style">text-decoration:none;color:windowtext;</xsl:attribute>
	</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="g:content-href">
		<xsl:attribute name="href"><xsl:value-of select="g:content-href"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of select="g:content-href"/></xsl:attribute>
	</xsl:when>
<xsl:otherwise>
	<xsl:attribute name="href"><xsl:value-of select="a:href"/></xsl:attribute>
	<xsl:attribute name="id"><xsl:value-of select="a:href"/></xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="contentClass"><xsl:value-of select="a:contentclass"/></xsl:attribute>
<xsl:value-of select="a:displayname"/></A>
	<xsl:choose>
		<xsl:when test="d:unreadcount[. $gt$ '0']">
			<SPAN id="MSOWA_unreadcount" style="color:blue">(<xsl:value-of select="d:unreadcount" />)</SPAN>
		</xsl:when>
		<xsl:otherwise>
			<SPAN id="MSOWA_unreadcount" style="display:none;color:blue"></SPAN>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:for-each>
	<DIV id="nodeChildrenContainer" nowrap="true" style="display:none;margin-left:16px" ></DIV>
</DIV>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>