//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var szTitle = " Folder";
var g_CurrentFolderNode;
var g_MoveCopyMode;
var g_Location;
var g_DisplayName;
var g_VirtualRoot;
var g_NewFolderDialogPath;
var g_MessageDataString;
var g_OpenerTreeCtrl;
var g_ImagesRoot;
var fCreatedFolder =  false;
var CTL_E_PERMISSIONDENIED = (1^0x800a0046)-1;
var FACILITY_WIN32_ERROR_ACCESS_DENIED = (1^0x80070005)+1;

var g_szrgErrors = new Array();
g_szrgErrors[900]   = L_errCommunicationfailure_ErrorMessage;
g_szrgErrors[401]   = L_errLogonFailure_ErrorMessage;
g_szrgErrors[404]   = L_ErrorItemNotFound_ErrorMessage;
g_szrgErrors[405]   = L_idsFolderDuplicateNameError;
g_szrgErrors[403]   = L_errAccessDenied_ErrorMessage;
g_szrgErrors[412]   = L_errPreconditionfailure_ErrorMessage;
g_szrgErrors[500]   = L_errInternalServerError_ErrorMessage;
g_szrgErrors[501]   = L_errInternalServerError_ErrorMessage;
g_szrgErrors[502]   = L_errBadGateway_ErrorMessage;  //DAV return Bad Gateway.
// This error occurs when copying folders between private and public stores
g_szrgErrors[503]   = L_errServiceNotAvailable_ErrorMessage;
g_szrgErrors[1001] = L_ErrorIllegalCharacter_Text;

function window.onload()
{

	var oWinDocAll = document.body.all;
	oWinDocAll.btnOk.style.fontFamily =
	oWinDocAll.btnClose.style.fontFamily =
	oWinDocAll.btnNewFolder.style.fontFamily =
		 document.body.currentStyle.fontFamily;

	window.returnValue = false;
	GetParams();

}

function window.document.onkeypress()
{
	switch(event.keyCode)
	{
		case 27:
			CloseDialog();
		break;
	}
}

function GetParams()
{
	g_CurrentFolderNode		=	window.dialogArguments["g_CurrentFolderNode"];
	g_MoveCopyMode			=	window.dialogArguments["g_MoveCopyMode"];
	g_Location				=	window.dialogArguments["g_Location"];
	g_DisplayName			=	window.dialogArguments["g_DisplayName"];
	g_VirtualRoot			=	window.dialogArguments["g_VirtualRoot"];
	g_ImagesRoot			=	g_VirtualRoot + "/img/";
	g_NewFolderDialogPath	=	window.dialogArguments["g_NewFolderDialogPath"];
	g_MessageDataString		=	window.dialogArguments["g_MessageDataString"];
	g_OpenerTreeCtrl		=	window.dialogArguments["g_OpenerTreeCtrl"];
}

function DoMoveCopy()
{
var node			= objTree.selectedNode;
var szName			= "";
var szParentNode	= "";
var objectURL		= "";
var destinationURL	= "";
var iIndex;
var szURLCompName;
	if (node != null)
	{
		window.document.body.style.cursor="wait";
		if(g_MessageDataString != null)
		{
			destinationURL = node.url;
			objTree.dropXMLData(g_MessageDataString, destinationURL, g_MoveCopyMode.toUpperCase())
		}
		else
		{
			objectURL	= g_CurrentFolderNode.url;
			szURLCompName = objectURL;
			iIndex = szURLCompName.substr(0,szURLCompName.length-1).lastIndexOf("/")
			szURLCompName = szURLCompName.substr(iIndex + 1)
			destinationURL = node.url + szURLCompName;

			switch(g_MoveCopyMode.toUpperCase())
			{
				case "MOVE":
					objTree.moveFolder(objectURL,destinationURL)
				break;
				case "COPY":
					objTree.copyFolder(objectURL,destinationURL)
				break;
			}
		}
	}
}

function NewFolder()
{
	var params=null;
	if(!g_NewFolderDialogPath)
	{
		return(false);
	}
	params = CreateNewFolderParams();

	var oStyle = window.document.body.currentStyle;
	var szFont = "FONT:"+ oStyle.fontFamily + ";font-size:" + oStyle.fontSize + ";";
	var nFontHeight = parseInt(oStyle.fontSize);
	var nWidth = 50 + 25 * nFontHeight;
	var nHeight = 220 + 12 * nFontHeight;
	var hWin = window.showModalDialog(g_NewFolderDialogPath, params,szFont+"dialogHeight:"+nHeight+"px;dialogWidth:"+nWidth+"px;status:no;resizable:yes;help:no;")
	fCreatedFolder = true;
}

function CreateNewFolderParams()
{
	var rgParams = new Array();
	rgParams["g_CurrentFolderNode"]	=	objTree.selectedNode;
	rgParams["g_OpenerTreeCtrl"]	=	objTree;
	rgParams["g_Location"]			=	g_Location;
	rgParams["g_VirtualRoot"]		=	g_VirtualRoot;
	return rgParams;
}

function CloseDialog()
{
	if(g_OpenerTreeCtrl != null)
	{
		g_OpenerTreeCtrl.cloneTree(objTree);
	}
	self.close();
}

function objTree_OnFolderOperationComplete()
{
	window.document.body.style.cursor="default";
	var szCommand = event.command;
	if( -1 < szCommand.indexOf("MOVE") ||  -1 < szCommand.indexOf("COPY"))
	{
		window.returnValue = true;
		//Before closing the dialog we must allow the browser
		//time to render the new folders
		window.setTimeout("CloseDialog();", 1000);
	}
}


function InitializeTree()
{

	if(g_OpenerTreeCtrl != null)
	{
		objTree.cloneTree(g_OpenerTreeCtrl);
		return(true);
	}
	return(false);
}

function f_HandleError(num)
{

	if(g_szrgErrors[num])
	{
		alert(g_szrgErrors[num]);
	}
	else if(num == CTL_E_PERMISSIONDENIED || num == FACILITY_WIN32_ERROR_ACCESS_DENIED)
	{
		alert(L_errCrossDomainAccessDenied_ErrorMessage)
	}
	else
	{
		alert(L_idsUnknownError_Text + "\r\n" + num);
	}
	window.document.body.style.cursor="auto";
	return;
}

function onTreeError()
{
	f_HandleError(event.statusCode);
}

function onTreeReady()
{
	if(!InitializeTree())
	{
		objTree.addHierarchy(g_Location,true, g_DisplayName);
	}
}