//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var g_szIllegalCharacters		= /(\/|\\)/i;
var g_CurrentFolderNode;
var g_Location;
var g_DisplayName;
var g_VirtualRoot;
var g_ImagesRoot;
var g_OpenerTreeCtrl;
var fCreatedFolder = false;
var CTL_E_PERMISSIONDENIED = (1^0x800a0046)-1;
var FACILITY_WIN32_ERROR_ACCESS_DENIED = (1^0x80070005)+1;
var g_szrgErrors = new Array();
g_szrgErrors[900] = L_errCommunicationfailure_ErrorMessage;
g_szrgErrors[401] = L_errLogonFailure_ErrorMessage;
g_szrgErrors[404] = L_ErrorItemNotFound_ErrorMessage;
g_szrgErrors[405] = L_idsFolderDuplicateNameError;
g_szrgErrors[403] = L_errAccessDenied_ErrorMessage;
g_szrgErrors[412] = L_errPreconditionfailure_ErrorMessage; 
g_szrgErrors[500] = L_errInternalServerError_ErrorMessage;
g_szrgErrors[501] = L_errInternalServerError_ErrorMessage;
g_szrgErrors[502] = L_errBadGateway_ErrorMessage;  //DAV return Bad Gateway.  
// This error occurs when copying folders between private and public stores
g_szrgErrors[503] = L_errServiceNotAvailable_ErrorMessage;
g_szrgErrors[1001] = L_ErrorIllegalCharacter_Text;


function window.onload()
{
	GetParams();

	var oWinDocAll = document.body.all;
	oWinDocAll.lstContentClass.style.fontFamily =
	oWinDocAll.idNewFolder.style.fontFamily = 
	oWinDocAll.btnOK.style.fontFamily = 
	oWinDocAll.btnCancel.style.fontFamily = 
	document.body.currentStyle.fontFamily;

}

function window.document.onkeypress()
{
	switch(event.keyCode)
	{
		case 27:
			CloseDialog();
		break;
		case 13:
			AddFolder();
		break;
	}
}

function GetParams()
{
	g_CurrentFolderNode = window.dialogArguments["g_CurrentFolderNode"];
	g_Location			= window.dialogArguments["g_Location"];
	g_DisplayName		= window.dialogArguments["g_DisplayName"];
	g_VirtualRoot		= window.dialogArguments["g_VirtualRoot"];
	g_ImagesRoot		= g_VirtualRoot + "/img/";
	g_OpenerTreeCtrl	= window.dialogArguments["g_OpenerTreeCtrl"];
}

function InitializeTree()
{
		if(g_OpenerTreeCtrl != null)
		{
			objTree.cloneTree(g_OpenerTreeCtrl);
			return(true);		
		}
		return(false);
}

function AddFolder()
{
	var sc;
	if(btnOK.disabled == false)
	{
		btnOK.disabled = true;
		var node	= objTree.selectedNode;
		
		if (node != null)
		{
			var url		= node.url;
			var name	= foldername.value;
			sc = objTree.createFolder(url, name,lstContentClass.value); 
			if (sc == false)
			{
				//re enable button in case an input error occurred
				btnOK.disabled = false;
			}
		}
		else
		{
			alert(L_idsSelectOneFolderError_Error)
			btnOK.disabled = false;
		}	
	}
}

function CloseDialog()
{
	if(g_OpenerTreeCtrl != null && fCreatedFolder == true)
	{
		g_OpenerTreeCtrl.cloneTree(objTree);
	}
	self.close();
}

function objTree_OnFolderOperationComplete()
{
	if("MKCOL" ==event.command)
	{
		fCreatedFolder = true;
		return; //Wait for second event for expanding the tree
	}
	if(fCreatedFolder)
	{
		//Before closing the dialog we must allow the browser 			//time to render the new folders
		window.setTimeout("CloseDialog();", 1000);
	}
}

function f_HandleError(num)
{
	if(g_szrgErrors[num])
	{
		alert(g_szrgErrors[num]);
	}
	else if(num == CTL_E_PERMISSIONDENIED || num == FACILITY_WIN32_ERROR_ACCESS_DENIED)
	{
		alert(L_errCrossDomainAccessDenied_ErrorMessage)
	}
	else
	{
		alert(L_idsUnknownError_Text + "\r\n" + num);
	}
	window.document.body.style.cursor="auto";
	btnOK.disabled = false;
	return;
}

function onTreeError()
{
	f_HandleError(event.statusCode);
}

function onTreeReady()
{
	if(!InitializeTree())
	{
		objTree.addHierarchy(g_Location,true, g_DisplayName);	
	}
	btnOK.disabled = false;
}