//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var m_iStartIndex = 0;
var m_iLastIndex = -1;
var UP   = 38;
var DOWN = 40;
var m_xmlHTTP = new ActiveXObject("Microsoft.xmlHTTP");
var m_ANRxmlHTTP = null;
var m_fButtonsDisabled = false;
var m_fAddDisabled = true;
var m_fRemoveDisabled = true;
var g_winDocAll = window.document.all;
var m_szTargetURL = "";
var m_objXSLtable;
var m_objXMLdata;
var m_szNextFunc = "none";
var m_szCurrentName = "";
var m_szNameToSearch = "";
var m_iUnresolvedCount = 0;
var m_fJustAdded = false;
var m_fViewerNeedsRefresh = false;

function clickSave()
{
	if (null == listName.value.match(/([^\s])/) && !confirm(g_NoName_Text))
	{
		EnableButtons();
		return;
	}
	m_szNextFunc = "close";
	saveListName();
}

function saveListName()
{
	if (m_szCurrentName != listName.value || "" == m_szTargetURL)
	{
		DisableButtons(true);
		window.document.title = (null == listName.value.match(/([^\s])/)) ? g_UntitledCDLTitle : listName.value;
		m_szCurrentName = listName.value;
		var szRequestBody = "Cmd=save\nmsgclass=IPM.DistList\nhttp://schemas.microsoft.com/mapi/dlname="+listName.value;
		m_fViewerNeedsRefresh = true;
		mfSendPostRequest(szRequestBody); 
	}
	else if ("close" == m_szNextFunc)
	{
		closeWindow();
	}
}
function clickMailTo()
{
	if ("" == m_szTargetURL || m_szCurrentName != listName.value)
	{
		m_szNextFunc="mailTo";
		saveListName();
	}
	else
	{
		var mailToURL = m_szTargetURL.substring(g_szUserBase.length, m_szTargetURL.length);
		openNewWindow(g_szUserBase + '/' + g_szDrafts + "/?Cmd=new&MailTo="+mailToURL,"",700, 500)
	}
}
function clickRemove()
{
	var rows = memberRows.all("selectedRow");
	if (m_fRemoveDisabled ||null == rows || !confirm(g_idsConfirmMemberDelete))
		return;
	DisableButtons(true);
	var szRequestBody = "Cmd=deletemember\nmsgclass=IPM.DistList";
	if (null == rows.length)
	{
		szRequestBody += "\nmemberid="+rows.memberid;
	}
	else
	{
		for (var i = 0; i < rows.length; i++)
		{
			szRequestBody += "\nmemberid="+rows(i).memberid;
		}
	}
	mfSendPostRequest(szRequestBody); 
}
function clickAddMember()
{
	if (m_fAddDisabled)
		return;
	m_szNameToSearch = addField.value;
	addField.value="";
	sendAddRequest();
}
function sendAddRequest()
{
		DisableButtons(true);
		var szRequestBody = "Cmd=addmember\nmsgclass=IPM.DistList\nmember="+m_szNameToSearch;
		if ("" == m_szTargetURL && "" != listName.value)
		{
			window.document.title = (null == listName.value.match(/([^\s])/)) ? g_UntitledCDLTitle : listName.value;
			m_szCurrentName = listName.value;
			szRequestBody += "\nhttp://schemas.microsoft.com/mapi/dlname="+listName.value;
			m_fViewerNeedsRefresh = true;
		}
		m_fJustAdded = true;
		mfSendPostRequest(szRequestBody); 
}
function mfSendPostRequest(szRequestBody)
{
	if ("" == m_szTargetURL)
	{
		m_szTargetURL = g_szUserBase + "/" + (g_fPublicOnly ? g_szFolder : g_szContacts)+"/";
	}
	try
	{
		m_xmlHTTP.open("POST",m_szTargetURL,true);
		if(g_szAcceptLang != "")
		{
			m_xmlHTTP.setRequestHeader("Accept-Language",g_szAcceptLang);
		}
		m_xmlHTTP.onreadystatechange = event_onreadystatechange_PostData;
		m_xmlHTTP.setRequestHeader( "Content-type", "application/x-www-UTF8-encoded");
		m_xmlHTTP.send(szRequestBody);
	}
	catch(e)
	{
		return("frm_ComposeCDL20.js:\n" + e.number + "\n" + e.description);
	}
}
function event_onreadystatechange_PostData()
{
	if(m_xmlHTTP.readystate == 4)
	{
		m_xmlHTTP.onreadystatechange = event_nop;
		switch(m_xmlHTTP.status)
		{
			case 200:
				m_objXMLdata = m_xmlHTTP.responseXML;
				m_szTargetURL = m_objXMLdata.documentElement.selectSingleNode("//href").text;
				var szNextFunc = m_szNextFunc;
				m_szNextFunc = "none";
				if (m_fViewerNeedsRefresh)
				{
					m_fViewerNeedsRefresh = false;
					try
					{
						window.opener.RefreshMessageList(g_szFolder);
					}
					catch(e) { /* window.opener not available */ }
				}	
				switch(szNextFunc)
				{
					case "mailTo":
						clickMailTo();
						break;
					case "close":
						closeWindow();
					default:
						memberWell.innerHTML = m_objXMLdata.transformNode(m_objXSLtable.documentElement);
						m_fRemoveDisabled = true;
						removeButton.disabled = true;
						checkAddField();
						addField.value = m_objXMLdata.documentElement.selectSingleNode("//membertext").text;
						var szError = m_objXMLdata.documentElement.selectSingleNode("//error").text;
						m_iUnresolvedCount = m_objXMLdata.documentElement.selectSingleNode("//unresolvedcount").text;
						checkAddField();
						if ("" != szError)
							alert(szError);
						else if ("" != addField.value)
							spawnANRdialog();
						break;
				}
				break;
			case 503:
				alert(g_errServiceNotAvailable_ErrorMessage);
				break;
			case 500:
				alert(g_errInternalServerError_ErrorMessage);
				break;
			default:				
				alert(""+m_xmlHTTP.status+"\n"+ g_errCommunicationfailure_ErrorMessage);
				break;
		}
		EnableButtons();
	}
}
function spawnANRdialog()
{
	try 
	{
		if (null == m_ANRxmlHTTP)
			m_ANRxmlHTTP = new ActiveXObject("Microsoft.xmlhttp");
		var szURL = m_szTargetURL + "?Cmd=editrecipient&name="+toUTF8(addField.value);
		m_ANRxmlHTTP.open("GET",szURL,true); 
		//Pass accept language up to server to maintain user context.
		m_ANRxmlHTTP.onreadystatechange = event_onreadystatechange_ANRData;
		if(g_szAcceptLang != "")
		{
			m_ANRxmlHTTP.setRequestHeader( "Accept-Language", g_szAcceptLang);	 
		}	
		m_ANRxmlHTTP.setRequestHeader( "Content-type", "text/xml");	 
		m_ANRxmlHTTP.send();
	}
	catch(e)
	{
		return("frm_ComposeCDL20.js:\n" + e.number + "\n" + e.description);
	}
}
function event_onreadystatechange_ANRData()
{
	if(m_ANRxmlHTTP.readystate == 4)
	{
		m_ANRxmlHTTP.onreadystatechange		= event_nop;
		var rg_Params						= new Array();
		rg_Params["recipientTDData"]		= null;
		rg_Params["returnedRecipientName"]	= "";
		rg_Params["returnedRecipientType"]	= "";
		rg_Params["returnedRecipientEmail"]	= "";
		rg_Params["g_EditNameDialog"]		= g_szUserBase+"?Cmd=dialog&template=dlg_editname"
		rg_Params["g_DisplayName"]			= addField.value;
		rg_Params["recipientTDData"]		= m_ANRxmlHTTP.responseText;
		var szDialog = g_szUserBase+"?Cmd=dialog&template=dlg_anr"
		var oStyle = window.document.body.currentStyle;
		var nFontHeight = listNameLabel.offsetHeight - 4;
		var szFont = "FONT:"+ oStyle.fontFamily + ";font-size:" + nFontHeight + ";";
		var vRetval = window.showModalDialog(szDialog, rg_Params,szFont+"dialogHeight:300px;dialogWidth:500px;status:no;resizable:yes;help:no;scroll:no")       
		if (vRetval!=null)
		{
			m_szNameToSearch = "["+rg_Params["returnedRecipientType"]+":"+rg_Params["returnedRecipientEmail"]+"]";
			sendAddRequest();
		}
	}
}
function event_nop()
{
	return;
}
function clickFind()
{
	var rgParams=new Array();
	rgParams["CDLText"]  = g_szCDLGalBtn;
	rgParams["returnFunc"] = addFromGal;
	var oStyle = window.document.body.currentStyle;
	var nFontHeight = listNameLabel.offsetHeight - 4;
	var szFont = "FONT:"+ oStyle.fontFamily + ";font-size:" + nFontHeight + "px;";
	var nWidth = 110 + 30 * nFontHeight;
	var nHeight = 210 + 25 * nFontHeight;
	window.showModelessDialog(g_szUserBase+"?Cmd=dialog&template=dlg_gal", rgParams, szFont+"dialogHeight:"+nHeight+"px;dialogWidth:"+nWidth+"px;status:no;resizable:yes;help:no;");
}
function addFromGal(result)
{
	m_szNameToSearch = result;
	sendAddRequest();
}
function window.document.onselectstart()
{
	return ("listName" == event.srcElement.id || "addField" == event.srcElement.id);
}
function window.document.onkeydown()
{
	var bCancelEvents=true;
	switch (event.keyCode)
	{
		case 13:
			if (window.event.srcElement.id == "addField" && !m_fButtonsDisabled)
				clickAddMember();
			else
				bCancelEvents=false;
			break;
		case 27:
			closeWindow();
			break;
		default:
			bCancelEvents=false;
			break;
	}
	if (bCancelEvents)
	{
		event.cancelBubble=true;
		event.returnValue=false;
	}	
}
function checkAddField()
{
	m_fAddDisabled = ("" == addField.value);
	addButton.disabled = m_fAddDisabled;
}
function checkUnresolved(bClosing)
{
	if (m_iUnresolvedCount>0)
	{
		var szAlert = (1 == m_iUnresolvedCount) ? g_One_Unresolved_Text : g_Multi_Unresolved_Text.replace(/\%1/gi,m_iUnresolvedCount);
		if (bClosing)
			return (confirm(szAlert+"\n"+g_AreYouSureCloseMessage_Text));
		else
			alert(szAlert);
	}
	return true;
}
function closeWindow()
{
	if (checkUnresolved(true) && (m_szCurrentName == listName.value || confirm(g_AreYouSureCloseWOSave_Text)))
	{
		self.close();
	}
}
function onCbClick(szCommand, varValue )
{
	szCommand = szCommand.toUpperCase();
	if ("HELP" == szCommand)
		LaunchHelp();
	if (m_fButtonsDisabled)
		return;
	switch (szCommand)
	{
		case "SAVEANDCLOSE":	
			DisableButtons(true);
			clickSave();
			break;
		case "DELETE":
			if("" != m_szTargetURL)
				DeleteMessage(m_szTargetURL, g_szUserBase);
			else
				self.close();
			break;
		case "SENDTOCDL":	
			clickMailTo();
			break;
	}
}
function tableKeyDown()
{
	if (UP == event.keyCode || DOWN == event.keyCode)
	{
		m_fRemoveDisabled = (1 == g_fIsDelegate);
		removeButton.disabled = m_fRemoveDisabled;
		event.cancelBubble=true;
		event.returnValue=false;
		var coll  = memberRows.rows;
		m_iLastIndex += (UP==event.keyCode)? -1 : 1;
		if (m_iLastIndex > coll.length-2)
			m_iLastIndex = coll.length-2;
		if (m_iLastIndex < 0)
			m_iLastIndex = 0;
		if (event.shiftKey)
		{
			var iBeginIndex = Math.min(m_iStartIndex, m_iLastIndex);
			var iEndIndex = Math.max(m_iStartIndex, m_iLastIndex);
			for (var i = 0; i<coll.length-1; i++)
			{
				updateRow(coll.item(i),(iBeginIndex <= i && i <= iEndIndex));
			}
		}
		else
		{
			m_iStartIndex = m_iLastIndex;
			for (var i = 0; i<coll.length-1; i++)
			{
				updateRow(coll.item(i),(i == m_iLastIndex))
			}
		}		
		coll.item(m_iLastIndex).firstChild.focus();
	}
	else if (46 == event.keyCode)
	{
		clickRemove();
	}
}
function rowClick()
{
	var objParent = event.srcElement.parentElement;
	if (event.shiftKey)
	{
		var coll  = memberRows.rows;
		var i;
		for (i = 0; i<coll.length-1; i++)
		{
			if (objParent == coll.item(i) || objParent.parentElement == coll.item(i))
				m_iLastIndex=i;
			updateRow(coll.item(i),false);
		}
		i = Math.min(m_iStartIndex, m_iLastIndex);
		var iEndIndex = Math.max(m_iStartIndex, m_iLastIndex);
		for (i; i <= iEndIndex; i++)
		{
			updateRow(coll.item(i),true);
		}
		m_fRemoveDisabled = (1 == g_fIsDelegate);
		removeButton.disabled = m_fRemoveDisabled;
	}
	else if (event.ctrlKey)
	{
		var objRow = ("memberRow" == objParent.id || "selectedRow" == objParent.id) ? objParent : objParent.parentElement;
		updateRow(objRow, !("highlight" == objRow.style.backgroundColor));
		m_fRemoveDisabled = (1 == g_fIsDelegate) || (null == memberRows.all("selectedRow"));
		removeButton.disabled = m_fRemoveDisabled;
	}
	else
	{
		var coll  = memberRows.rows;
		for (var i = 0; i<coll.length-1; i++)
		{
			if (objParent == coll.item(i) || objParent.parentElement == coll.item(i))
				m_iStartIndex=i;
			updateRow(coll.item(i),false);
		}
		m_iLastIndex = m_iStartIndex;
		var objRow = ("memberRow" == objParent.id || "selectedRow" == objParent.id) ? objParent : objParent.parentElement;
		updateRow(objRow, true);
		m_fRemoveDisabled = (1 == g_fIsDelegate);
		removeButton.disabled = m_fRemoveDisabled;
	}
	objParent.firstChild.focus();
}
function updateRow(objRow, bSelect)
{
	objRow.id = bSelect ? "selectedRow" : "memberRow";
	objRow.style.backgroundColor = bSelect ? "highlight" : "transparent";
	objRow.style.color = bSelect ? "highlighttext" : "";
}
function window.onload()
{
	listName.value = listNameOrig.value;
	if(-1 == document.location.search.toLowerCase().indexOf("cmd=new"))
	{
		if (null == listName.value.match(/([^\s])/))
			window.document.title = g_UntitledCDLTitle;
		m_szTargetURL = g_szURL;
		addField.focus();
	}
	else
	{
		listName.focus();
	}
	if (1 == g_fIsDelegate || 1 == g_fIsEmbedded)
		DisableButtons(false);
	m_szCurrentName = listName.value;
	var oStyles = window.document.styleSheets[0];
	var szFont = "font-family:'" + window.document.body.currentStyle.fontFamily + "'";
	oStyles.addRule( "INPUT", szFont );
	oStyles.addRule( "BUTTON", szFont );
	resizeButtons(g_winDocAll,new Array( 'findButton', 'addButton', 'removeButton' ));
	var re = /MSIE 5\.0/;
	var rgArgs = clientInformation.appVersion.match(re);
	if( null != rgArgs )
	{
		var j;
		for( j = 0; j < document.styleSheets.length; j++ )
		{
			if( -1 == document.styleSheets[j].href.indexOf( "OWAStyle20.css" ) )
				continue;
			var rules = document.styleSheets[j].rules;
			var i;
			for( i = 0; i < rules.length; i++ )
			{
				if( ".MSGBODY" == rules[ i ].selectorText )
				{
					rules[i].style.marginRight = 1;
					break;
				}
			}
			break;
		}
	}
	m_objXSLtable = window.document.all("xsltable");
	if(m_objXSLtable.tagName == "XML" && null == m_objXSLtable.documentElement)
			m_objXSLtable.loadXML(m_objXSLtable.innerHTML);
	
	m_objXMLdata = window.document.all("memberlist");
	if(m_objXMLdata.tagName == "XML" && null == m_objXMLdata.documentElement)
			m_objXMLdata.loadXML(m_objXMLdata.innerHTML);
	memberWell.innerHTML = m_objXMLdata.transformNode(m_objXSLtable.documentElement);
	removeButton.disabled = true;
	m_fRemoveDisabled = true;
	checkAddField();
	m_iUnresolvedCount = m_objXMLdata.documentElement.selectSingleNode("//unresolvedcount").text;
	checkUnresolved(false);
}
function DisableButtons(bDisableToolbar)
{
	m_fButtonsDisabled = true;
	findButton.disabled = true;
	addButton.disabled = true;
	removeButton.disabled = true;
	listName.disabled = true;
	addField.disabled = true;
	if (bDisableToolbar)
	{
		with( g_winDocAll.idToolbar.runtimeStyle )
		{
			filter = "alpha(opacity=35)";
			cursor = "wait";
		}
	}
}
function EnableButtons()
{
	m_fButtonsDisabled = false;
	findButton.disabled = false;
	addButton.disabled = m_fAddDisabled;
	removeButton.disabled = m_fRemoveDisabled;
	listName.disabled = false;
	addField.disabled = false;
	with( g_winDocAll.idToolbar.runtimeStyle )
	{
		filter = "alpha(opacity=100)";
		cursor = "hand";
	}
	if (m_fJustAdded)
	{
		m_fJustAdded = false;
		addField.focus();
	}
}
