//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>
var g_arAttachUrl = null;
var g_objXMLHTTP = null;
var g_szEMId_ = "EMMultimediaDivId_";
var g_szEMName = "EMultimediaObj";
var g_szEMCLSID = "CLSID:6532D0B1-5C10-11D3-9D66-00C04F68AC7D";
var g_szEMVer='6,0,4152,0';
var g_szEMCodeBase = g_szVirtualRoot +'/controls/emclient.cab';
var g_szEMAudGif = 'em2bb222b9$6bd1$4467$bb02$27ee5a705255';
var g_szEMVidGif = 'em3c6b81f4$6e81$4cbc$a04c$bbb054095532';
var g_szMultipart = "([0-9]+_multipart((\\/)|(_xF8FF_)))*";
var g_reMultipart = new RegExp(g_szMultipart, "i" );
var g_szEMgid = "";
var g_nMMobjs = 0;
var g_fEMgif = false;

function getMediaElements(objDOM)
{
	var objs = objDOM.getElementsByName(g_szEMName);
	if( null == objs )
	{
		var oItem = objDOM.body.all.EMultimediaObj;
		if( null != oItem  )
		{
			objs = new Array( oItem );
		}
	}
	return objs;
}

function inlineAttachments( objDOM )
{
	if( 0 == inlineAttachments.fInitial )
	{
		inlineAttachments.fInitial = 1;

		var rgAttachments = g_rgInlines;

		if( null != g_rgInlines )
		{
			var key;

			var re = /([0-9]+_multipart_xF8FF_)+/i;
			var rgAttachTemp = new Array();
			for( key in rgAttachments )
			{
				var szKey = key.replace( re, "" );
				rgAttachTemp[ szKey ] = rgAttachments[key];
			}
			rgAttachments = rgAttachTemp;

			for( key in rgAttachments )
			{
				if( -1 != rgAttachments[ key ].indexOf(g_szEMAudGif) )
				{
					g_fEMgif = true;
					break;
				}
			}
		}

		g_arAttachUrl = new Array();
		var i = 0;

		var objs = getMediaElements( objDOM );

		var reSec = /\?.*/;
		if( null != objs  )
		{
			var e = new Enumerator( objs );
			for (;!e.atEnd();e.moveNext())
			{
				var objItem = e.item();

				var szCid = objItem.id;
				if( null == szCid )
				{
					continue;
				}

				szCid = szCid.replace( reSec, "" );
				szCid = szCid.replace( g_reMultipart, "" );

				var szAttachUrl = rgAttachments[ szCid ];
				if( null != szAttachUrl )
				{
					g_arAttachUrl[ szCid ] = szAttachUrl.replace( /.*\/([^?]*)\?.*$/, "$1" );
					i++;
				}
			}
		}
		if( 0 == i )
		{
			g_arAttachUrl = null;
		}
	}
	
	return( g_arAttachUrl );
}
inlineAttachments.fInitial = 0;

function AddMMObjTags( objDOM )
{
	var oInlines = inlineAttachments( objDOM );
	if( null == oInlines )
	{
		return;
	}

	var objs = getMediaElements( objDOM );

	if( null != objs  )
	{
		var reSec = /\?.*/;
		var e = new Enumerator( objs );
		for (;!e.atEnd();e.moveNext())
		{
			var objItem = e.item();
			if( "IMG" == objItem.tagname && null != objItem.id )
			{
				var szCid = objItem.id.replace( reSec, "");
				szCid = szCid.replace( g_reMultipart, "" );

				szFile = oInlines[ szCid ];
				if( szFile )
				{
					objItem.style.behavior = 'url(#EMConduct#' + g_szEMgid + ')';
				}
			}
		}

		if( oInlines )
		{
			var oAttachments = document.all("idAttachmentWell");

			var szBase = "";
			var obj = window.document.all.tags('BASE');
			if( obj && obj.length )
			{
				szBase = obj[0].href;
			}

			oAttachments.innerHTML = removeMediaFiles( oInlines, oAttachments.innerHTML, szBase );
		}
	}
}

function ctrlMedia_ResolveRef(val)
{
	var szBase = "";
	var reLocal = /^\w:/;
	var reMimeURL = new RegExp( g_szMultipart+"([^?]+)","i");

	if( !reLocal.test( val ) )
	{
		var obj = window.document.all.tags('BASE');
		if( obj && obj.length )
		{
			szBase = obj[0].href;
		}

		var rgVal = reMimeURL.exec( val );
		if( null != rgVal )
		{
			val = g_arAttachUrl[rgVal[5]].replace( /.*\/([^?]*)\?.*$/, "$1" );
		}
	}
	return( szBase + val );
}

function ctrlMedia_AddEventFor( szEvent, szScript )
{
	var objScript = document.createElement('Script');
	if( null != objScript )
	{
		objScript.language = 'javascript';
		objScript.text     = szScript;
		objScript.htmlFor  = 'ctrlMedia';
		objScript.event    = szEvent;
		document.body.appendChild( objScript );
	}
}

function ctrlMedia_positionUpdate()
{
	if( null != g_ctrlMedia )
	{
		var y = document.body.clientHeight;
		y -= ( !g_ctrlMedia._fHide ) ? g_ctrlMedia.clientHeight : 1;
		with( g_ctrlMedia.parentElement.runtimeStyle )
		{
			if( !g_ctrlMedia._fHide )
			{
				overflow="visible";
			}
			else
			{
				overflow="hidden";
				pixelHeight = 1;
				pixelWidth  = 1;
			}
			posTop = y;
			posLeft = g_ctrlMedia._offset;
		}
	}
}

function ctrlMedia_Command( nCmd )
{
	var objItem = g_ctrlMedia.parentElement;
	switch(nCmd)
	{
		case 2:
			Record( 0 );
			return( true );
		case 1:
		case 3:
		default:
			g_ctrlMedia._fHide = false;
			ctrlMedia_positionUpdate();
			break;
		case 4:
			g_ctrlMedia._fHide = true;
			ctrlMedia_positionUpdate();
			break;
	}
	return( false );
}

function removeMediaFiles( objSuppress, szAttachments, szBase )
{
	if( null == objSuppress || null == szAttachments || 0 == szAttachments.length )
	{
		return szAttachments;
	}
	
	var reEscape = /(\W)/g;
	
	for( key in objSuppress )
	{
		var szFile = szBase + objSuppress[key];

		var szEscFile = szFile.replace( reEscape, "\\$1" );
		var re = new RegExp( '<IMG [^>]+>&nbsp;<A [^>]*href="'+ szEscFile + '"[^>]*><FONT [^>]+>[^<]+</FONT></A>',"i")

		szAttachments = szAttachments.replace( re, "" );
	}
	return szAttachments;
}

