//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script> colorize VID

var m_objMSHTTP_Request = null;
var m_rgszOpenMessageCommands = new Array();
var m_szPreviewPaneURL = null;
var m_objSortInfo = null;
var m_iSelectedItemsCount = 0;
var m_szInbox = null;

m_rgszOpenMessageCommands[0] = "open";
m_rgszOpenMessageCommands[1] = "reply";
m_rgszOpenMessageCommands[2] = "replyall";
m_rgszOpenMessageCommands[3] = "forward";

function persistSortOrder()
{
	//Following code calls the server with a parameterized url to persist the view descriptor
	if(null == idMsgViewer) return;
	var objCol = event.column;
	if (null != objCol)
	{
		var szURL = idMsgViewer.url + "?Cmd=getview&SortBy=" + toUTF8(objCol.colName) + "&SortOrder=" + event.sortDir;
		if(null == persistSortOrder.m_objPersistView)
		{
			persistSortOrder.m_objPersistView = new ActiveXObject("Microsoft.xmlhttp")
		}
		persistSortOrder.m_objPersistView.open("GET",szURL, true);
		if(null != g_szAcceptLang && "" != g_szAcceptLang)
		{
			persistSortOrder.m_objPersistView.setRequestHeader("Accept-Language:",g_szAcceptLang);
		}
		persistSortOrder.m_objPersistView.send();
	}
}
persistSortOrder.m_objPersistView = null;

function deleteViewItems(szDeletedItemsURL,objXMLDOM)
{
	if (deleteViewItems.bRequestPending)
	{
		return;
	}
	deleteViewItems.bRequestPending = true;
	var szOpenURL = idMsgViewer.url;
	var szCommand, szXMLCommand, szXMLBatchString = "";
	var objXML;
	if(null != szDeletedItemsURL && "" != szDeletedItemsURL)
	{
		szCommand = "BMOVE";
		szXMLCommand = "move";
	}
	else
	{
		szCommand = "BDELETE";
		szXMLCommand = "delete";
	}
	objXML = (null == objXMLDOM) ? idMsgViewer.getSelectedItems(true) : objXMLDOM;
	if (null == objXML) 
		return;
	var objItems = objXML.selectNodes("//a:href");
	if (0 == objItems.length)
		return;
	szXMLBatchString = "<?xml version='1.0'?><D:" + szXMLCommand + " xmlns:D='DAV:'><D:target>";
	for(var i = 0; i < objItems.length; i++)
	{
		szXMLBatchString += "<D:href>" + objItems(i).text + "</D:href>";
	}
	szXMLBatchString += "</D:target></D:" + szXMLCommand + ">";
	if(null == m_objMSHTTP_Request)
	{
		m_objMSHTTP_Request = new ActiveXObject("Microsoft.XMLHTTP");
	}
	m_objMSHTTP_Request.open(szCommand, szOpenURL, true);
	m_objMSHTTP_Request.setRequestHeader("Content-type", "text/xml");
	m_objMSHTTP_Request.setRequestHeader("Translate", "f");
	if (szCommand != "BDELETE")
	{
		m_objMSHTTP_Request.setRequestHeader("Allow-rename", "t");
		m_objMSHTTP_Request.setRequestHeader("Overwrite", "f");
		m_objMSHTTP_Request.setRequestHeader("Destination", szDeletedItemsURL);
	}
	m_objMSHTTP_Request.onreadystatechange = ondeleterequest;
	ondeleterequest.szCommand = szCommand;
	m_objMSHTTP_Request.send(szXMLBatchString);
	return(true);
}

deleteViewItems.bRequestPending = false;

function ondeleterequest()
{
	if(m_objMSHTTP_Request != null && m_objMSHTTP_Request.readyState == 4)
	{
		var szStatus		= m_objMSHTTP_Request.status;
		var szStatusText	= m_objMSHTTP_Request.statusText;
		var objResponseXML	= m_objMSHTTP_Request.responseXML;
		m_objMSHTTP_Request = null;
		switch(szStatus)
		{
			case 207:
				var nodeStatus = objResponseXML.selectSingleNode("a:multistatus/a:response[a:status $ge$ 'HTTP/1.1 4']");
				if (nodeStatus != null)
				{
					alert(L_errCantDelete_ErrorMessage);
					break;
				}
			case 200:
			case 201:
			case 204:
			case 207:
				break;
			default:
				alert(L_errCantDelete_ErrorMessage);
				break;
		}
		idMsgViewer.refresh();
	}
}
//Function property
ondeleterequest.szCommand;

function updatePageDisplays()
{
	var szDisplay = "";
	if(idMsgViewer.itemCount > 0)
	{
		idPageControl_ItemStartRange.value = idMsgViewer.startRange;
		var szText = tdItemsRange.rangeText;
		szText = szText.replace(/\%1/gi,idMsgViewer.endRange);
		szText = szText.replace(/\%2/gi,idMsgViewer.itemCount);
		tdItemsRange.innerText = szText;
		szDisplay = "";
	}
	else
		szDisplay = "none";
	
	tblPageControls.style.display = szDisplay;
	idPageControl_Images.style.display = szDisplay;
	setTimeout("fnForceImagePaint()",100);
}

function changeView(szXMLViewPath)
{
	var szXMLURL = g_szUserBase + g_szFolder + "/?Cmd=getview&View=" + szXMLViewPath;
	idMsgViewer.viewDescriptorURL = szXMLURL;
	idMsgViewer.refresh(true);
}

function changePage()
{
	if (event.keyCode == 13)
	{
		var iStart = parseInt(idPageControl_ItemStartRange.value,10);
		if (!isNaN(iStart))
		{
			idMsgViewer.startRange = iStart;
			idMsgViewer.endRange = iStart+idMsgViewer.rowsPerPage;
			idMsgViewer.refresh();
		}
	}
}
function viewerDelete(bHardDelete)
{
	if (deleteViewItems.bRequestPending)
	{
		return;
	}
	var szDeletedItemsFolder;
	var objXML = idMsgViewer.getSelectedItems(true);
	if (null == objXML) 
		return;
	var objItems = objXML.selectNodes("//a:href");
	if (0 == objItems.length)
		return;
	try
	{
		szDeletedItemsFolder = g_szUserBase + g_szDeletedItemsURL + "/";
	}
	catch(e)
	{
		szDeletedItemsFolder = null;
	}
	var bInDeletedItemsFolder = (null != szDeletedItemsFolder && g_szFolder == g_szDeletedItemsURL)
	if (bInDeletedItemsFolder || bHardDelete || g_fPublicOnly)
	{
		if(confirm(L_WarningDeletePermanent_Text))
		{
			deleteViewItems(null,objXML);
		}
	}
	else
	{
		deleteViewItems(szDeletedItemsFolder,objXML);
	}
}

function RefreshMessageList(szFolder)
{
	if (null != idMsgViewer)
	{
		if (null == szFolder || "" == szFolder || g_szFolder == szFolder)
		{
			idMsgViewer.refresh();
		}
	}
}

function MoveMessages()
{
	var rgParams	= new Array();
	var szDialog	= g_szUserBase+"?Cmd=dialog&template=dlg_movecopy";
	var szNewFolderDialog	= g_szUserBase +"?Cmd=dialog&template=dlg_newfolder";
	var szDataString		= idMsgViewer.getSelectedItems();
	if("" == szDataString)
	{
		alert(L_NoMessagesSelected_Text);
		return(false);
	}

	rgParams["g_OpenerTreeCtrl"]		=	null;
	rgParams["g_CurrentFolderNode"]		=	null;
	rgParams["g_Location"]				=	g_szUserBase;
	rgParams["g_DisplayName"]			=	g_szUserDisplayName;
	rgParams["g_VirtualRoot"]			=	g_szVirtualRoot;
	rgParams["g_NewFolderDialogPath"]	=	szNewFolderDialog;
	rgParams["g_MoveCopyMode"]			=	"Move";
	rgParams["g_MessageDataString"]		=	szDataString;
	rgParams["out_DestinationURL"]		=	"";
	rgParams["out_ObjectURL"]			=	"";
	rgParams["out_Verb"]				=	"";
	var bMove = window.showModalDialog(szDialog, rgParams,"dialogHeight:400px;dialogWidth:350px;status:no;resizable:yes;help:no;")
	if (bMove)
	{
		RefreshMessageList(g_szFolder);
	}
}

function togglePreviewPane(fState)
{
	if(null == g_winDocAll.previewPane)
	{
		return(false);
	}
	g_winDocAll.previewPane.style.display = (fState ? "" : "none");
	if(fState && m_szPreviewPaneURL)
	{
		populatePreviewPane(m_szPreviewPaneURL);
	}
	if(m_fPreviewPane != fState)
	{
		if(null != m_oUserOpts)
		{
			m_oUserOpts.setAttribute(m_szPreviewPane, (fState) ? 'true': 'false');
			try
			{
				m_oUserOpts.save(m_szOptsFile);
			}
			catch(e){}
		}
	}
	m_fPreviewPane = fState;
	if(m_fPreviewPane && idMsgViewer.itemCount <= 0)
	{
		g_winDocAll.previewPane.style.visibility="hidden";
		g_winDocAll.idNoItemsDIV.style.display="";
	}
	window.onresize();
	idMsgViewer.focus();
}
function populatePreviewPane(szURL,objRow)
{
	if(null == szURL) return;
	if(null != objRow && !objRow.read)
	{
		objRow.style.fontWeight = 'normal';
		objRow.read = true;
	}
	g_winDocAll.previewPane.src = szURL + "?cmd=preview";
}

function updatePreviewPane()  // called onSelectionChange from viewer
{
	var szURL		= event.selectedURL;
	var iNumSelected= event.numSelected;
	var bIsSelected	= event.isSelected;
	var objRow		= event.item;

	if(null == g_winDocAll.previewPane)
	{
		return;
	}
	if(iNumSelected < 1)
	{
		g_winDocAll.previewPane.style.visibility="hidden";
		g_winDocAll.idNoItemsDIV.style.display="";
		m_szPreviewPaneURL = null;
	}
	else if(iNumSelected == 1 && m_szPreviewPaneURL != szURL && bIsSelected)
	{
		g_winDocAll.idNoItemsDIV.style.display="none";
		g_winDocAll.previewPane.style.visibility="";
		m_szPreviewPaneURL = szURL;
		if("none" != g_winDocAll.previewPane.style.display)
		{
			populatePreviewPane(szURL,objRow);
		}
	}
}

function openItem(szHref,szContentClass,szCommand)
{
	var szDefaultCommand = "open";
	var windowName = (null == event.contextHandle) ? (new String(Math.round(Math.random() * 100000))): event.contextHandle;
	var szFeatures, objNewMsgWindow;
	var fFreeDoc = (0 == szContentClass.search(/ipm.document/i));

	if (fFreeDoc)
	{
		szFeatures = "toolbar=1,location=1,directories=0,status=1,menubar=1,scrollbars=1,resizable=1"
		objNewMsgWindow = window.open(szHref,windowName,szFeatures);
	}
	else
	{
		if (null != szCommand)
		{
			szDefaultCommand = szCommand;
		}
		szFeatures = "toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,width=700,height=500";
		objNewMsgWindow = window.open(szHref + "?Cmd=" + szDefaultCommand,windowName,szFeatures);
	}
}

function mf_doMessageAction(mode)
{
	if(null == idMsgViewer || mode > m_rgszOpenMessageCommands.length-1)
	{
		return;
	}
	// passing true will return the XML DOM.
	var objSelectedXML = idMsgViewer.getSelectedItems(true);
	if (null == objSelectedXML)
	{
		return;
	}
	var objFirstItem = objSelectedXML.selectSingleNode("/transferdata/item");
	if(null == objFirstItem)
	{
		return;
	}
	var szHREF = objFirstItem.selectSingleNode("a:href").text;
	var szContentClass = objFirstItem.selectSingleNode("content-class").text;
	var szCommand = m_rgszOpenMessageCommands[mode];
	openItem(szHREF,szContentClass,szCommand);
}

function onViewNavigation()
{
	if (null != event.action && 5 == event.action && null != event.contextHandle && "" != event.contextHandle)
	{ 
		window.open(g_szUserBase + "?Cmd=close",event.contextHandle);
		return;
	}
	var objSelectedXML = idMsgViewer.getSelectedItems(true,true);
	// getSelectedItems(true,true) to return DOM and unbold rows
	var szHREF, szContentClass;
	var i, objItem;
	if (null == objSelectedXML)
	{
		return;
	}
	var objItemsCollection = objSelectedXML.selectNodes("/transferdata/item");
	for(i = 0; i < objItemsCollection.length; i++)
	{
		objItem = objItemsCollection(i);
		szHREF = objItem.selectSingleNode("a:href").text;
		szContentClass = objItem.selectSingleNode("content-class").text;
		openItem(szHREF,szContentClass,"open");
	}
}

function onViewError()
{
	if (event.command == "BDELETE")
	{
		alert(L_errCantDelete_ErrorMessage);
	}
}

function onViewReady()
{
	updatePageDisplays();
	window.onresize();
}

function notifyNavbarOnRefresh()
{
	if( null != m_szInbox && m_szInbox === g_szFolder )
	{
		try
		{
			parent.navbar.onopened( g_szFolder );
		}
		catch(e)
		{
		}
	}
}
function onViewRefresh()
{
	updatePageDisplays();
	notifyNavbarOnRefresh();
	m_objSortInfo = idMsgViewer.getSortOrderInfo();
	if (idMsgViewer.itemCount <= 0)
	{
		idMsgViewer.innerHTML = "<DIV style='width:100%;text-align:center;'>" + L_errNoItemsInView_ErrorMessage + "</DIV>";
		if(null != g_winDocAll.previewPane)
		{
			g_winDocAll.previewPane.style.visibility="hidden";
			g_winDocAll.idNoItemsDIV.style.display="";
		}
		m_szPreviewPaneURL = null;
	}
	deleteViewItems.bRequestPending = false;
	onViewKeyPress.bRequestPending  = false;
	window.onresize();
}

function onKeyFinish()
{
	onKeyFinish.keyCount--;
	if (0 == onKeyFinish.keyCount)
	{
		onViewKeyPress.bRequestPending = true;
		var szText = L_MessageSearchingFor_Text.replace(/\%1/gi,m_objSortInfo.heading);
		szText = szText.replace(/\%2/gi,onViewKeyPress.str);
		idMsgViewer.seekItem(onViewKeyPress.str);
		idMsgViewer.innerHTML = "<TABLE style='height:100%;width:100%;border:0;'><TR><TD style='vertical-align:middle;text-align:center'><IMG style='vertical-align:bottom' src='" + g_szVirtualRoot + "/img/hourglass.gif' />&nbsp;&nbsp;&nbsp;<SPAN id='_searchingForText'></SPAN></TD></TR></TABLE>";
		_searchingForText.innerText = szText;
		onViewKeyPress.str = "";
	}
	
}
onKeyFinish.keyCount = 0;


function onViewKeyPress()
{
	var bIsSeekable = (idMsgViewer.itemCount > 0 && null != m_objSortInfo && m_objSortInfo.isSeekable);
	if (bIsSeekable && !onViewKeyPress.bRequestPending)
	{
		onKeyFinish.keyCount++;
		onViewKeyPress.str += String.fromCharCode(event.keyCode);
		setTimeout("onKeyFinish()",1200);
	}
}
onViewKeyPress.str = "";
onViewKeyPress.bRequestPending = false;