//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>
var g_winDocAll = window.document.all;
var g_fCIenabled = true;
var g_szSearchInput = "";
var g_szFromInput = "";
var g_szToInput = "";
var g_fSubfolderSearch;
var g_fBodySearch;
var g_fDoubleCheck = false;
var g_fInitCheck = true;
var g_szSubject= "urn:schemas:httpmail:subject";
var g_szDescription = "urn:schemas:httpmail:textdescription";

parseQuery.regExp = /(\"([^\"]*)\"?)|([\s]*[^\s\"]*)/g;		//finds words and phrase based on quotes, spaces, commas, semicolons
parseQuery.regQuoted = /[\s]*[\"]?([^\"]*)[\"]?/;				//pulls out phrases from quote marks

function parseQuery(origQuery)
{
	var rgszMatches = origQuery.match(parseQuery.regExp);
	var iValidEntries = 0;
	for (var i = 0; i<rgszMatches.length; i++)
	{
		rgszMatches[i] = rgszMatches[i].replace( parseQuery.regQuoted, "$1" );
		iValidEntries += (rgszMatches[i].length > 0) ? 1 : 0;
	}
	var rgszResults = new Array(iValidEntries);
	var iResultsCounter = 0;
	for (var i = 0; i<rgszMatches.length; i++)
	{
		if (rgszMatches[i].length > 0)
			rgszResults[iResultsCounter++] = rgszMatches[i];
	}
	return rgszResults;
}
function executeSearch()
{
	g_fDoubleCheck = false;
	searchHelper(g_fCIenabled);
}
function onCbClick(szCommand, varValue )
{
	switch(szCommand.toUpperCase())
	{
		case "HELP":
			LaunchHelp();
			break;
	}
	return(true);
}

//regular expression used to replace DBCS double quotes with halfwidth quotes for parsing
searchHelper.regQuote = new RegExp("["+String.fromCharCode(171)+String.fromCharCode(187)+String.fromCharCode(8216)+String.fromCharCode(8217)+String.fromCharCode(8220)+String.fromCharCode(8221)+String.fromCharCode(8222)+String.fromCharCode(12300)+String.fromCharCode(12301)+String.fromCharCode(12302)+String.fromCharCode(12303)+String.fromCharCode(12317)+String.fromCharCode(12318)+String.fromCharCode(12319)+String.fromCharCode(65282)+String.fromCharCode(65378)+String.fromCharCode(65379)+"]","g");

//regular expression used to replace fullwidth delimeters with halfwidth spaces for parsing
searchHelper.regSpace = new RegExp("["+String.fromCharCode(44)+String.fromCharCode(59)+String.fromCharCode(1548)+String.fromCharCode(1563)+String.fromCharCode(12288)+String.fromCharCode(12289)+String.fromCharCode(65104)+String.fromCharCode(65105)+String.fromCharCode(65108)+String.fromCharCode(65292)+String.fromCharCode(65307)+String.fromCharCode(65380)+"]","g");

//regular expression used for escaping single quotes in LIKE queries
searchHelper.regSingleQuote = new RegExp("\'","g");

function searchHelper(bCIsearch)
{
	searchingimg.style.visibility = "visible";
	if (!g_fDoubleCheck)
	{
		g_szSearchInput = searchInput.value;
		g_szFromInput = fromField.value;
		g_szToInput = toField.value;
		g_fSubfolderSearch = subSearch.checked;
		g_fBodySearch = bodySearch.checked;
	}
	var szNewFilter = '("DAV:isfolder" = false) AND ("DAV:ishidden" = false) AND (("DAV:contentclass" != \'urn:content-classes:appointment\') OR ("urn:schemas:calendar:instancetype" !=2))';
	var fValidSearch = false;
	if (0 != g_szSearchInput.length)
	{
		var rgszPhraseList = parseQuery(g_szSearchInput.replace(searchHelper.regQuote,"\"").replace(searchHelper.regSpace," "));
		if (rgszPhraseList.length > 0)
		{
			fValidSearch = true;
			szNewFilter += " AND ( ";
			var fFirstLike = true;
			for (var i = 0; i<rgszPhraseList.length; i++)
			{
				if (fFirstLike)
					fFirstLike = false;
				else
					szNewFilter += " AND ";

				//formulate the query based on target (subject&body or just subject) and then on CI (CONTAINS vs. LIKE)
				szNewFilter += g_fBodySearch ?
									(bCIsearch ?	"(CONTAINS (\""+g_szSubject+"\", '\""+rgszPhraseList[i]+"\"') OR CONTAINS (\""+g_szDescription+"\", '\""+rgszPhraseList[i]+"\"'))" :
												"((\""+g_szSubject+"\" LIKE '%"+rgszPhraseList[i].replace(searchHelper.regSingleQuote,"''")+"%') OR (\""+g_szDescription+"\" LIKE '%"+rgszPhraseList[i].replace(searchHelper.regSingleQuote,"''")+"%'))") :
									(bCIsearch ?	"CONTAINS (\""+g_szSubject+"\", '\""+rgszPhraseList[i]+"\"')" :
												"(\""+g_szSubject+"\" LIKE '%"+rgszPhraseList[i].replace(searchHelper.regSingleQuote,"''")+"%')");
			}
			szNewFilter += " )";
		}
	}
	if (0 != g_szFromInput.length)
	{
		var rgszFromList = parseQuery(g_szFromInput.replace(searchHelper.regQuote,"\"").replace(searchHelper.regSpace," ").replace(searchHelper.regSingleQuote,"''"));
		if (rgszFromList.length >0)
		{
			fValidSearch = true;
			szNewFilter += " AND ( ";
			for (var i = 0; i < rgszFromList.length; i++)
			{
				if (0!=i)
					szNewFilter += " AND ";
				szNewFilter += "\"urn:schemas:httpmail:from\" LIKE '%"+rgszFromList[i]+"%'";
			}
			szNewFilter += " )";
		}
	}
	if (0 != g_szToInput.length)
	{
		var rgszToList = parseQuery(g_szToInput.replace(searchHelper.regQuote,"\"").replace(searchHelper.regSpace," ").replace(searchHelper.regSingleQuote,"''"));
		if (rgszToList.length > 0)
		{
			fValidSearch = true;
			szNewFilter += " AND ( ";
			for (var i = 0; i < rgszToList.length; i++)
			{
				if (0 != i)
					szNewFilter += " AND ";
				szNewFilter += "(\"urn:schemas:httpmail:to\" LIKE '%"+rgszToList[i]+"%' OR \"urn:schemas:httpmail:cc\" LIKE '%"+rgszToList[i]+"%')";
			}
			szNewFilter += " )";
		}
	}
	idMsgViewer.scope = ((g_fSubfolderSearch && fValidSearch) ? "Scope('DEEP TRAVERSAL OF \"\"')" : "Scope('SHALLOW TRAVERSAL OF \"\"')");
	idMsgViewer.filter = fValidSearch ? szNewFilter : '("DAV:isfolder" = false) AND ("DAV:isfolder" = true)';
	xmlDefaultView.selectSingleNode("//visible").text =  g_fSubfolderSearch ? 1 : 0;
	idMsgViewer.refresh(true);
}
function searchViewRefresh()
{
	onViewRefresh();
	if (g_fInitCheck)
	{
		searchInput.focus();
		g_fInitCheck = false;
	}
	searchingimg.style.visibility = "hidden";
	onresize();
	searchButton.disabled = false;
}
function window.document.onkeydown()
{
	switch(window.event.keyCode)
	{
		case 13:	if ("idPageControl_ItemStartRange" != window.event.srcElement.id)
					{
						executeSearch();
						window.event.cancelBubble = true;
					}
					break;
		case 27:	window.event.cancelBubble = true;
					window.close();
					break;
	}
}

function onViewKeyDown()
{
	switch(event.keyCode)
	{
		case 46:
					if(!event.altKey && !event.ctrlKey)
					{
						viewerDelete(event.shiftKey);
						event.cancelBubble=true;
						event.returnValue=false;
					}
					break;
	}
}


function window.document.onselectstart()
{
	var szID = window.event.srcElement.id;
	return ("searchInput" == szID || "fromField" == szID || "toField" == szID || "idPageControl_ItemStartRange" == szID);
}
function checkError()
{
	if (422 == window.event.statusCode)
	{
		if (g_fInitCheck)
		{
			g_fCIenabled = false;
			onViewReady();
			searchViewRefresh();
		}
		else if (!g_fDoubleCheck)
		{
			g_fDoubleCheck = true;
			searchHelper(false);
		}
	}
	else
	{
		if ("BDELETE" == window.event.command)
			alert(L_errCantDelete_ErrorMessage);
		else if (400 == window.event.statusCode && (g_szSearchInput.indexOf("%") > -1 || g_szFromInput.indexOf("%") > -1 || g_szToInput.indexOf("%") > -1))
			alert(g_szSearchInputError);
		else if (400 <= window.event.statusCode)
			alert(g_szGeneralServerError+"\n\n"+window.event.statusCode);
		searchViewRefresh();
	}
}
function window.onresize()
{
	var viewerHeight = document.body.clientHeight - 25 - idSearchbar.clientHeight - tblTitleBar.clientHeight - 2*closeButton.clientHeight;
	window.document.all.idMsgViewer.runtimeStyle.height = (viewerHeight > 25 ? viewerHeight : 25);
}
function window.onload()
{
	subSearch.disabled=g_fPublicOnly;
	subSearchText.disabled=g_fPublicOnly;
	if ("IPM_SUBTREE" == folderName.innerText.toUpperCase())
		folderName.innerText = folderDisplay.innerText;
	else if ("TOP OF INFORMATION STORE" == folderName.innerText.toUpperCase())
		folderName.innerText = g_szMailbox+"  -"+folderDisplay.innerText;
	if(g_fPublicOnly)
		folderImg.src = "/exchweb/img/tree-public.gif";
	folderBreakdown.innerText = folderDisplay.innerText;
	var oStyles = window.document.styleSheets[0];
	var szFont = "font-family:'" + window.document.body.currentStyle.fontFamily + "'";
	oStyles.addRule( "INPUT", szFont );
	oStyles.addRule( "BUTTON", szFont );
	var re = /MSIE 5\.0/;
	var rgArgs = clientInformation.appVersion.match(re);
	if( null != rgArgs )
	{
		var j;
		for( j = 0; j < document.styleSheets.length; j++ )
		{
			if( -1 == document.styleSheets[j].href.indexOf( "OWAStyle20.css" ) )
				continue;
			var rules = document.styleSheets[j].rules;
			var i;
			for( i = 0; i < rules.length; i++ )
			{
				if( ".MSGBODY" == rules[ i ].selectorText )
				{
					rules[i].style.marginRight = 1;
					break;
				}
			}
			break;
		}
	}
	idMsgViewer.filter = "(\"DAV:ishidden\" = true) AND (\"DAV:isfolder\" = true) AND CONTAINS (\"urn:schemas:httpmail:subject\", '\"aa\"') AND NOT (\"urn:schemas:httpmail:subject\" LIKE '%aa%')";
	idMsgViewer.addBehavior(g_szVirtualRoot + "/controls/ctrl_View20.htc");
	resizeButtons(window.document.all, new Array("closeButton", "searchButton") );
	resizeWindow();
}

function resizeWindow()
{
	var oBody = window.document.body;
	var iHeight = 0;
	var iWidth = 0;
	var bResizeTo = false;
	if ( (oBody.clientWidth < oBody.scrollWidth) || (oBody.clientHeight < oBody.scrollHeight) )
	{
		iWidth = oBody.scrollWidth + ( 2 * ( parseInt(oBody.currentStyle.marginLeft, 10) + parseInt(oBody.currentStyle.marginRight, 10) ) );
		if (iWidth > screen.width)
		{
			iWidth = screen.width;
			bResizeTo = true;
		}

		iHeight = oBody.scrollHeight + ( 2 * ( parseInt(oBody.currentStyle.marginTop, 10) + parseInt(oBody.currentStyle.marginBottom, 10) ) );
		if (iHeight > screen.height)
		{
			iHeight = screen.height;
			bResizeTo = true;
		}
		if (bResizeTo)
		{
			window.resizeTo(iWidth ,iHeight);
		}
		else
		{
			window.resizeBy(iWidth - oBody.clientWidth, iHeight - oBody.clientHeight);
		}
	}
}
