<!--Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template xmlns:xsl="uri:xsl" >
<xsl:element name="view">
<xsl:element name="group">
	<xsl:element name="xsl:template"><xsl:attribute name="xmlns:xsl">uri:xsl</xsl:attribute><xsl:attribute name="xmlns:a">DAV:</xsl:attribute>
	<xsl:element name="xsl:for-each"><xsl:attribute name="select">a:multistatus/a:response</xsl:attribute>
		<a id="unSelected"  onmousedown="event.returnValue=this" ondblclick="event.returnValue=this" onmouseup="event.returnValue=this" onclick="return(false);"> 
		<xsl:element name="xsl:attribute"><xsl:attribute name="name">href</xsl:attribute><xsl:element name="xsl:value-of"><xsl:attribute name="select">a:href</xsl:attribute></xsl:element></xsl:element>
		<xsl:element name="xsl:attribute"><xsl:attribute name="name">_href</xsl:attribute><xsl:element name="xsl:value-of"><xsl:attribute name="select">a:href</xsl:attribute></xsl:element></xsl:element>
		<xsl:element name="xsl:attribute"><xsl:attribute name="name">contentClass</xsl:attribute><xsl:element name="xsl:value-of"><xsl:attribute name="select">a:propstat/a:prop/contentclass</xsl:attribute></xsl:element></xsl:element>
		<table cols="2" width="100%" style="font-size:x-small;">
			<xsl:element name="xsl:for-each"><xsl:attribute name="select">a:propstat/a:prop</xsl:attribute>			
			<tr>
				<td id="crdHeader" colspan="2" NOWRAP="true" header="true" style="height:1.5em;font-weight:bold;cursor:hand;background-color:menu;color:menutext;">
					<xsl:element name="xsl:value-of">
					<xsl:attribute name="select">prop1</xsl:attribute>
					</xsl:element>&#160;</td>
			</tr>
			<xsl:for-each select="view/column[index() $gt$ 0]">
			<xsl:element name="xsl:for-each"><xsl:attribute name="select">
			<xsl:eval>"prop" + childNumber(this)</xsl:eval>[.!= '']</xsl:attribute>
				<xsl:if test="visible[. = '1']" >
					<tr>
						<td valign="top" style="padding-right:5px" NOWRAP="true"><xsl:value-of select="heading"/></td>
						<td width="100%"><xsl:element name="xsl:value-of"></xsl:element></td>
					</tr>   
				</xsl:if>
			</xsl:element>
			</xsl:for-each>
			</xsl:element>
		</table>
		</a>
	</xsl:element>
	
	</xsl:element>
</xsl:element>
</xsl:element>  
</xsl:template>

</xsl:stylesheet>