#define DAVEX_OBJECT											0
#define DAVEX_COUNTER_SERVER_ID									2
#define DAVEX_COUNTER_REQUESTS_PER_SECOND						4
#define DAVEX_COUNTER_OPTIONS_REQUESTS_PER_SECOND				6
#define DAVEX_COUNTER_GET_REQUESTS_PER_SECOND					8
#define DAVEX_COUNTER_HEAD_REQUESTS_PER_SECOND					10
#define DAVEX_COUNTER_PUT_REQUESTS_PER_SECOND					12
#define DAVEX_COUNTER_POST_REQUESTS_PER_SECOND					14
#define DAVEX_COUNTER_DELETE_REQUESTS_PER_SECOND				16
#define DAVEX_COUNTER_COPY_REQUESTS_PER_SECOND					18
#define DAVEX_COUNTER_MOVE_REQUESTS_PER_SECOND					20
#define DAVEX_COUNTER_MKCOL_REQUESTS_PER_SECOND					22
#define DAVEX_COUNTER_PROPFIND_REQUESTS_PER_SECOND				24
#define DAVEX_COUNTER_PROPPATCH_REQUESTS_PER_SECOND				26
#define DAVEX_COUNTER_LOCK_REQUESTS_PER_SECOND					28
#define DAVEX_COUNTER_UNLOCK_REQUESTS_PER_SECOND				30
#define DAVEX_COUNTER_SEARCH_REQUESTS_PER_SECOND				32
#define DAVEX_COUNTER_OTHER_REQUESTS_PER_SECOND					34
#define DAVEX_COUNTER_200_RESPONSES_PER_SECOND					36
#define DAVEX_COUNTER_201_RESPONSES_PER_SECOND					38
#define DAVEX_COUNTER_400_RESPONSES_PER_SECOND					40
#define DAVEX_COUNTER_401_RESPONSES_PER_SECOND					42
#define DAVEX_COUNTER_404_RESPONSES_PER_SECOND					44
#define DAVEX_COUNTER_423_RESPONSES_PER_SECOND					46
#define DAVEX_COUNTER_500_RESPONSES_PER_SECOND					48
#define DAVEX_COUNTER_REDIRECT_RESPONSES_PER_SECOND				50
#define DAVEX_COUNTER_TOTAL_REQUESTS							52
#define DAVEX_COUNTER_TOTAL_OPTIONS_REQUESTS					54
#define DAVEX_COUNTER_TOTAL_GET_REQUESTS						56
#define DAVEX_COUNTER_TOTAL_HEAD_REQUESTS						58
#define DAVEX_COUNTER_TOTAL_PUT_REQUESTS						60
#define DAVEX_COUNTER_TOTAL_POST_REQUESTS						62
#define DAVEX_COUNTER_TOTAL_DELETE_REQUESTS						64
#define DAVEX_COUNTER_TOTAL_COPY_REQUESTS						66
#define DAVEX_COUNTER_TOTAL_MOVE_REQUESTS						68
#define DAVEX_COUNTER_TOTAL_MKCOL_REQUESTS						70
#define DAVEX_COUNTER_TOTAL_PROPFIND_REQUESTS					72
#define DAVEX_COUNTER_TOTAL_PROPPATCH_REQUESTS					74
#define DAVEX_COUNTER_TOTAL_LOCK_REQUESTS						76
#define DAVEX_COUNTER_TOTAL_UNLOCK_REQUESTS						78
#define DAVEX_COUNTER_TOTAL_SEARCH_REQUESTS						80
#define DAVEX_COUNTER_TOTAL_OTHER_REQUESTS						82
#define DAVEX_COUNTER_TOTAL_200_RESPONSES						84
#define DAVEX_COUNTER_TOTAL_201_RESPONSES						86
#define DAVEX_COUNTER_TOTAL_400_RESPONSES						88
#define DAVEX_COUNTER_TOTAL_401_RESPONSES						90
#define DAVEX_COUNTER_TOTAL_404_RESPONSES						92
#define DAVEX_COUNTER_TOTAL_423_RESPONSES						94
#define DAVEX_COUNTER_TOTAL_500_RESPONSES						96
#define DAVEX_COUNTER_TOTAL_REDIRECT_RESPONSES					98
#define DAVEX_COUNTER_CURRENT_REQUESTS_EXECUTING				100
#define DAVEX_COUNTER_TOTAL_REQUESTS_FORWARDED					102
#define DAVEX_COUNTER_TOTAL_EXCEPTIONS							104

#define DAVEX_COUNTER_POLL_REQUESTS_PER_SECOND					106
#define DAVEX_COUNTER_SUBSCRIBE_REQUESTS_PER_SECOND				108
#define DAVEX_COUNTER_UNSUBSCRIBE_REQUESTS_PER_SECOND			110
#define DAVEX_COUNTER_BATCHDELETE_REQUESTS_PER_SECOND			112
#define DAVEX_COUNTER_BATCHCOPY_REQUESTS_PER_SECOND				114
#define DAVEX_COUNTER_BATCHMOVE_REQUESTS_PER_SECOND				116
#define DAVEX_COUNTER_BATCHPROPPATCH_REQUESTS_PER_SECOND		118
#define DAVEX_COUNTER_BATCHPROPFIND_REQUESTS_PER_SECOND			120
#define DAVEX_COUNTER_204_RESPONSES_PER_SECOND					122
#define DAVEX_COUNTER_207_RESPONSES_PER_SECOND					124
#define DAVEX_COUNTER_302_RESPONSES_PER_SECOND					126
#define DAVEX_COUNTER_403_RESPONSES_PER_SECOND					128
#define DAVEX_COUNTER_405_RESPONSES_PER_SECOND					130
#define DAVEX_COUNTER_406_RESPONSES_PER_SECOND					132
#define DAVEX_COUNTER_409_RESPONSES_PER_SECOND					134
#define DAVEX_COUNTER_412_RESPONSES_PER_SECOND					136
#define DAVEX_COUNTER_415_RESPONSES_PER_SECOND					138
#define DAVEX_COUNTER_422_RESPONSES_PER_SECOND					140
#define DAVEX_COUNTER_424_RESPONSES_PER_SECOND					142
#define DAVEX_COUNTER_501_RESPONSES_PER_SECOND					144
#define DAVEX_COUNTER_503_RESPONSES_PER_SECOND					146
#define DAVEX_COUNTER_TOTAL_POLL_REQUESTS						148
#define DAVEX_COUNTER_TOTAL_SUBSCRIBE_REQUESTS					150
#define DAVEX_COUNTER_TOTAL_UNSUBSCRIBE_REQUESTS				152
#define DAVEX_COUNTER_TOTAL_BATCHDELETE_REQUESTS				154
#define DAVEX_COUNTER_TOTAL_BATCHCOPY_REQUESTS					156
#define DAVEX_COUNTER_TOTAL_BATCHMOVE_REQUESTS					158
#define DAVEX_COUNTER_TOTAL_BATCHPROPPATCH_REQUESTS				160
#define DAVEX_COUNTER_TOTAL_BATCHPROPFIND_REQUESTS				162
#define DAVEX_COUNTER_TOTAL_204_RESPONSES						164
#define DAVEX_COUNTER_TOTAL_207_RESPONSES						166
#define DAVEX_COUNTER_TOTAL_302_RESPONSES						168
#define DAVEX_COUNTER_TOTAL_403_RESPONSES						170
#define DAVEX_COUNTER_TOTAL_405_RESPONSES						172
#define DAVEX_COUNTER_TOTAL_406_RESPONSES						174
#define DAVEX_COUNTER_TOTAL_409_RESPONSES						176
#define DAVEX_COUNTER_TOTAL_412_RESPONSES						178
#define DAVEX_COUNTER_TOTAL_415_RESPONSES						180
#define DAVEX_COUNTER_TOTAL_422_RESPONSES						182
#define DAVEX_COUNTER_TOTAL_424_RESPONSES						184
#define DAVEX_COUNTER_TOTAL_501_RESPONSES						186
#define DAVEX_COUNTER_TOTAL_503_RESPONSES						188

#define DAVEX_COUNTER_REDIRECTS_FROM_BACKEND_PER_SECOND			190
#define DAVEX_COUNTER_TOTAL_REDIRECTS_FROM_BACKEND				192
#define DAVEX_COUNTER_IFS_CACHE_HITS_PER_SECOND					194
#define DAVEX_COUNTER_TOTAL_IFS_CACHE_HITS						196
#define DAVEX_COUNTER_IFS_CACHE_MISSES_PER_SECOND				198
#define DAVEX_COUNTER_TOTAL_IFS_CACHE_MISSES					200
#define DAVEX_COUNTER_CURRENT_ITEM_COUNT_IN_IFS_CACHE			202