#ifndef CONNPERF_H
#define CONNPERF_H

#define GWISEOBJ          0

// Performance Counters Name/Help Indexes
//----------------------------------------------------------------------------

// Connector counter defines
//---------------------------
#define MEXGOODTXN         2
#define MEXNDRTXN          4
#define GWGOODTXN          6
#define GWNDRTXN           8
#define MEXTXNVOL          10
#define GWTXNVOL           12

// Queue counters defines
//---------------------------
#define MSGQIN             14
#define MSGQOUT            16 
#define VOLQIN             18
#define VOLQOUT            20

// Rate Counter
//--------------
#define MEXGWMSGRATE       22
#define GWMEXMSGRATE       24
#define MEXGWVOLRATE       26
#define GWMEXVOLRATE       28

#endif