/*==========================================================================*\

    Module:        ipcctrs.h

    Copyright Microsoft Corporation 1998, All Rights Reserved.

    Author:        WayneC, MinYang

    Descriptions:  Object and Counter definitions for ExIPC.
    
\*==========================================================================*/

//
//  Object and Counter definitions
//

#define OBJECT_EPOXY                            0

#define ECTR_STORE_ENQS_TOTAL                   2
#define ECTR_CLIENT_ENQS_TOTAL                  4
#define ECTR_STORE_OUT_QLEN                     6
#define ECTR_CLIENT_OUT_QLEN                    8
#define ECTR_CUR_ALLOC_BLOCKS                   10
#define ECTR_STORE_PQCS_FAILURES                12
#define ECTR_CLIENT_PQCS_FAILURES               14
#define ECTR_CUR_ALLOC_BYTES                    16
#define ECTR_CUR_ALLOC_SEGMENTS                 18
