/*==========================================================================*\

    Module:        sdsmtproutingctrs.h

    Copyright Microsoft Corporation 2000, All Rights Reserved.

    Author:        haozhang

    Descriptions:  Object and Counter definitions for SMTP routing

\*==========================================================================*/

//
//  Object and Counter definitions
//
//
// Object itself
//
#define OBJECT_SDSMTP_ROUTING                                 0

//
// How many times serve cache has been refreshed
//
#define SDSMTP_REFRESH_SERVER_CACHE_COUNT                     2

//
// Howe many times we have issued global reset routes
//
#define SDSMTP_GLOBAL_RESET_ROUTE_COUNT                       4

//
// Howe many times we have issued local reset routes
//
#define SDSMTP_LOCAL_RESET_ROUTE_COUNT                        6

//
// How many times we have send link state changes to master
//
#define SDSMTP_LINKSTATE_CHANGE_COUNT                         8

//
// How many times we have purged such change because
// connector either comes from or points to a leaf node
//
#define SDSMTP_LINKSTATE_CHANGE_IGNORED_COUNT                10

//
// How many times we have sent neighbor RG XLSA packet
//
#define SDSMTP_SET_XLSA_LINKSTATE_COUNT                      12

 


