//
//  srsperf.h
//
//  Offset definition file for exensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the 
//  "First Counter" and "First Help" values of the device they belong to, 
//  in order to determine the  absolute location of the counter and 
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the 
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
#define DSAOBJ 		0
#define ACCVIOL 	2
#define DSREAD 		4
#define REPL 		6
#define THREAD 		8
#define DSWRITE 	10
#define XDSCLIENT 	12
#define PENDSYNC 	14
#define REMREPUPD 	16
#define REPLOBJS 	18
#define LDAPCSEARCHES 	20
#define LDAPSEARCHES 	22
#define INCOMINGINTERSITEREPLUPDS 24
#define OUTGOINGINTERSITEREPLMSGS 26

