<% @ ENABLESESSIONSTATE=False LANGUAGE=VBSCRIPT CODEPAGE=1250 %>
<%	CONST L_LoginButton_Text = "Iniciar sesso"
	CONST L_WindowTitle_Text = "Microsoft Outlook Web Access"
	CONST L_ImgAlt_Text = "Microsoft Office Outlook Web Access provided by Microsoft Exchange Server 2003"
	CONST L_ShowUITitle_Text = "Cliente"
	CONST L_ShowDetail_Text = "o que  isto?"
	CONST L_HideDetail_Text = "ocultar explicao"
	CONST L_ShowSimpleUI_Text = "Bsico"
	CONST L_ShowComplexUI_Text = "Avanado"
	CONST L_UIDescription_Text = "O cliente avanado fornece todas as funcionalidades do Outlook Web Access."
	CONST L_UIBasicDescription_Text = "O cliente bsico fornece menos funcionalidades que o cliente alargado. No entanto,  mais rpido. Utilize o cliente bsico se tiver uma ligao lenta."
	CONST L_ShowTrustTitle_Text = "Segurana"
	CONST L_ShowPublicUI_Text = "Computador pblico ou partilhado"
	CONST L_ShowTrustedUI_Text = "Computador privado"
	CONST L_PublicDescription_Text = "Seleccione esta opo se utilizar o Outlook Web Access num computador pblico."
	CONST L_BasicTrustDescription_Text = "Seleccione esta opo se for a nica pessoa a utilizar este computador."
	CONST L_PremiumTrustDescription_Text = "Seleccione esta opo se for a nica pessoa a utilizar este computador. O servidor Exchange permitir um maior perodo de inactividade antes de terminar a sesso do utilizador."
	CONST L_TrustWarning_Text = "<B>Aviso:</B> Ao seleccionar esta opo confirma que o computador est em conformidade com a poltica de segurana da sua organizao."
	CONST L_Password_Text = "Palavra-passe:"
	CONST L_UserName_Text = "Nome de domnio\utilizador:"
	CONST L_DialogRelogon_Text = "A sesso expirou. Regresse  pgina de incio de sesso do Outlook Web Access e, em seguida, inicie sesso novamente."
	CONST L_DialogCloseButton_Text = "Fechar janela"
	CONST L_ExpireWarning_Text = "Para proteger a conta contra acesso no autorizado, o Outlook Web Access fecha automaticamente a ligao  caixa de correio aps um perodo de inactividade. Se a sesso terminar, actualize o browser e, em seguida, inicie sesso novamente."
	CONST L_401User_Text = "No foi possvel iniciar sesso no Outlook Web Access.  Assegure-se de que o nome de domnio\utilizador e a palavra-passe esto correctos e, em seguida, tente novamente."
	CONST L_LogoffUser_Text = "Terminou sesso no Outlook Web Access. Para reiniciar sesso, escreva o nome de domnio\utilizador e palavra-passe e, em seguida, clique em <B>Iniciar sesso</B>."
	CONST L_RelogonUser_Text = "A sesso expirou. Para continuar a trabalhar reintroduza o seu domnio\alias ou o seu endereo de correio electrnico e palavra-passe e, em seguida, clique em <B>Iniciar sesso</B>."
	CONST L_ErrNoActiveScript1_Text = "O Web browser est configurado para no executar scripts ou no suporta script em pginas Web. Verifique as definies do browser ou utilize um browser que tenha capacidade para executar scritps. "
	CONST L_ErrorClearCerts_Text = "Ocorreu um erro ao remover certificados desta estao de trabalho."
	CONST sGuid = "{57A118C6-2DA9-419d-BE9A-F92B0F9A418B}"
	CONST sCmpGuid = "{b0f84fec-95ad-4f3e-8fc0-6bc1bbadbf0d}"
	CONST Scheme_HTTPS = "https://"
	CONST Scheme_HTTP = "http://"

	Dim g_CurrentLocale

	'  Get the current locale of Server 
	'
	'  Note:  Not all locales (ex FR, GER) use a period for decimal separator
	'  This causes vbscript errors converting strings to numeric values.
	'  So conversion from string to numeric should always use the en-us locale
	'  afterwards the locale is set back to the original value 

	g_CurrentLocale = GetLocale

	' default to current system setting on failure to return a valid locale id
	'
	If (IsNull(g_CurrentLocale) Or (g_CurrentLocale = "")) Then
		g_CurrentLocale = 0
	End If 

	dim reasonCode, redirectPath,szSecure,szServer,szScheme

	reasonCode = Request.QueryString("reason")
	redirectPath = Request.QueryString("url")
	redirectPath = Server.HTMLEncode(redirectPath)

	If redirectPath = "" Then
		szSecure = Request.ServerVariables("SERVER_PORT_SECURE")
		szServer = Request.ServerVariables("SERVER_NAME")
		szScheme = Scheme_HTTPS
		If szSecure = "0" Then
			szScheme = Scheme_HTTP
		End If

		redirectPath = szScheme & szServer & "/exchange/"
	End If

	Dim UserText, UserAgentText, PathInfo

	UserAgentText = Request.ServerVariables("HTTP_USER_AGENT")
	PathInfo = Request.ServerVariables("QUERY_STRING")

	Select Case reasonCode
		Case "1"
			UserText = L_LogoffUser_Text
		Case "2"
			UserText = L_401User_Text
		Case "3"
			UserText = L_RelogonUser_Text
		Case Else
	End Select

	Response.CacheControl = "no-cache"
	Response.Expires = -1

	Dim g_fIsSMimeCapable
	Dim g_fIsMSIE5Rich
	Dim g_fIsDialogRedirect
	Dim g_fTrust
	Dim g_sAlign
	Dim g_sOpenParen
	Dim g_sCloseParen

	g_fIsSMimeCapable = isSMimeCapable
	g_fIsMSIE5Rich = isMSIE5Rich
	g_fIsDialogRedirect = isDialogRedirect

	' Variable to turn display of Security on and off
	'
	g_fTrust = True 

	if isRTL Then
		g_sAlign = "RTL"
		g_sOpenParen = "&#x200F;("
		g_sCloseParen= "&#x200F;)"
	Else
		g_sAlign = "LTR"
		g_sOpenParen = "&#x200E;("
		g_sCloseParen= "&#x200E;)"
	End If

	Public Function isMSIE5Rich
		On Error Resume Next

		dim iMSIE, szVer, rgszVer, dblVer

		isMSIE5Rich = False

		SetLocale("en-us")

		iMSIE = InStr(1, UserAgentText, "MSIE")

		If iMSIE <> 0 Then
			szVer = Mid(UserAgentText, iMSIE + 5, 5)
			rgszVer = Split(szVer, ";", 2)
			dblVer = 0.0

			If IsNumeric(rgszVer(0)) Then
				dblVer = CDbl(rgszVer(0))
			End If

			If dblVer > 5.0 And InStr(1, UserAgentText, "Windows CE") = 0 And _
				(InStr(1, UserAgentText, "OMAXML") <> 0 Or _
				(InStr(1, UserAgentText, "Win") <> 0 And ( _
					InStr(1, UserAgentText, "NT") <> 0 Or _
					InStr(1, UserAgentText, "2000") <> 0 Or _
					InStr(1, UserAgentText, "98") <> 0 Or _
					InStr(1, UserAgentText, "95") <> 0 ))) Then
				If Err.Number = 0 Then
					isMSIE5Rich = True
				End If
			End If
		End If
		SetLocale(g_CurrentLocale)
		If Err.Number <> 0 Then
			Err.Clear
		End If
	End Function
	
	Public Function isDialogRedirect
		If((InStr(1,LCase(PathInfo),"%3fcmd=dialog")<>0) _
		Or (InStr(1,LCase(PathInfo),"%3fcmd=spellcheck")<>0) _
		Or ((InStr(1,LCase(PathInfo),"%3fcmd=junkemailoptions")<>0) And g_fIsMSIE5Rich) _
		Or (InStr(1,LCase(PathInfo),"%3fcmd=editrule")<>0)) Then
			isDialogRedirect = True
		Else
			isDialogRedirect = False
		End If
	End Function

	Public Function isSMimeCapable
		On Error Resume Next

		isSMimeCapable = false

		Dim re, matches

		SetLocale("en-us")

		Set re = new regexp  'Create the RegExp object
		re.Pattern = "MSIE \d+.\d+"
		Set matches = re.Execute(UserAgentText)

		If matches.Count <> 0 Then
			match = matches.Item(0)
			re.Pattern = "\d+.\d+"
			Set matches = re.Execute(match)

			If matches.Count <> 0 Then
				If IsNumeric(matches.Item(0)) Then
					Dim fCapable
					fCapable = (CDbl(matches.Item(0)) >= 6.0)
					If Err.Number = 0 Then
						isSMimeCapable = fCapable
					End If
				End If
			End If
		End If

		SetLocale(g_CurrentLocale)

		If Err.Number <> 0 Then
			Err.Clear
		End If
	End Function

	Public Function isRTL
		Dim strAcceptLang, arLanguages
		strAcceptLang = Request.ServerVariables("HTTP_ACCEPT_LANGUAGE")
		arLanguages = Split(strAcceptLang, ",", 1, 1)

		' If array is empty - no accept language is specified
		If (UBound(arLanguages) = -1) Then
			isRTL = False
			Exit Function
		End If

		If (InStr(1, LCase(arLanguages(0)), "ar") = 1) Or _
			(InStr(1, LCase(arLanguages(0)), "he") = 1) Then
			isRTL = True
		Else
			isRTL = False
		End If
	End Function

	Public Function GetMimeAttribs
		GetMimeAttribs = ""
		If g_fIsSMimeCapable Then
			GetMimeAttribs = "xmlns:MSIE xmlns:MIME"
		End If
	End Function

	Public Function GetDLGZIPVal
		On Error Resume Next

		GetDLGZIPVal = "0"

		SetLocale("en-us")

		If ( (InStr(UserAgentText, "MSIE") = 0) And InStr(UserAgentText, "Mozilla") ) Then  'its a Netscape-compatible browser
			If InStr(UserAgentText, "compatible;") = 0 Then  'its probably a Netscape browser
				dim intVersion
				If IsNumeric( Mid( UserAgentText, InStr( UserAgentText, "/" ) + 1, 1 ) ) Then
					 intVersion = CInt(Mid(UserAgentText, InStr(UserAgentText, "/") + 1, 1)) 
					 If Err.Number = 0 Then
						If intVersion < 5 Then
							GetDLGZIPVal = "2"
						End If
					End If
				End If
			End If
	 	End If

	 	SetLocale(g_CurrentLocale)

		If Err.Number <> 0 Then
			Err.Clear
		End If
	End Function

%>
<!-- <%=sGuid%> -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!--Copyright (c) 2000-2003 Microsoft Corporation.  All rights reserved.-->
<%
Response.Write "<HTML " & GetMimeAttribs & ">"
%>
	<HEAD>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=iso-8859-1">
		<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
		<META HTTP-EQUIV="Expires" CONTENT="0">
		<TITLE><%=L_WindowTitle_Text %></TITLE>
		<STYLE>
			BODY {font-size:70%;}
			TABLE {font-size:100%}
<% If g_fIsMSIE5Rich Then %>
			INPUT {font-size:100%}
<% End If %>
			SELECT, INPUT, TEXTAREA, BUTTON, LABEL, BODY
			{
				font-family:Tahoma,Arial,Helvetica,Sans-serif;
			}
			a:link		{ color: #3D5FA3; text-decoration: none }
			a:visited	{ color: #3D5FA3; text-decoration: none }
			a:hover		{ text-decoration: underline }
			.sideBar
			{
				background-image: url(/exchweb/img/logon_IE_bot.gif);
				background-repeat: repeat-y;
				vertical-align:left;
				height:100%;
			}
			.logoTD 
			{
				BORDER-TOP-WIDTH: 1px;
				BORDER-LEFT-WIDTH: 1px;
				PADDING-BOTTOM: 5px;
				BORDER-BOTTOM: #ecbe3e 1px solid;
				BORDER-RIGHT-WIDTH: 1px;
			}
			.mainTable
			{
			 	BORDER-RIGHT: #243760 1px solid;
			 	BORDER-TOP: #243760 1px solid;
			 	BORDER-LEFT: #243760 1px solid;
			 	BORDER-BOTTOM: #243760 1px solid;
			 	BORDER-COLLAPSE: collapse; 
			}
			.standardTable
			{
				BORDER-COLLAPSE: collapse;
			}
		</STYLE> 

		<NOSCRIPT>
			<TABLE id="borderTable" dir="<%=g_sAlign %>" class="standardTable" cellSpacing=0 cellPadding=0 height="100%" width="100%" bgColor="#3D5FA3" border=0>
			<TR>
				<TD width="25%">&nbsp;</TD>
				<TD width="50%">&nbsp;</TD>
				<TD width="25%">&nbsp;</TD>
			</TR>
			<TR>
				<TD width="25%">&nbsp;</TD>
				<TD width="50%">
					<TABLE style="border:2px solid black;" cellpadding=0 cellspacing=0 valign="middle" align="center" BGCOLOR="#FFFFE1" border=0>
						<TR><TD rowspan=3 width=20>&nbsp;&nbsp;</TD><TD>&nbsp;</TD><TD rowspan=3 width=20>&nbsp;&nbsp;</TD></TR>
						<TR>
							<TD>
								<font color='red' size=3>
								<P><%=L_ErrNoActiveScript1_Text %></P>
								</font>
							</TD>
						</TR>
						<TR><TD>&nbsp;</TD></TR>
					</TABLE>
				</TD>
				<TD width="25%">&nbsp;</TD>
			</TR>
			<TR>
				<TD width="25%">&nbsp;</TD>
				<TD width="50%">&nbsp;</TD>
				<TD width="25%">&nbsp;</TD>
			</TR>
			</TABLE>
		</NOSCRIPT>

	<% If g_fIsDialogRedirect Then %>
		<SCRIPT language='JavaScript'>
		function window.onload()
		{
			resizeDialog();
		}

		function resizeDialog()
		{
			var oBody = window.document.body;
			var iHeight = oBody.scrollHeight + (parseInt(window.dialogHeight, 10) - oBody.clientHeight) + 20;
			var iWidth = oBody.scrollWidth + (parseInt(window.dialogWidth, 10) - oBody.clientWidth) + 20;
			window.dialogHeight = iHeight + "px";
			window.dialogWidth = iWidth + "px";
			window.dialogTop = Math.round((screen.availHeight - iHeight) / 2);
			window.dialogLeft = Math.round((screen.availWidth - iWidth) / 2);

		}
		</SCRIPT>
	<% End If %>
	<% If (g_fIsMSIE5Rich And (g_fIsDialogRedirect = False)) Then %>
	<SCRIPT language='JavaScript'>
	function window.onload()
	{
	<%
	' If logoff and IE 6+
	If ((1 = reasonCode) And g_fIsSMimeCapable) Then %>
		document.execCommand("ClearAuthenticationCache", "false");
		try
		{
			if (oClientCaps.isComponentInstalled("<%=sCmpGuid %>", "ComponentID"))
				mimeLogoff.Logoff();
		}
		catch(e)
		{
			var str = "Error: " + "(" + "0x" + (hres(e.number).toString(16)) + ")";

			if ((e.description!=null) && (e.description.length>0))
				str += ": " + e.description;

			alert("<%=L_ErrorClearCerts_Text%>\n" + str);
		}
	<% End If %>
		logonForm.username.focus();

		var fGZIPSafe = false;
		<% 'Do not enable gzip for Windows .Net
			If InStr(1, UserAgentText, "Windows NT 5.2") = 0 Then
		%>
		var nVersion = 5;
		var nVerOffset = navigator.appVersion.indexOf("MSIE ");

		if (nVerOffset != -1)
		{
			var nVerT = parseInt(navigator.appVersion.substring(nVerOffset + 5, nVerOffset + 6), 10);
			if (!isNaN(nVerT))
				nVersion = nVerT;
		}

		if (nVersion > 6)
		{
			fGZIPSafe = true;
		}
		else if (nVersion == 6)
		{
			var nSP = 0;
			var nSPOffset = navigator.appMinorVersion.indexOf("SP");
			if (nSPOffset != -1)
			{
				var nVerT = parseInt(navigator.appMinorVersion.substring(nSPOffset + 2, nSPOffset + 3), 10);
				if (!isNaN(nVerT))
					nSP = nVerT;
			}

			if (nSP > 1)
			{
				fGZIPSafe = true;
			}
			else
			{
				var re = /Q(\d+)(;)?/ig;
				var sMinVersion = navigator.appMinorVersion;
				var rgMatches = sMinVersion.match(re);
				if (rgMatches != null)
				{
					for (i=0; i < rgMatches.length; i++)
					{
						var iMinVer = parseInt(rgMatches[i].substring(1));
						if (!isNaN(iMinVer))
							if (iMinVer >= 328970)
							{
								fGZIPSafe = true;
								break;
							}
					}
				}
			}
		}
		<% End If 'End check for .Net %>

		if (!fGZIPSafe)
			logonForm["flags"].value |= 2;
	}

function onClickHelp()
{
	var oEvtId = window.event.srcElement.id;

	switch(oEvtId)
	{
		case "lnkShowClient":
		{
			trPremium.style.display='';
			trBasic.style.display='';
			lnkShowClient.style.display='none';
			lnkHideClient.style.display='';
			lnkHideClient.focus();
			break;
		}
		case "lnkHideClient":
		{
			trPremium.style.display='none';
			trBasic.style.display='none';
			lnkShowClient.style.display='';
			lnkHideClient.style.display='none';
			lnkShowClient.focus();
			break;
		}
		case "lnkShowTrust":
		{
			trPublic.style.display='';
			trTrusted.style.display='';
			trWrn.style.display='';
			lnkShowTrust.style.display='none';
			lnkHideTrust.style.display='';
			lnkHideTrust.focus();
			break;
		}
		case "lnkHideTrust":
		{
			trPublic.style.display='none';
			trTrusted.style.display='none';
			lnkShowTrust.style.display='';
			lnkHideTrust.style.display='none';
			lnkShowTrust.focus();
			showWarning();
			break;
		}
	}
}

	function showWarning()
	{
		var oPubDesc = document.all("trPublic");
		var rdoTrustedGrp = document.all("trusted");

		if (oPubDesc.style.display == "none")
		{
			if (rdoTrustedGrp[0].checked)
				trWrn.style.display = "none";
			else
				trWrn.style.display = "";
		}
	}

	function onClickSecurity()
	{
		var rdoTrustedGrp = document.all("trusted");
		showWarning();

		if (rdoTrustedGrp[0].checked)
			document.forms["logonForm"].flags.value &= 11;
		else
			document.forms["logonForm"].flags.value |= 4;

	}
	</SCRIPT>
	<% End If ' check for (g_fIsMSIE5Rich And g_fIsDialogRedirect)

	' If logoff and IE 6+

	If ((1 = reasonCode) And g_fIsSMimeCapable) Then
		Response.Write "<STYLE>@media all{MSIE\:clientCaps {behavior:url(#default#clientcaps)}}</STYLE>" & _
						"<MSIE:clientCaps id=""oClientCaps"" />" & _
						"<OBJECT id=""MimeNS"" classid=""CLSID:D801B381-B81D-47a7-8EC4-EFC111666AC0""></OBJECT>" & _
						"<?IMPORT namespace=""MIME"" implementation=#MimeNS>" & _
						"<SCRIPT>function hres(iErr){return iErr + 0xffffffff + 1;}</SCRIPT>"
	End If %>
	</HEAD>
<% If g_fIsDialogRedirect Then %>
	<BODY height="100%" scroll="no" bgcolor="#FFFFFF" text="#000000">
		<TABLE dir="<%=g_sAlign %>" height="100%" width="100%" valign="middle" align="center">
			<COL width="10%"><COL width="80%"><COL width="10%">
			<TR>
				<TD>&nbsp;</TD>
				<TD>
					<CENTER>
						<H4 style="color:red"><%=L_DialogRelogon_Text %></H4>
						<BR>
						<BUTTON onclick="window.close()"><%=L_DialogCloseButton_Text %></BUTTON>
					</CENTER>
				</TD>
				<TD>&nbsp;</TD>
			</TR>
	</TABLE>
	</BODY>
	<% Else %>
	<% If g_fIsMSIE5Rich Then %>
	<BODY scroll="AUTO" bgColor="#3D5FA3" text="#000000" leftMargin=0 topMargin=0>
		<FORM action="/exchweb/bin/auth/owaauth.dll" method="POST" name="logonForm" autocomplete="off">
	<% Else %>
	<BODY scroll="AUTO" bgColor="#FFFFFF" text="#000000" onload="window.document.logonForm.username.focus()">
		<FORM action="/exchweb/bin/auth/owaauth.dll" method="POST" name="logonForm">
	<% End If %>
	<INPUT type="hidden" name="destination" value="<%=redirectPath %>">
	<INPUT type="hidden" name="flags" value="<%=GetDLGZIPVal %>">
	<TABLE id="borderTable" class="standardTable" cellSpacing=0 cellPadding=0 height="100%" width="100%" bgColor="#3D5FA3" border=0>
		<TR height=20>
			<TD width="33%">&nbsp;</TD>
			<TD width="33%">&nbsp;</TD>
			<TD width="34%">&nbsp;</TD>
		</TR>
		<TR>
			<TD width="33%">&nbsp;</TD>
			<TD width="33%" valign="top">
				<TABLE id="mainTable" class="mainTable" cellSpacing=0 cellPadding=0 width=550 bgColor="#FFFFFF" border=0>
					<TR>
						<TD><img title="" alt="" src="/exchweb/img/spacer.gif" width="10"></TD>
						<TD height="100%" valign=top>
							<TABLE id="sidebarTable" class="standardTable" height="100%" width="100%" cellSpacing=0 cellPadding=0 border=0>
							<%
								If g_fIsMSIE5Rich Then
									Response.Write "<TR><TD width=""100%""><IMG title="""" alt="""" height=215 src=""/exchweb/img/logon_IE_top.gif"" width=77 border=0></TD></TR><TR><TD class=""sideBar"" height=""100%"" width=""100%"">&nbsp;</TD></TR>"
								Else
									Response.Write "<TR><TD width=""100%"" height=""100%""><IMG title="""" alt="""" height=421 src=""/exchweb/img/logon_Nav.gif"" width=76 border=0></TD></TR>"
								End If
							%>
							</TABLE>
						</TD>
						<TD><img title="" alt="" src="/exchweb/img/spacer.gif" width="5"></TD>
						<TD width="100%" valign=top>
							<TABLE id="logoTable" dir="<%=g_sAlign %>" cellSpacing=0 cellPadding=0 width="100%" border="0" bgColor="#FFFFFF">
								<TR>
									<TD vAlign=top align="right" width="100%" height=120 style="padding-top: 15">
										<IMG title="" alt="" height=12 src="/exchweb/img/logon_Microsoft.gif" width=59 border=0 hspace=10>
									</TD>
								</TR>
								<TR>
									<TD class="logoTD" width="100%">
										<% If isRTL Then %>
						       					<IMG title="<%=L_ImgAlt_Text %>" alt="<%=L_ImgAlt_Text %>" height=62 src="/exchweb/img/logon_logo.gif" width=331 border=0 hspace=10>
										<% Else %>
						       					<IMG title="<%=L_ImgAlt_Text %>" alt="<%=L_ImgAlt_Text %>" height=62 src="/exchweb/img/logon_logo.gif" width=331 border=0 hspace=0>
										<% End If %>
									</TD>
								</TR>
								<TR>
									<TD width="100%">
										<TABLE id="usertxtTable" width="100%" cellspacing=0 cellpadding=0 border=0 bgColor="#FFFFFF">
											<% If isRTL Then	%>
												<TR><TD width=10><img title="" alt="" src="/exchweb/img/spacer.gif" width=10></TD><TD noWrap align="left" valign="top" height="8">&nbsp;</TD></TR>
													<% If "" <> UserText Then %>
															<TR><TD width=10>&nbsp;</TD><TD><P style="color:red"><%=UserText %></P></TD></TR>
															<TR><TD width=10>&nbsp;</TD><TD width="100%" valign="TOP">&nbsp;</TD></TR>
													<% End If %>
													<TR><TD width=10 rowspan=2>&nbsp;</TD><TD noWrap align="left" valign="top" height="8">&nbsp;</TD></TR>
												<% Else %>
													<TR><TD noWrap align="left" valign="top" height="8">&nbsp;</TD><TD width=10><img title="" alt="" src="/exchweb/img/spacer.gif" width=10></TD></TR>
														<% If "" <> UserText Then %>
															<TR><TD><P style="color:red"><%=UserText %></P></TD><TD width=10>&nbsp;</TD></TR>
															<TR><TD width="100%" valign="TOP">&nbsp;</TD><TD width=10>&nbsp;</TD></TR>
														<% End If %>
													<TR><TD noWrap align="left" valign="top" height="8">&nbsp;</TD><TD width=10 rowspan=2>&nbsp;</TD></TR>
												<% End If %>
												<TR>
													<TD VALIGN=top>
														<TABLE id="contentTable" width="100%" height="100%" cellpadding=0 cellspacing=0 border="0" bgColor="#FFFFFF">
															<TR>
																<TD NOWRAP width="1%"><P><LABEL for="username"><%=L_UserName_Text %></LABEL></P></TD>
																<TD rowspan=7>&nbsp;&nbsp;</TD>
																<TD width="98%"><INPUT type="text" id="username" name="username" style="width:100%" size="25" maxlength="256"></TD>
																<TD rowspan=4>&nbsp;&nbsp;</TD>	
																<TD width="1%">&nbsp;</TD>
															</TR>
															<TR>
																<TD height="5"></TD>
																<TD valign="top" height="5"><img title="" alt="" src="/exchweb/img/spacer.gif" width=25 height=5></TD>
																<TD height=5></TD>
															</TR>
															<TR>
																<TD NOWRAP width="1%"><P><LABEL for="password"><%=L_Password_Text %></LABEL></P></TD>
																<TD width="98%"><INPUT type="password" autocomplete="off" style="width:100%" id="password" name="password" size="25" maxlength="256"></TD>
																<TD width="1%"><INPUT type="submit" value="<%=L_LoginButton_Text %>" id="SubmitCreds" name="SubmitCreds"></TD>
															</TR>
															<TR>
																<TD height="12"></TD>
																<TD valign="top" height="12"><img title="" alt="" src="/exchweb/img/spacer.gif" width=25 height=12></TD>
																<TD height=12></TD>
															</TR>
															<%
																If g_fIsMSIE5Rich Then
																	If (isRTL = False) Then
																		Response.Write "<TR><TD>&nbsp;</TD><TD colspan=4><TABLE cellspacing=0 cellpadding=0 border=0><TR><TD colspan=""2"" width=""100%"" style=""padding-bottom:3px;""><B>" & L_ShowUITitle_Text & "</B>&nbsp;"
																		Response.Write "(<A id=""lnkShowClient"" href=""#"" onclick=""onClickHelp();return false;"" >" & L_ShowDetail_Text & "</A>"
																		Response.Write "<A style=""display:none"" id=""lnkHideClient"" href=""#"" onclick=""onClickHelp();return false;"" >" & L_HideDetail_Text & "</A>)</TD></TR>"
																		Response.Write "<TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0 ><TR><TD><INPUT id=""rdoRich"" checked type=""radio"" name=""forcedownlevel"" value=""0"" onclick=""flags.value &= 14""></TD><TD><LABEL for=""rdoRich"">" & L_ShowComplexUI_Text & "</LABEL></TD></TR>"
																		Response.Write "<TR id=""trPremium"" style=""display:none;""><TD style=""padding-bottom:3px;"">&nbsp;</TD><TD style=""padding-bottom:3px;"">" & L_UIDescription_Text & "</TD></TR></TABLE></TD></TR>"
																		Response.Write "<TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0 ><TR><TD><INPUT id=""rdoBasic"" type=""radio"" name=""forcedownlevel"" value=""1"" onclick=""flags.value |= 1""></TD><TD><LABEL for=""rdoBasic"">" & L_ShowSimpleUI_Text & "</LABEL></TD></TR>"
																		Response.Write "<TR id=""trBasic"" style=""display:none;""><TD style=""padding-bottom:3px;"">&nbsp;</TD><TD style=""padding-bottom:3px;"">" & L_UIBasicDescription_Text & "</TD></TR></TABLE></TD></TR></TABLE></TD></TR>"
																		Response.Write "<TR><TD height=6></TD><TD colspan=4 height=6><img title="""" alt="""" src=""/exchweb/img/spacer.gif"" height=6></TD></TR>"
																	Else
																		Response.Write "<SCRIPT language=""JScript"">document.logonForm.flags.value&=14;</SCRIPT><INPUT type=""hidden"" name=""forcedownlevel"" value=""0"">"
																	End If
																End If 
																If g_fTrust Then
																	Response.Write "<TR><TD>&nbsp;</TD><TD colspan=4><TABLE cellspacing=0 cellpadding=0 border=0><TR><TD colspan=2 width=""100%"" style=""padding-bottom:3px;""><B>" & L_ShowTrustTitle_Text & "</B>&nbsp;"
																	If g_fIsMSIE5Rich Then
																		Response.Write g_sOpenParen & "<A id=""lnkShowTrust"" href=""#"" onclick=""onClickHelp();return false;"" >" & L_ShowDetail_Text & "</A>"
																		Response.Write "<A style=""display:none"" id=""lnkHideTrust"" href=""#"" onclick=""onClickHelp();return false;"" >" & L_HideDetail_Text & "</A>" & g_sCloseParen & "</TD></TR>"
																		Response.Write "<TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0 ><TR><TD><INPUT id=""rdoPublic"" checked type=""radio"" name=""trusted"" value=""0"" onclick=""onClickSecurity();""></TD><TD NOWRAP><LABEL for=""rdoPublic"">" & L_ShowPublicUI_Text & "</LABEL></TD></TR>"
																		Response.Write "<TR id=""trPublic"" style=""display:none;""><TD style=""padding-bottom:3px;"">&nbsp;</TD><TD style=""padding-bottom:3px;"">" & L_PublicDescription_Text & "</TD></TR></TABLE></TD></TR>"
																		Response.Write "<TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0><TR><TD><INPUT id=""rdoTrusted"" name=""trusted"" type=""radio"" value=""4"" onclick=""onClickSecurity();""></TD><TD NOWRAP><LABEL for=""rdoTrusted"">" & L_ShowTrustedUI_Text & "</LABEL></TD></TR>"
																		Response.Write "<TR id=""trTrusted"" style=""display:none;""><TD style=""padding-bottom:3px;"">&nbsp;</TD><TD style=""padding-bottom:3px;"">" & L_PremiumTrustDescription_Text & "</TD></TR>"
																		Response.Write "<TR id=""trWrn"" style=""display:none;""><TD >&nbsp;</TD><TD><FONT color=""red"">" & L_TrustWarning_Text & "</FONT></TD></TR></TABLE></TD></TR></TABLE></TD></TR>"
																	Else
																		Response.Write "</TD></TR><TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0><TR><TD><INPUT id=""rdoPublic"" checked type=""radio"" name=""trusted"" value=""0"" onclick=""flags.value &= 11""></TD><TD NOWRAP><LABEL for=""rdoPublic"">" & L_ShowPublicUI_Text & "</LABEL></TD></TR><TR><TD height=6><img title="""" alt="""" src=""/exchweb/img/spacer.gif"" height=6></TD><TD height=6></TD></TR>"
																		Response.Write "<TR id=""trPublic""><TD>&nbsp;</TD><TD>" & L_PublicDescription_Text & "</TD></TR></TABLE></TD></TR><TR><TD height=6><img title="""" alt="""" src=""/exchweb/img/spacer.gif"" height=6></TD><TD height=6></TD></TR>"
																		Response.Write "<TR><TD colspan=""2""><TABLE cellspacing=0 cellpadding=0><TR><TD><INPUT id=""rdoTrusted"" name=""trusted"" type=""radio"" value=""4"" onclick=""flags.value |= 4""></TD><TD NOWRAP><LABEL for=""rdoTrusted"">" & L_ShowTrustedUI_Text & "</LABEL></TD></TR><TR><TD height=6><img title="""" alt="""" src=""/exchweb/img/spacer.gif"" height=6></TD><TD height=6></TD></TR>"
																		Response.Write "<TR id=""trTrusted""><TD>&nbsp;</TD><TD>" & L_BasicTrustDescription_Text & "</TD></TR>"
																		Response.Write "<TR id=""trWrn""><TD>&nbsp;</TD><TD><FONT color=""red"">" & L_TrustWarning_Text & "</FONT></TD></TR></TABLE></TD></TR></TABLE></TD></TR>"
																	End If
																End If
															%>
														</TABLE>
													</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
									<TR><TD colspan=2 width="100%">&nbsp;</TD></TR>
								</TABLE>
							</TD>
						</TR>
				</TABLE>
					<DIV dir="<%=g_sAlign %>" >
					<FONT color="#FFFFFF">
						<BR>
						<%=L_ExpireWarning_Text %>
					</FONT>
				</DIV>
			</TD>
			<TD width="34%">&nbsp;</TD>
		</TR>
		<TR>
			<TD width="33%">&nbsp;</TD>
			<TD width="33%">&nbsp;</TD>
			<TD width="34%">&nbsp;</TD>
		</TR>
</TABLE>
	<% 
	If g_fIsMSIE5Rich Then
		Response.Write "<IFRAME src=""/exchweb/controls/preload.htm"" style=""display:none""></IFRAME>"
	End If

	If ((1 = reasonCode) And g_fIsSMimeCapable) Then
		Response.Write "<MIME:Logoff id=""mimeLogoff"" style=""display:none"" />"
	End If %>
	</FORM>
	</BODY>
<% End If %>
</HTML>
