//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>
var m_szUrl="";
var m_iFirstWeekOfYear=0;
var m_bAutoInitialize=true;
var m_bReadURLparams=true;
var m_fAllowMultiselect=true;
var m_fIsIE50 = false;
var	m_iIntervalID;
var	m_oXMLhttp;
var	m_oXMLhttpBold;
var	m_iSubscriptionID;
var	m_fReadOnly=false;
var CONST_MS_IN_WEEK=604800000;

var	m_oViewDate;
var m_oTodaysDate= new Date();
	m_oTodaysDate.setHours(0,0,0,0);
var m_oSelectedStart;
var m_oSelectedEnd;
var	m_oMainTable;
var	m_fHasLoaded=false;
var	m_iFirstDayOfMonth=0;
var	m_iDaysInMonth=0;
var	m_iView=0;
var m_oStatus;
var m_rgCalCells,m_rgWeeknumberCells;
var	m_fHaveData=false;
var m_iStartDay=0;
var	m_oCalStartDate;
var	m_oCalEndDate;
var m_szClassPrepend="";
var m_szClassTodaysDateCell="cpTodaysDateCell";

//arrays populated from the delimited loc strings
var L_rgShortMonths_Text;
var L_rgLongMonths_Text;
var L_rgDayLetters_Text;

var m_szDateFormat ="[MMM] [yyyy]";
var m_szUpdatingBold = "Updating calendar...";
var	m_oXSL;
var	m_oOutPutXMLBold;

function mfReadURLparams()
{
	var iM = parseURLfor("m");
	iM = (null==iM || ""==iM)?-1:Number(iM);
	var iD = parseURLfor("d");
	iD = (null==iD || ""==iD)?-1:Number(iD);
	var iY = parseURLfor("y");
	iY = (null==iY || ""==iY)?-1:Number(iY);

	if(-3 != iM+iY+iD)//has at least one date item on the url
	{
		//missing defaults to current month/year and 1st day of	month
		iM = (isNaN(iM)	|| iM == -1)?m_oTodaysDate.getMonth():iM-1;
		iY = (isNaN(iY)	|| iY == -1)?m_oTodaysDate.getFullYear():iY;
		iD = (isNaN(iD)	|| iD == -1)?m_oTodaysDate.getDate():iD;
		m_oViewDate = new Date(iY,iM,iD);
		m_oSelectedStart= new Date(m_oViewDate);
		m_oSelectedEnd=new Date(m_oViewDate);
	}
	//search url for view
	var szView = parseURLfor("view");
	if (szView)
	{
		m_iView=(szView=="weekly")?1:( (szView=="monthly")?2:0 );
	}
}

//-- checks for the existence of the CheckForLocSting() function
function CheckForUtilLib()
{
	if ( 'function'!=typeof(CheckForLocString) )
	{
		alert("Missing /exchweb/controls/util_Calendar20.js include");
		return false;
	}
	return true;
}
void function onDocumentReady()
{
	if (!CheckForUtilLib()) return;
	if (!CheckForLocString("L_sdShortMonths_Text","CTRL_CALENDAR20.JS")) return;

	m_szClassPrepend = (null!=this.name)?this.name:"";
	L_rgShortMonths_Text=L_sdShortMonths_Text.split(";");
	L_rgLongMonths_Text=L_sdLongMonths_Text.split(";");
	L_rgDayLetters_Text=L_sdDayLetters_Text.split(";");
	if (m_bReadURLparams)
		mfReadURLparams();
	if (m_bAutoInitialize)
		f_initBehavior(null,null);
	event_onBehaviorReady.fire();
}
var m_szClassActiveDateCell,m_szClassInactiveDateCell;
//builds the calendar, does not do the bolding
f_initBehavior.bDone=false;

void function f_initBehavior(oD,iView)
{
	if (f_initBehavior.bDone) return;
	f_initBehavior.bDone=true;
	var	szXSLString = '<xsl:template xmlns:xsl="uri:xsl" xmlns:a="DAV:"><root>\
	<xsl:for-each select="a:multistatus/a:response">\
	<appointment><url><xsl:value-of select="a:href" /></url>\
	<xsl:for-each select="a:propstat/a:prop">\
		<dtstart><xsl:value-of	select="dtstart" /></dtstart>\
		<dtend><xsl:value-of select="dtend" /></dtend>\
		<alldayevent><xsl:value-of	select="alldayevent" /></alldayevent>\
	</xsl:for-each></appointment></xsl:for-each></root></xsl:template>';
	m_oXSL=mfGetObjXML(CONST_XMLDOM);
	m_oXSL.loadXML(szXSLString);

	m_oOutPutXMLBold=mfGetObjXML(CONST_XMLDOM);

	/**************Do initial calendar rendering******************/
	if (false)//m_szClassPrepend.length)
	{
		re = /class=\"def(_[^\"]*)\"/ig
		var strText = g_szTable.replace( re, "class=\""+m_szClassPrepend+"$1 def$1\"" );
		g_szTable = strText;
	}
	if(-1 < window.clientInformation.appVersion.indexOf("MSIE 5.0"))
	{
		m_fIsIE50=true;
		//copy the table to the doc
		element.insertAdjacentElement("afterbegin",this.document.body.firstChild);
		m_oMainTable = this.firstChild.firstChild;
	}
	else //IE5.5 and up
	{
		m_oMainTable = this.document.body.firstChild.firstChild;
		//parse the stylesheets property (import any overiding stylesheets)
		if (element.stylesheets)
		{
			var sheets=element.stylesheets.split(" ");
			var oSheet,oStyle;
			var len=(!sheets.length)?1:sheets.length;
			for (var x=0;x<len;x++)
			{
				if (oSheet=element.document.styleSheets[sheets[x]])
				{
					var szHref = oSheet.href;
					oStyle=null;
					if(szHref && szHref.length)
					{
						oStyle = document.createStyleSheet(szHref);
					}
					else if( oSheet.cssText.length )
					{
						oStyle = document.createStyleSheet();
						oStyle.cssText = oSheet.cssText;
					}
					if(oStyle)
					{
						var szMedia = oSheet.media;
						if( null != szMedia )
						{
							oStyle.media = szMedia;
						}
					}
				}
			}
		}
		//the body inherits the font but the main table does not!
		m_oMainTable.style.fontFamily=this.document.body.currentStyle.fontFamily;

	}
	if( element.imagePrevArrow )
	{
		m_oMainTable.children[1].children[0].children[0].innerHTML=
		'<IMG border=0 height=10 width=5 src="'+element.imagePrevArrow+'" leftNavButton="1">';
	}
	if( element.imageNextArrow )
	{
		m_oMainTable.children[1].children[0].children[2].innerHTML=
		'<IMG border=0 height=10 width=5 src="'+element.imageNextArrow+'" rightNavButton="1">';
	}
	m_oMainTable.attachEvent("onmousedown",onMouseDown);
	m_oMainTable.attachEvent("onmouseup",onMouseUp);
	m_oMainTable.parentElement.attachEvent("onkeydown",onKeyDown);
	m_oMainTable.parentElement.attachEvent("onfocus",onFocus);
	m_oMainTable.parentElement.attachEvent("onblur",onBlur);

	m_szClassActiveDateCell="cpActiveDateCell";
	m_szClassInactiveDateCell="cpInactiveDateCell";
	m_szClassTodaysDateCell="cpTodaysDateCell";

	//mfProcessResourceXML();
	m_rgCalCells = m_oMainTable.cells["numbercell"];
	m_rgWeeknumberCells = m_oMainTable.cells["weekcell"];

	for(var i=0;i<7;i++) //day letters
	{
		with(m_rgCalCells[i])
		{
			innerText = L_rgDayLetters_Text[(Number(m_iStartDay)+i)%7];
		}
	}
	if ( oD )
	{
		m_oViewDate = new Date(oD);
	}
	else if( !m_oViewDate ) //may be set from reading the url
	{
		m_oViewDate = new Date();
		m_oSelectedStart = new Date();
		m_oSelectedEnd = new Date();
	}
	if (null!=iView) m_iView = iView;
	if (1 == m_iView) //adjust selects weekly
	{//need to find start of this week
		i = m_oSelectedStart.getDay()-m_iStartDay;
		i+=(0>=i)?7:0;
		m_oSelectedStart.setDate(m_oSelectedStart.getDate()-i);
		m_oSelectedEnd.setDate(m_oSelectedStart.getDate()+6);
	}
	else if (2==m_iView) //monthly
	{
		m_oSelectedStart.setDate(1);
		i = m_oSelectedStart.getDay()-m_iStartDay;
		i+=(0>=i)?7:0;
		m_oSelectedStart.setDate(m_oSelectedStart.getDate()-i);
		m_oSelectedEnd.setTime( m_oSelectedStart.getTime()+(41*86400000) );
	}
	m_oSelectedStart.setHours(0,0,0,0);
	m_oSelectedEnd.setHours(24,0,0,0);
	mfUpdateCalendar(false,false);
}


void function fire_OnDateChange(fAppend,bViewOnly,oDate)
{
	var objEvent = createEventObject();
	objEvent.view = m_iView;
	if (!bViewOnly)
	{
		objEvent.date = oDate?oDate:((2!=m_iView)?m_oSelectedStart:m_oViewDate);
		objEvent.multiselect = fAppend;
	}
	id_OnDateChange.fire(objEvent);
}

void function fire_OnMonthChange()
{
	var objEvent = createEventObject();
	objEvent.month = m_oViewDate.getMonth();
	objEvent.year = m_oViewDate.getFullYear();
	id_OnMonthChange.fire(objEvent);
}

void function onStop()
{
	if(m_iIntervalID)
	{
		window.clearInterval(m_iIntervalID);
	}
}

onKeyDown.iCell0=7;
onKeyDown.iCell1=7;
void function onKeyDown()
{
	f_setDatePicked.oD=null;
	switch (event.keyCode)
	{
	case 37: //left
		onKeyDown.iCell1-=(event.ctrlKey)?1100:1;
		break;
	case 38: //up
		onKeyDown.iCell1-=(event.ctrlKey)?1100:7;
		break;
	case 39: //right
		onKeyDown.iCell1+=(event.ctrlKey)?1000:1;
		break;
	case 40: //down
		onKeyDown.iCell1+=(event.ctrlKey)?1000:7;
		break;
	case 13:
		mfSetDailyView(m_rgCalCells[onKeyDown.iCell0],event.ctrlKey);
		break;
	}
	if (onKeyDown.iCell1<7) //move to prev month
	{
		if (event.ctrlKey&&event.shiftKey)//ctrl-shift flips years
			m_oViewDate.setFullYear(m_oViewDate.getFullYear()-1);
		else
			m_oViewDate.setMonth(m_oViewDate.getMonth()-1);
		onKeyDown.iCell1=(onKeyDown.iCell1<-1000)?onKeyDown.iCell0:48;
		mfUpdateCalendar(false,false);
		fire_OnMonthChange();
	}
	else if (onKeyDown.iCell1>48) //move to next month
	{
		if (event.ctrlKey&&event.shiftKey) //ctrl-shift flips years
			m_oViewDate.setFullYear(m_oViewDate.getFullYear()+1);
		else
			m_oViewDate.setMonth(m_oViewDate.getMonth()+1);
		onKeyDown.iCell1=(onKeyDown.iCell1>1000)?onKeyDown.iCell0:7;
		mfUpdateCalendar(false,false);
		fire_OnMonthChange();
	}
	if (0>onKeyDown.iCell0)
	{
		onKeyDown.iCell0=onKeyDown.iCell1=7;
	}
	if (onKeyDown.iCell0!=onKeyDown.iCell1)
	{
		m_rgCalCells[onKeyDown.iCell0].firstChild.className="cpKeyNavCell0";
		m_rgCalCells[onKeyDown.iCell1].firstChild.className="cpKeyNavCell1";
		onKeyDown.iCell0=onKeyDown.iCell1;
	}
}
void function onFocus()
{
		m_rgCalCells[onKeyDown.iCell1].firstChild.className="cpKeyNavCell1";
}
void function onBlur()
{
	if (onMouseDown.bIsDown) return;
	m_rgCalCells[onKeyDown.iCell1].firstChild.className="cpKeyNavCell0";
}
void function onMouseUp()
{
	onMouseDown.bIsDown=false;
}
onMouseDown.bIsDown=false
void function onMouseDown()
{
	onMouseDown.bIsDown=true;
	event.cancelBubble=true;
	f_setDatePicked.oD=null;
	m_oMainTable.focus();
	if(!m_fReadOnly)
	{
		var eSrc=event.srcElement;
		if(eSrc.parentElement.holdClass || eSrc.holdClass) //dynamic property holds bgcolor
		{
			if (eSrc.holdClass) eSrc=eSrc.firstChild; //clicked on border (td instead of div)
			if (0==m_iView && -1!=eSrc.parentElement.className.search(/selecteddatecell/i) && event.ctrlKey)
			{
				if(0==mfSetDailyView.fAppended) return(false);
				var el=eSrc.parentElement;
				el.className = el.holdClass;
				var oDate=new Date(el.year,el.month,el.innerText);
				fire_OnDateChange(-1,false,oDate);
				mfRemoveMultiSelection(oDate.getTime());
			}
			else
			{
				mfSetDailyView(eSrc.parentElement,(0==m_iView)?event.ctrlKey:false);
			}
			return(false);
		}
		else if(null != eSrc.holdClass) //dynamic property holds bgcolor
		{
			mfSetDailyView(eSrc,event.ctrlKey);
			return(false);
		}
		else if(null != eSrc.leftNavButton)
		{
			m_oViewDate.setMonth(m_oViewDate.getMonth()-1);
			mfUpdateCalendar(false,false);
			fire_OnMonthChange();
			return;
		}
		else if(null != eSrc.rightNavButton)
		{
			m_oViewDate.setMonth(m_oViewDate.getMonth()+1);
			mfUpdateCalendar(false,false);
			fire_OnMonthChange();
			return;
		}
		else if(-1 != eSrc.className.search(/displayname/i))
		{
			mfSetMonthlyView();
		}
		else if(null != eSrc.weekselect)
		{
			mfSetWeeklyView(m_oMainTable.rows[eSrc.parentElement.rowIndex].cells[1]);
		}
	}
}

mfSetDailyView.fAppended=0;
void function mfSetDailyView(eCell,fAppend,bExternalCall)
{
	if (fAppend)
	{
		if (!m_fAllowMultiselect) return;

		if (-1==eCell.className.search(/cpSelectedDateCell/i))
			mfSetDailyView.fAppended++;
		else
		{
			if (0==mfSetDailyView.fAppended) return; //don't unselect only selection
			eCell.className=eCell.holdClass;
			var oDate=new Date(eCell.year,eCell.month,eCell.innerText);
			fire_OnDateChange(-1,false,oDate);
			mfRemoveMultiSelection(oDate.getTime());
			return;
		}
	}
	else
	{
		mfSetDailyView.fAppended=0;
		mfFindAndSelectDate.rgoDates.length=0;
	}
	m_iView=0;
	m_oSelectedStart.setFullYear(eCell.year,eCell.month,parseInt(eCell.innerText));
	m_oSelectedEnd.setTime(m_oSelectedStart);
	if (mfFindAndSelectDate(fAppend))
	{
		mfGetAppointments(!bExternalCall,false,true,fAppend);
	}
}
void function mfRemoveMultiSelection(iMs)
{
	var len = mfFindAndSelectDate.rgoDates.length;
	for (var x=0;x<len;x++)
	{
		if (iMs==mfFindAndSelectDate.rgoDates[x])
		{
			delete mfFindAndSelectDate.rgoDates[x];
			mfFindAndSelectDate.rgoDates.sort();
			mfFindAndSelectDate.rgoDates.length = len-1;
			mfSetDailyView.fAppended--;
			mfFindAndSelectDate.nAppendCount--;
			break;
		}
	}
}

void function mfSetWeeklyView(eCell,bExternalCall)
{
	m_iView=1;
	mfFindAndSelectDate.rgoDates.length=0;
	mfSetDailyView.fAppended=0;
	if (f_setDatePicked.oD)
	{
		m_oSelectedStart.setFullYear(f_setDatePicked.oD.getFullYear(),f_setDatePicked.oD.getMonth(),f_setDatePicked.oD.getDate());
		while(m_oSelectedStart.getDay()!=m_iStartDay)
			m_oSelectedStart.setDate(m_oSelectedStart.getDate()-1);
		m_oSelectedEnd.setFullYear(m_oSelectedStart.getFullYear(),m_oSelectedStart.getMonth(),m_oSelectedStart.getDate()+6);
		f_setDatePicked.oD=null;
	}
	else
	{
		m_oSelectedStart.setFullYear(eCell.year,eCell.month,eCell.innerText);
		m_oSelectedEnd.setFullYear(eCell.year,eCell.month,Number(eCell.innerText)+6);
	}
	if (mfFindAndSelectDate(false))
	{
		mfGetAppointments(!bExternalCall,false,true,false);
	}
}

void function mfSetMonthlyView(bExternalCall)
{
	m_iView=2;
	mfFindAndSelectDate.rgoDates.length=0;
	mfSetDailyView.fAppended=0;
	m_oSelectedStart.setTime(m_oCalStartDate);
	m_oSelectedEnd.setTime(m_oCalEndDate);
	if (mfFindAndSelectDate(false))
	{
		mfGetAppointments(!bExternalCall,false,true,false);
	}
}
void function f_setView(iView)
{
	//use the currently selected cell to determine view
	if(m_iView == iView)
	{
		return;
	}
	m_iView=iView;
	switch(iView)
	{
	case 1:
		//use the last selected day or today
		var x=(-1<mfFindAndSelectDate.iHoldLastDaily)?mfFindAndSelectDate.iHoldLastDaily:mfFindAndSelectDate.iStartIdx;
		mfSetWeeklyView(m_oMainTable.rows[m_rgCalCells[x].parentElement.rowIndex].cells[1],true);
		break;
	case 2:
		mfSetMonthlyView(true);
		break;
	case 0:
	default:
		var x=(-1<mfFindAndSelectDate.iHoldLastDaily)?mfFindAndSelectDate.iHoldLastDaily:mfFindAndSelectDate.iStartIdx;
		mfSetDailyView(m_rgCalCells[x],false,true);
	}
	fire_OnDateChange(false,2!=iView);
}
//unselects	current	selection
//searches calendar	for	matching date cell given in m_oSelectedStart
mfFindAndSelectDate.iStartIdx=-1;
mfFindAndSelectDate.iEndIdx=-1;
mfFindAndSelectDate.iHoldLastDaily=-1;
mfFindAndSelectDate.nAppendCount=0;
mfFindAndSelectDate.rgoDates=new Array();
mfFindAndSelectDate.bFirst=true;
//RETURN: true if date found and selected
function mfFindAndSelectDate(fAppend,fLeaveSelection)
{
	var x,y;
	if (mfFindAndSelectDate.iStartIdx>-1 && !fAppend && !fLeaveSelection)
	{
		//remove any prev selection
		if (mfFindAndSelectDate.nAppendCount) //we were appending clear all backgrounds
		{
			for(x=7; x < m_rgCalCells.length; x++)
			{
				m_rgCalCells[x].className = m_rgCalCells[x].holdClass;
			}
			mfFindAndSelectDate.nAppendCount=0;
		}
		else //clear just the previous selection
		{
			for(x=mfFindAndSelectDate.iStartIdx;x<=mfFindAndSelectDate.iEndIdx;x++)
			{
				m_rgCalCells[x].className = m_rgCalCells[x].holdClass;
			}
		}
		mfFindAndSelectDate.iStartIdx=-1;
	}
	//special processing if not multiselecting but there is multiple daily selections
	// happens when moving months while there are multi daily selections
	else if (!fAppend && 1<mfFindAndSelectDate.rgoDates.length) //multiselection exists
	{
		var len=mfFindAndSelectDate.rgoDates.length;
		var msStart = mfFindAndSelectDate.rgoDates[0];
		var msEnd =  mfFindAndSelectDate.rgoDates[len-1];
		if (msEnd>=m_oCalStartDate.getTime() && msStart<=m_oCalEndDate.getTime())
		{
			var msCalStart = m_oCalStartDate.getTime();
			for (x=0;x<len;x++)
			{
				y=Math.round((mfFindAndSelectDate.rgoDates[x]-msCalStart)/86400000)+7;
				if (6<y && 49>y)
				{
					m_rgCalCells[y].className ="cpSelectedDateCell "+m_rgCalCells[y].className;
					if (48<y) break;
				}
			}
		}
		return(false);
	}
	if (m_oSelectedStart>m_oCalEndDate || m_oSelectedEnd<m_oCalStartDate)
	{
		return(false);
	}
	x=7;
	if(2==m_iView) //monthly
	{
		if(m_oSelectedStart.getTime() == m_oCalStartDate.getTime()) //whole month showing
		{
			y=m_rgCalCells.length-1;
		}
		else if(m_oSelectedStart<m_oCalStartDate&&m_oSelectedEnd>m_oCalStartDate) //do 1st grey area
		{
			mfFindAndSelectDate.iStartIdx=7;
			for(x=7;"1"!=m_rgCalCells[x].innerText;x++)
			{
				m_rgCalCells[x].className = m_szClassPrepend+"cpickSelectedDateCell cpSelectedDateCell ";
			}
			mfFindAndSelectDate.iEndIdx=x;
			return(true);
		}
		else if(m_oSelectedStart<m_oCalEndDate&&m_oSelectedEnd>m_oCalEndDate)//last gray area
		{
			x=m_rgCalCells.length-1;
			mfFindAndSelectDate.iEndIdx=x;
			for(;"1"!=m_rgCalCells[x].innerText;x--)
			{
				m_rgCalCells[x].className = m_szClassPrepend+"cpickSelectedDateCell cpSelectedDateCell ";
			}
			m_rgCalCells[x].className = m_szClassPrepend+"cpickSelectedDateCell cpSelectedDateCell ";
			mfFindAndSelectDate.iStartIdx=x-1;
			return(true);
		}
		else
		{
			return(true);
		}
	}
	//if the selection falls on this month
	else if (m_oSelectedStart>=m_oCalStartDate && m_oSelectedStart<=m_oCalEndDate)
	{
		//calc the offset to the cell (add 7 for the weekday name headings)
		x=Math.round((m_oSelectedStart-m_oCalStartDate)/86400000)+7;
	}
	y=x;
	if (0 != m_iView)
	{
		y=(2==m_iView)?m_rgCalCells.length-1:x+6;
		if (2==m_iView && m_oSelectedEnd<m_oCalEndDate)
		{
			y=Math.round((m_oSelectedEnd-m_oCalStartDate)/86400000)+7;
		}
	}
	mfFindAndSelectDate.iStartIdx=(x<49)?x:-1;
	mfFindAndSelectDate.iEndIdx=(y<49)?y:-1;

	var szClassAppend;
	if (!fAppend)
	{
		for (;(x<=y && x<49);x++)
		{
			m_rgCalCells[x].className ="cpSelectedDateCell "+m_rgCalCells[x].className;
		}
		mfFindAndSelectDate.rgoDates.length=0;
		mfFindAndSelectDate.rgoDates[0]=m_oSelectedStart.getTime();
	}
	else if (6>mfFindAndSelectDate.nAppendCount) //we are multiselecting and have less than 7
	{
		mfFindAndSelectDate.nAppendCount++
		mfFindAndSelectDate.rgoDates[mfFindAndSelectDate.rgoDates.length]=m_oSelectedStart.getTime();
		mfFindAndSelectDate.rgoDates.sort();
		for (;(x<=y && x<49);x++)
		{
			m_rgCalCells[x].className ="cpSelectedDateCell "+m_rgCalCells[x].className;
		}
	}
	else
	{
		return(false);
	}
	if (m_iView==0)
	{
		mfFindAndSelectDate.iHoldLastDaily=mfFindAndSelectDate.iStartIdx;
	}
	if (-1<onKeyDown.iCell0 && 0==m_iView)
	{
		m_rgCalCells[onKeyDown.iCell0].firstChild.className="cpKeyNavCell0";
		onKeyDown.iCell1=onKeyDown.iCell0=(-1<mfFindAndSelectDate.iStartIdx)?mfFindAndSelectDate.iStartIdx:7;
		//show the keyboard frame if not first load
		if (!mfFindAndSelectDate.bFirst)
		{
			m_rgCalCells[onKeyDown.iCell1].firstChild.className="cpKeyNavCell1";
		}
		else
		{
			mfFindAndSelectDate.bFirst=false;
		}
	}
	return(true);
}

f_setDatePicked.oD=null;
function f_setDatePicked(iD,iM,iY)
{
	for (var x=7;x<m_rgCalCells.length;x++)
	{
		if(iY==m_rgCalCells[x].year && iM==m_rgCalCells[x].month && iD==Number(m_rgCalCells[x].innerText))
		{
			m_rgCalCells[x].firstChild.className="cpKeyNavCell1";
			onKeyDown.iCell1=onKeyDown.iCell0=x;
			mfFindAndSelectDate.iHoldLastDaily=x;
		}
		else
		{
			m_rgCalCells[x].firstChild.className="cpKeyNavCell0";
		}
	}
	f_setDatePicked.oD=new Date(iY,iM,iD,0,0,0);
}

//PARAM: iMonth - jan=0
function mfGetDaysInMonth(iMonth, iYear)
{
	iMonth+=(iMonth==-1)?13:1; //remove 0 offset (1=jan)
	return( (2 == iMonth) ? (28+mfIsLeapYear(iYear)):(30+((iMonth+(iMonth>7))%2)));
}
function mfIsLeapYear(yr)
{
	return((yr	% 4	== 0) && (yr % 100 != 0) ||	(yr	% 400 == 0))?1:0;
}

function  mfGetMsStartWeek(iY,iFirstWeekOfYear)
{
	var y,z
	var fShift=false;
	var rgRet=new Array(3);
	//figure the week number
	var oDate=new Date(iY,0,1,0,0,0,0);
	rgRet[2] = (oDate.getDay()==m_iFirstDayOfMonth);

	switch (iFirstWeekOfYear)
	{
	case 1: //Week containing 1/1 - back up to start of week
		fShift=true;
		for (z=oDate.getDay();z!=m_iStartDay;)
		{
			oDate.setDate(oDate.getDate()-1);
			z=oDate.getDay();
			fShift=false;
		}
		break;
	case 2: //First week of Jan containing at least four days
		z=oDate.getDay();
		for (y=0;z!=m_iStartDay;y++)
		{
			oDate.setDate(oDate.getDate()+1);
			z=oDate.getDay();
		}
		//have we moved 4 days then go back 7 days else stay here
		if (4<=y)
			oDate.setDate(oDate.getDate()-7);
		else
			fShift=true;
		break;
	case 3: //First full week of Jan containing at least seven days
		z=oDate.getDay();
		for (y=0;z!=m_iStartDay;y++)
		{
			oDate.setDate(oDate.getDate()+1);
			z=oDate.getDay();
		}
		//have we moved 7 days then go back 7 days else stay here
		if (7<=y)
			oDate.setDate(oDate.getDate()-7);
		else
			fShift=true;
		break;
	}
	rgRet[1]=fShift;
	rgRet[0]=oDate.getTime();
	return(rgRet);
}

mfWriteCellNumbers.todayCellIdx=-1;
void function mfWriteCellNumbers(fLeaveSelection)
{
	m_oViewDate.setDate(1);

	var iM = m_oViewDate.getMonth();
	var iY = m_oViewDate.getFullYear();
	var iY2 = iY%100;

	var szCaptionText = this.m_szDateFormat.replace(/\[MMMM\]/g, L_rgLongMonths_Text[iM]);

	szCaptionText = szCaptionText.replace(/\[MMM\]/g, L_rgShortMonths_Text[iM]);
	szCaptionText = szCaptionText.replace(/\[MM\]/g, ++iM<10 ? "0"+iM : iM );
	szCaptionText = szCaptionText.replace(/\[M\]/g, iM);
	szCaptionText = szCaptionText.replace(/\[yyy+\]/g, iY);
	szCaptionText = szCaptionText.replace(/\[y+\]/g, iY2>9?iY2:"0"+iY2);

	m_oMainTable.rows[0].cells[1].innerText= szCaptionText;

	if (m_oCalStartDate)
	{
		m_oCalStartDate.setTime(m_oViewDate);
		m_oCalEndDate.setTime(m_oViewDate);
	}
	else
	{
		m_oCalStartDate=new Date(m_oViewDate);
		m_oCalEndDate=new Date(m_oViewDate);
	}
	var x=m_oViewDate.getDay()-m_iStartDay;
	x+=(0>=x)?7:0; //show entire previous week
	m_oCalStartDate.setDate(1-x); //this is now the first date on the calendar
	m_oCalStartDate.setHours(0,0,0,0);
	m_oCalEndDate.setDate((1-x)+41);
	m_oCalEndDate.setHours(24,0,0,0);

	if ("number"!=typeof(m_iFirstWeekOfYear)) m_iFirstWeekOfYear=Number(m_iFirstWeekOfYear);
	if ("number"!=typeof(m_iStartDay)) m_iStartDay=Number(m_iStartDay);

	if (0==m_iFirstWeekOfYear)
		m_bShowWeekNumbers=false;
	if (m_bShowWeekNumbers)
	{
		var rgRet=mfGetMsStartWeek(iY,m_iFirstWeekOfYear);
		var iMsYearStart=rgRet[0];
		var fShift=rgRet[1];
		var fFirstIsFirstday=rgRet[2];
		var iMsCalStart=m_oCalStartDate.getTime();
		var iWeek;
		if (iMsYearStart>iMsCalStart && fShift) //then we are in january with last week of december
		{ //this may be week 52 or 53
			rgRet=mfGetMsStartWeek(iY-1,m_iFirstWeekOfYear);
			iWeek = Math.ceil((iMsCalStart - rgRet[0])/CONST_MS_IN_WEEK)+1;
			m_rgWeeknumberCells[0].innerText = iWeek;
			m_rgWeeknumberCells[1].innerText = 1;
			m_rgWeeknumberCells[2].innerText = 2;
			m_rgWeeknumberCells[3].innerText = 3;
			m_rgWeeknumberCells[4].innerText = 4;
			m_rgWeeknumberCells[5].innerText = 5;
		}
		else
		{
			iWeek = Math.ceil((iMsCalStart - iMsYearStart)/CONST_MS_IN_WEEK)+1;
			iWeek = (fShift)?((0==iWeek)?52:iWeek):iWeek;
			if (48>iWeek) //optimize the 10 months when can never be > 52
			{
				m_rgWeeknumberCells[0].innerText = iWeek++;
				m_rgWeeknumberCells[1].innerText = iWeek++;
				m_rgWeeknumberCells[2].innerText = iWeek++;
				m_rgWeeknumberCells[3].innerText = iWeek++;
				m_rgWeeknumberCells[4].innerText = iWeek++;
				m_rgWeeknumberCells[5].innerText = iWeek++;
			}
			else
			{
				rgRet=mfGetMsStartWeek(iY+1,m_iFirstWeekOfYear);

				var iWeek53Offset= Math.ceil((iMsCalStart - rgRet[0])/CONST_MS_IN_WEEK)+1;
				m_rgWeeknumberCells[0].innerText = iWeek++;
				m_rgWeeknumberCells[1].innerText = iWeek++;
				m_rgWeeknumberCells[2].innerText = iWeek++;
				m_rgWeeknumberCells[3].innerText = iWeek++;
				if(52==iWeek)
				{
					m_rgWeeknumberCells[4].innerText = 52;
					m_rgWeeknumberCells[5].innerText = (iWeek53Offset==-5)?53:1;
				}
				else if (53==iWeek)
				{
					if (iWeek53Offset==-4)
					{
						m_rgWeeknumberCells[4].innerText = 53;
						m_rgWeeknumberCells[5].innerText = 1;
					}
					else
					{
						m_rgWeeknumberCells[4].innerText = 1;
						m_rgWeeknumberCells[5].innerText = 2;
					}
				}
			}
		}
	}

	var iD = m_oCalStartDate.getDate();
	var iM = m_oCalStartDate.getMonth();
	var iY = m_oCalStartDate.getFullYear();
	var iDm = mfGetDaysInMonth(iM,iY);
	var szClass = (0==x)?m_szClassActiveDateCell:m_szClassInactiveDateCell;
	var y=7+iDm;
	for(x=7;iD<=iDm;x++)
	{
		m_rgCalCells[x].month=iM;
		m_rgCalCells[x].year =iY;
		m_rgCalCells[x].holdClass = szClass;
		with(m_rgCalCells[x])
		{
			className = fLeaveSelection?(className + " " +szClass):szClass;
			firstChild.innerText = iD++;
			runtimeStyle.fontWeight="normal";
		}
	}
	var iLastCell = m_rgCalCells.length;
	while(x<iLastCell)
	{
		iD=1;
		iM=(11==iM)?0:iM+1;
		if (0==iM ) iY++;
		var iDm = mfGetDaysInMonth(iM,iY);

		szClass=(szClass==m_szClassInactiveDateCell)?m_szClassActiveDateCell:m_szClassInactiveDateCell;

		if ((iDm+x) > iLastCell) iDm=iLastCell-x; //dont past last cell
		for(;iD<=iDm;x++)
		{
			m_rgCalCells[x].month=iM;
			m_rgCalCells[x].year =iY;
			m_rgCalCells[x].holdClass = szClass;
			with(m_rgCalCells[x])
			{
				firstChild.innerText = iD++;
				className = fLeaveSelection?(className + " " +szClass):szClass;
				runtimeStyle.fontWeight="normal";
			}
		}
	}
	if (-1!=mfWriteCellNumbers.todayCellIdx)
	{
		mfWriteCellNumbers.todayCellIdx=-1;
	}
	//is todays date on this calendar (needs red border)
	if(m_oTodaysDate > m_oCalStartDate && m_oTodaysDate < m_oCalEndDate)
	{
		//add one hour 3600000 (for daylight spring losing an hour) and floor (DST fall works with floor)
		x = Math.floor((m_oTodaysDate - m_oCalStartDate + 3600000)/86400000)
		m_rgCalCells[x+7].className = fLeaveSelection?(className + " " +m_szClassTodaysDateCell):m_szClassTodaysDateCell;
		m_rgCalCells[x+7].holdClass = m_szClassTodaysDateCell;
		mfWriteCellNumbers.todayCellIdx=x+7;
	}
	//prev selection has been wiped!
	mfFindAndSelectDate.iStartIdx=-1;
}

void function mfUpdateCalendar(fFireUpdate,fUseCurrentSelection)
{
	fUseCurrentSelection=(null==fUseCurrentSelection)?false:fUseCurrentSelection; //(null==false) optional param
	fFireUpdate=(null==fFireUpdate)?true:fFireUpdate;
	mfWriteCellNumbers(fUseCurrentSelection);
	mfFindAndSelectDate(false,fUseCurrentSelection);
	if (m_szUrl.length)
	{
		mfGetAppointments(fFireUpdate,true,true,false,fUseCurrentSelection);
	}
}

function mfGetISOdateString(objDate,fIsUTC)
{
	if (fIsUTC)
	{
		var szDay	= objDate.getUTCDate();
		var szMonth	= objDate.getUTCMonth()+1;
		var szYear	= objDate.getUTCFullYear();
		var szHr	= objDate.getUTCHours();
		var szMin	= objDate.getUTCMinutes();
		var szSec	= objDate.getUTCSeconds();
	}
	else
	{
		var szDay	= objDate.getDate();
		var szMonth	= objDate.getMonth()+1;
		var szYear	= objDate.getFullYear();
		var szHr	= objDate.getHours();
		var szMin	= objDate.getMinutes();
		var szSec	= objDate.getSeconds();
	}
	//1999-02-18T02:00:00.000Z"
	var szDate = szYear + "-" +
		((szMonth<10)?"0" + szMonth : szMonth) + "-" +
		((szDay  <10)?"0" + szDay   : szDay)   + "T" +
		((szHr   <10)?"0" + szHr    : szHr)    + ":" +
		((szMin  <10)?"0" + szMin   : szMin)   + ":" +
		((szSec  <10)?"0" + szSec   : szSec);//   + ".000Z";
	return(szDate);
}

mfGetBoldData.szQuery="";
//public filter does not include the span times
var m_szFilter ='AND NOT "urn:schemas:calendar:instancetype" = 1 \n' +
				'AND NOT "urn:schemas:calendar:busystatus" = \'FREE\' \n';
var m_szFilterAppend='';
var m_fHasCustomFilter=false;
mfGetBoldData.szIsoStart="";
mfGetBoldData.szIsoEnd="";
void function mfGetBoldData(fResetQuery,fUseFbData)
{
	if(null != m_oStatus )
	{
		m_oStatus.style.display="";
		m_oStatus.innerText = m_szUpdatingBold;
	}
	m_fHaveData = true;//allow event firings
	if (""==mfGetBoldData.szQuery) fResetQuery=true;
	if (fResetQuery)
	{
		var szDateStart=mfGetSearchDateUTC(m_oCalStartDate);
		var szDateEnd=mfGetSearchDateUTC(m_oCalEndDate);

		mfGetBoldData.szQuery ='<a:searchrequest xmlns:a="DAV:" > \n' +
		'<a:sql>Select ' +
		 '"urn:schemas:calendar:dtstart" AS dtstart, \n' +
		 '"urn:schemas:calendar:dtend" AS dtend, \n' +
		 '"urn:schemas:calendar:alldayevent" AS alldayevent \n' +
		'FROM Scope(\'SHALLOW TRAVERSAL OF ""\') \n' +
		'WHERE NOT "urn:schemas:calendar:instancetype" = 1 ' +
		'AND "urn:schemas:calendar:dtend" &gt; \''+szDateStart+'\' \n' +
		'AND "urn:schemas:calendar:dtstart" &lt; \''+szDateEnd+'\' \n' +
		 m_szFilter +
		 m_szFilterAppend +
		'ORDER BY "urn:schemas:calendar:dtstart" ASC \n' +
		'</></>';

		mfGetBoldData.szIsoStart=mfGetISOdateString(m_oCalStartDate,false);
		mfGetBoldData.szIsoEnd=mfGetISOdateString(m_oCalEndDate,false);
	}
	m_oXMLhttpBold = new ActiveXObject("Microsoft.xmlhttp");
	//if a custom filter is applied then always use search for fbdata
	var fUseGet = (0<m_szFilterAppend.length || m_fHasCustomFilter)?false:fUseFbData;
	try
	{
		if (fUseGet)
		{

			var szT1=formatTimezone(m_oCalStartDate.getTimezoneOffset());
			var szT2=formatTimezone(m_oCalEndDate.getTimezoneOffset());
			onRSC_getBoldData.fUsingGetMethod=true;
			m_oXMLhttpBold.open("GET", m_szUrl + "/?Cmd=monthfreebusy&start="+mfGetBoldData.szIsoStart+szT1+"&end="+mfGetBoldData.szIsoEnd+szT2, true);
			m_oXMLhttpBold.setRequestHeader("Content-Type", "text/xml");
			m_oXMLhttpBold.onreadystatechange = onRSC_getBoldData;
			m_oXMLhttpBold.send();
		}
		else
		{
			onRSC_getBoldData.fUsingGetMethod=false;
			m_oXMLhttpBold.open("SEARCH",m_szUrl, true);
			m_oXMLhttpBold.setRequestHeader("Content-Type", "text/xml");
			m_oXMLhttpBold.setRequestHeader("Brief","t");
			m_oXMLhttpBold.onreadystatechange = onRSC_getBoldData;
			m_oXMLhttpBold.send(mfGetBoldData.szQuery);
		}
	}
	catch(e)
	{
		alert("Error in ctrl_Calendar20.htc mfGetBoldData() with searchrequest: "+e.description);
	}
}

function formatTimezone(iTzMin)
{
	var szSign=(0>iTzMin)?"+":"-";
	var iHr=Math.floor(Math.abs(iTzMin)/60);
	iHr = (10>iHr)?("0"+iHr.toString(10)):iHr.toString(10);
	var iMin=Math.abs(iTzMin)%60;
	iMin=(10>iMin)?("0"+iMin.toString(10)):iMin.toString(10);
	return(szSign+iHr+":"+iMin);
}

onRSC_getBoldData.bFireDateChange=false;
onRSC_getBoldData.fUsingGetMethod=true;
void function onRSC_getBoldData()
{
	if(4 != m_oXMLhttpBold.readyState)
		return;
	var nodeFB,objXML;
	m_oXMLhttpBold.onreadystatechange = NO_OP;
	if (objXML = m_oXMLhttpBold.responseXML)
	{
		//are we using the fbdata info using a 'get'?
		if (onRSC_getBoldData.fUsingGetMethod)
		{
			if (0<m_oXMLhttpBold.responseXML.xml.length)
			{
				nodeFB=objXML.selectSingleNode('response/fbdata');
				var szFB=nodeFB.text;
				if ( -1==szFB.search(/[^01]/) ) //all data was found (nothing but 1 or 0)
					mfBoldDates2(szFB);
				else //some data not found (back 2 months or fbdata not available)
					mfGetBoldData(false,false); //repeat using explicit 'search' method
			}
			else //some error (a folder other than default calendar)
			{
				mfGetBoldData(false,false); //repeat using explicit 'search' method
			}
		}
		else //we did a 'search'
		{
			objXML.transformNodeToObject(m_oXSL.documentElement, m_oOutPutXMLBold);
			var objApptNodes = m_oOutPutXMLBold.selectNodes('root/appointment/dtstart');
			var objApptNodes1 = m_oOutPutXMLBold.selectNodes('root/appointment/dtend');
			var objApptNodes2 = m_oOutPutXMLBold.selectNodes('root/appointment/alldayevent');
			mfBoldDates(objApptNodes,objApptNodes1,objApptNodes2);
		}
	}
	if (onRSC_getBoldData.bFireDateChange)
	{
		onRSC_getBoldData.bFireDateChange=false;
		fire_OnDateChange();
	}
	if(null != m_oStatus )
	{
		m_oStatus.style.display="none";
		m_oStatus.innerText = "";
	}
}

//holds	calendar date range	including greyed next/prev months
mfGetAppointments.m_dTemp = new Date();
mfGetAppointments.szQuery="";
void function mfGetAppointments(fRenderView,fUpdateBolding,fResetQuery,fAppend,fNoFireUpdate)
{
	//fire datechange if viewer is on that date (or if explicityly overriden with fNoFireUpdate)
	var bFireDateChange=fNoFireUpdate?false:(fRenderView&&m_oViewDate >= m_oCalStartDate&&m_oViewDate <= m_oCalEndDate );
	//NOTE: for custom forms may not be logged on yet
	//      must attempt mfGetBoldData()to force logon before fire_OnDateChange()
	if (fUpdateBolding)
	{
		onRSC_getBoldData.bFireDateChange=bFireDateChange;  //fires AFTER getting data (could force log-on)
		//use 'get' method using fbinfo unless there is a custom filter applied
		mfGetBoldData( fResetQuery, (!m_fHasCustomFilter && 0==mfGetAppointments.szQuery.length) );
	}
	else if(bFireDateChange)
	{
		fire_OnDateChange(fAppend);
	}
}

//returns UTC date in "yyyy/mm/dd hh:mm:ss"	format for DAV searchrequests
void function mfGetSearchDateUTC(objDate)
{
	var	szYear		= objDate.getUTCFullYear();
	var	szMonth		= objDate.getUTCMonth()+1;
	var	szDate		= objDate.getUTCDate();
	var	szHrs		= objDate.getUTCHours();
	var	szMin		= objDate.getUTCMinutes();
	return (  szYear+"/"+
			((szMonth<10)?("0"+szMonth):szMonth)  +	"/"	+
			((szDate<10) ?("0"+szDate) :szDate)	  +	" "	+
			((szHrs<10)	 ?("0"+szHrs)  :szHrs)	  +	":"	+
			((szMin<10)	 ?("0"+szMin)  :szMin)	  +	":00"	);
}
void function mfBoldDates2(szString)
{
	var x,y;
	var rgNodes=null;
	for(x=7; x < m_rgCalCells.length; x++)
	{
		m_rgCalCells[x].runtimeStyle.fontWeight = ("1"==szString.substring(x-7,x-6)) ? "bold" : "normal";
	}
}

void function mfBoldDates(rgApptStartTimes,rgApptEndTimes,rgIsAllDayEvent)
{
	var x;
	var rgNodes=null;
	for(x=7; x < m_rgCalCells.length; x++)
	{
		rgNodes=mfGetNodes(m_rgCalCells[x].year,m_rgCalCells[x].month,Number(m_rgCalCells[x].innerText));
		m_rgCalCells[x].runtimeStyle.fontWeight = rgNodes.length ? "bold" : "normal";
	}
}
function mfGetNodes(iY,iM,iD)
{
	var dtstartUTC		= mfGetUTFIsoDate(iY, iM, iD, 0, 0);
	var dtendUTC		= mfGetUTFIsoDate(iY, iM, iD+1,0, 0);
	var szStartTimeQuery=	"(dtstart$ge$'" + dtstartUTC	+ "'&&dtstart$lt$'"	+ dtendUTC + "')";
	var szEndTimeQuery	=	"(dtend$gt$'" + dtstartUTC + "'&&dtend$le$'"+ dtendUTC+ "')";
	var szOutSideQuery	=	"(dtstart$lt$'" + dtstartUTC	+ "'&&dtend$gt$'"+ dtendUTC + "')";
	var szQuery			=	"root/appointment["	+ szStartTimeQuery + "||" +	szEndTimeQuery + "||" +	szOutSideQuery + "]";
	return(m_oOutPutXMLBold.selectNodes(szQuery));
}

mfGetUTFIsoDate.objD= new Date();
function mfGetUTFIsoDate(iYr,iMon,iDate,iHr,iMin)
{
	mfGetUTFIsoDate.objD.setFullYear(iYr,iMon,iDate);
	mfGetUTFIsoDate.objD.setHours(iHr,iMin,0);
	var iYear		= mfGetUTFIsoDate.objD.getUTCFullYear();
	var szMonth		= mfGetUTFIsoDate.objD.getUTCMonth()+1;
	var szDate		= mfGetUTFIsoDate.objD.getUTCDate();
	var szHours		= mfGetUTFIsoDate.objD.getUTCHours();
	var szMinutes	= mfGetUTFIsoDate.objD.getUTCMinutes();
	if (szMonth< 10)
	{
		szMonth	=  "0"+szMonth;
	}
	if (szDate < 10)
	{
		szDate =  "0"+szDate;
	}
	if (szHours	< 10)
	{
		szHours	=  "0"+szHours;
	}
	if (szMinutes <	10)
	{
		szMinutes =	 "0"+szMinutes;
	}
	return(String(iYear+"-"+szMonth+"-"+szDate+"T"+szHours+":"+szMinutes+":00.000Z"));
}

//szDtTime = ISO formatted UTC time	string = "1999-02-18T02:00:00.000Z"
//returns =	UTC	time in milliseconds
function mfGetIsoDateMs(szIsoDate)
{
	var re=mfGetRegExpIsoDates();
	re.lastIndex=0;
	var arr = re.exec( szIsoDate );
	return ( (null == arr) ? null : Date.UTC( Number( arr[1]), Number(arr[2])-1, Number(arr[3]), Number(arr[4]), Number(arr[5]), 0, 0 ) );
}

mfGetRegExpIsoDates.re;
function mfGetRegExpIsoDates()
{
	if (null == mfGetRegExpIsoDates.re)
	{
		mfGetRegExpIsoDates.re = /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):\d{2}\.\d{3}Z?$/;
	}
	return(mfGetRegExpIsoDates.re);
}

void function NO_OP()
{
	return;
}

function f_selectDate()
{
	mfFindAndSelectDate(false);
}
//Causes bolding for the current date
//does not fire datechanged event
function f_refresh()
{
	mfUpdateCalendar(false,true);
}
function f_gotoToday()
{
	put_view(0);
	put_FullYear(m_oTodaysDate.getFullYear());
	put_viewedFullYear(m_oTodaysDate.getFullYear());
	put_Month(m_oTodaysDate.getMonth());
	put_viewedMonth(m_oTodaysDate.getMonth());
	put_Date(m_oTodaysDate.getDate());
	m_oSelectedStart = new Date(m_oTodaysDate);
	m_oSelectedEnd = new Date(m_oTodaysDate);
	//reset if multiselected
	if (mfFindAndSelectDate.rgoDates.length)
	{
		mfFindAndSelectDate.rgoDates.length=0;
	}
	mfUpdateCalendar(true,false);
}

function put_readOnly(bVal){m_fReadOnly= mfToBool(bVal);}
function get_readOnly(){return m_fReadOnly;}
function get_Day(){return m_oSelectedStart.getDay();}
function get_Time(){return m_oSelectedStart.getTime();}
function put_Date(newVal)
{
	var iM1=m_oSelectedStart.getMonth();
	m_oSelectedStart.setDate(Number(newVal));
	var iM2=m_oSelectedStart.getMonth();
	m_oSelectedEnd.setDate(Number(newVal));
}
function get_Date(){return m_oSelectedStart.getDate();}
function put_Month(newVal) //does not change the viewed
{
	m_oSelectedStart.setMonth(Number(newVal));
	m_oSelectedEnd.setMonth(Number(newVal));
}
function put_viewedMonth(newVal){m_oViewDate.setMonth(Number(newVal));}
function get_viewedMonth(){return m_oViewDate.getMonth();}
function get_viewedFullYear(){return m_oViewDate.getFullYear();}
function get_Month(){return m_oSelectedStart.getMonth();}
function get_FullYear(){return m_oSelectedStart.getFullYear();}
function put_FullYear(newVal) //does not change the viewed
{
	m_oSelectedStart.setFullYear(Number(newVal));
	m_oSelectedEnd.setFullYear(Number(newVal));
}
function put_viewedFullYear(newVal){m_oViewDate.setFullYear(Number(newVal));}

//PARAM:0: Week containing 1/1 (default)
//		1: First full week following 1/1
//		2: First week of Jan containing at least four days
var m_bShowWeekNumbers=true;
function put_showWeekNumbers(bVal){m_bShowWeekNumbers = mfToBool(bVal);}
function get_showWeekNumbers(){return(m_bShowWeekNumbers);}
function put_filter(szFilter)
{
	m_szFilter = szFilter;
	m_fHasCustomFilter=true;
}
function get_filter(){return(m_szFilter);}
function put_filterAppend(szFilter){m_szFilterAppend = szFilter;}
function get_filterAppend(){return(m_szFilterAppend);}
function get_searchRequest(){return(mfGetBoldData.szQuery);}
function put_view(iView){m_iView = iView;}
function get_view(){return (m_iView);}
function put_allowMultiselect(bVal){m_fAllowMultiselect = mfToBool(bVal);}
function get_allowMultiselect(){return (m_fAllowMultiselect);}
function put_autoInitialize(bVal){m_bAutoInitialize = mfToBool(bVal);}
function put_readURLparams(bVal){m_bReadURLparams = mfToBool(bVal);}
function get_DOM(){return ( (m_fIsIE50)?element.document:this.document );}
