//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var g_RecipientXMLNode	=	null;;
var g_XML				=	null;
var g_XMLData			=	null;
var g_EditNameDialog	=	null;
var g_szDisplayName     =   "";

function window.onload()
{
	var oStyles = window.document.styleSheets[0];
	var szFont = "font-family:'" + window.document.body.currentStyle.fontFamily + "'";
	oStyles.addRule( "SELECT", szFont );
	oStyles.addRule( "INPUT", szFont );
	oStyles.addRule( "BUTTON", szFont );

	GetParams();
	BuildSelections();
	BuildCaptions();
	nameSelect.click();
}

function GetParams()
{
	var dlgArgs			= window.dialogArguments;
	g_EditNameDialog	= dlgArgs["g_EditNameDialog"];
	g_szDisplayName     = dlgArgs["g_DisplayName"];
	var tempXML		= 	new ActiveXObject("Microsoft.XMLDOM");
	var sz = dlgArgs["recipientTDData"]
	tempXML.loadXML(sz);
	g_XMLData			= tempXML;
}

function CreateOption(szDisplayName, szEmail, szType, value)
{
	var node = window.document.createElement("OPTION");

	if ("" == szType)
	{
		node.text	=	szDisplayName + "[" + szEmail + "]" ;
	}
	else
	{
		node.text	=	szDisplayName + "[" + szType + ":" + szEmail + "]";
	}
	
	node.value			= value;
	node.displayname	= szDisplayName;
	node.email			= szEmail;
	node.type			= szType;
	return(node);
}

function BuildSelections()
{

	var display, email;
	var szDisplay, szEmail, szType;
	var i;
	var node = null;
	if(g_XMLData == null)return(false);
	display		=	g_XMLData.selectNodes("a:response/a:recipients/a:item/a:displayname");
	email		=	g_XMLData.selectNodes("a:response/a:recipients/a:item/a:email");
	type		=	g_XMLData.selectNodes("a:response/a:recipients/a:item/a:type");
	var rgNodes	=	g_XMLData.selectNodes("a:response/a:recipients/a:item");
	for(i=0; i < display.length; i++)
	{
		szType	= type[i].text;
		szEmail	= email[i].text;
		szDisplay = display[i].text;
		node = CreateOption(szDisplay, szEmail, szType, i);
		nameSelect.add(node)
	}
}

function BuildCaptions()
{
	
	if(nameSelect.options.length == 0)
	{
		L_OutlookFoundMoreThanOne_Text	=	L_OutlookDoesNotRecognize_Text;
	}
	Caption_1.innerText = L_OutlookFoundMoreThanOne_Text + "\"" + g_szDisplayName + "\"";
}

function OnClick_OK()
{
	var fRet=false;
	if (optDelete.checked)
	{
        window.dialogArguments["returnedRecipientType"] = 0;	
        fRet=true;	
	}
    else
    {
    	var szSelect = nameSelect.value
	    if(szSelect == "")
	    {
	    	//if nothing to select let 'OK' close
	    	if (ANR_CONTENTS.innerText=="")
	    	{
	            this.returnValue=null;
	            self.close();
	    	}
	    	else
	    	{
	    	    alert(L_MustSelectName_Text);
	    	}    
	    	fRet = false;
	    }
	    else
	    {
	        var optionSelected = nameSelect.options[szSelect];
	        if(optionSelected != null)
	        {
	            window.dialogArguments["returnedRecipient"]			= optionSelected.text;
	            window.dialogArguments["returnedRecipientName"]		= optionSelected.displayname;
	            window.dialogArguments["returnedRecipientEmail"]	= optionSelected.email;
	            if (optionSelected.type == "")
	            {
		            window.dialogArguments["returnedRecipientType"]	= "SMTP";
		        }
		        else
		        {
		            window.dialogArguments["returnedRecipientType"]	= optionSelected.type;
		        }
            }
            fRet=true;
        }
    }

	if (true == fRet)
	{
	    this.returnValue=true;
	    self.close();
    }
    return(fRet);
}

function OnClick_Cancel()
{
	this.returnValue = null;
    self.close();
}

function OnClick_Help()
{

}

function nameSelect_ondblclick()
{
	OnClick_OK();
}

function LaunchHelp()
{
	if(idHelpLinkText != null)
	{
		window.open(idHelpLinkText.innerText,"OutlookWebAccessHelp","toolbar=0,location=0,directories=0,status=1,menubar=0,scrollbars=1,resizable=1,width=500,height=400")
	}
}