//Copyright (c) 2001 Microsoft Corporation.  All rights reserved.
//<script> colorize VID
var m_oTable = null;
var m_oLast = null;
var m_oLastFocus = null;
var m_nSelected = 0;
var m_oBtnSnooze = null;
var m_oBtnOpen = null;
var m_oBtnDismiss = null;
var m_oFldLocation = null;
var m_oFldSubject = null;
var m_oFldTime = null;
var m_fBlockSnd = true;
var m_winDocAll = null;
var m_rgLongDays;
var m_rgShortMonths;
var m_rgLongMonths;
var m_rgGenitiveMonths;
var CONST_MS_IN_1MIN = 1000 * 60;
var m_rgReUnits = new Array( /\%1([^\%]*)/g, /\%2([^\%]*)/g, /\%3([^\%]*)/g, /\%4([^ ]*)/g );
var m_rgField = /\%1/g;
var m_fSound = true;
var m_fInit = false;
var m_rePlural1 = null;
var m_rePlural2 = null;
var indexFunc = LabelIdx1;

function window.onload()
{
	m_rgLongDays = L_sdLongDayNames_Text.split(";");
	m_rgShortMonths = L_sdShortMonths_Text.split(";");
	m_rgLongMonths = L_sdLongMonths_Text.split(";");
	m_rgGenitiveMonths = L_GenitiveMonthNames_Text.split(";");

	var oStyles = window.document.styleSheets[0];
	var szFont = "font-family:'" + window.document.body.currentStyle.fontFamily + "'";
	oStyles.addRule( "SELECT", szFont );
	oStyles.addRule( "INPUT", szFont );
	oStyles.addRule( "BUTTON", szFont );

	m_rePlural1 = new RegExp( m_szPlural1 );
	if( " " != m_szPlural2 )
	{
		m_rePlural2 = new RegExp( m_szPlural2 );
		indexFunc = LabelIdx2;
	}
	else
	{
		indexFunc = LabelIdx1;
	}
	m_rgTimeUnits = m_szLTimeUnits.split(",");

	m_winDocAll = window.document.all;
	m_oTable = m_winDocAll("idReminders");

	m_oBtnSnooze = m_winDocAll("idSnooze");
	m_oBtnOpen = m_winDocAll("idOpen");
	m_oBtnDismiss = m_winDocAll("idDismiss");
	m_oFldLocation = m_winDocAll("idLocation");
	m_oFldSubject = m_winDocAll("idSubject");
	m_oFldTime = m_winDocAll("idStartTime");

	var obj = m_winDocAll("idClose");
	var nWidth = Math.max( obj.offsetWidth, m_oBtnSnooze.offsetWidth );
	nWidth = Math.max( nWidth, m_oBtnDismiss.offsetWidth );
	obj.style.pixelWidth = nWidth;
	m_oBtnDismiss.style.pixelWidth = nWidth;
	m_oBtnSnooze.style.pixelWidth = nWidth;
	window.document.body.firstChild.firstChild.lastChild.style.pixelWidth = nWidth + 10;

	if( null != window.dialogArguments )
	{
		var oArgs = window.dialogArguments;
		m_fSound = oArgs["Sound"];
		if( m_fSound )
		{
			var oSnd = document.createElement("BGSOUND");
			oSnd.id = "idSound";
			oSnd.src = oArgs["WavFile"];
			oSnd.LOOP=1;
			document.body.insertBefore( oSnd, null );
		}

		loadData( oArgs["xmlData"] );

		var oTBody = m_oTable.firstChild.nextSibling;
		var r = oTBody.firstChild;
		if( null != r )
		{
			selectRow( r, true );
			m_oBtnSnooze.focus();
		}
	}
	m_fBlockSnd = false;

	// Update Due In times every minute.
	setInterval( cb_UpdateDueIn, 60 * 1000 );
	m_fInit = true;
	resizeDialog();
}

function updateData( oData )
{
	loadData( oData );
}

function loadData( szXml )
{
	var oData = new ActiveXObject("Microsoft.XMLDOM");
	oData.async = false;
	oData.loadXML(szXml);

	var oItem = oData.selectSingleNode( "a:multistatus/SearchURL" );
	var szFolder = ( null != oItem ) ? oItem.text : "";

	var oItem = oData.selectSingleNode( "a:multistatus/timestamp" );
	var szTime = ( null != oItem ) ? oItem.text : "";

	var rgItems = oData.selectNodes( "a:multistatus/a:response" );
	var nCount = 0;
	var i;
	var r;

	// 1) Clone table to make updates into and adjust pointers
	var oTemp = m_oTable.cloneNode( true );
	updateDueIn(oTemp);
	var oTBody = oTemp.firstChild.nextSibling;
	if( null != m_oLast )
	{
		m_oLast = oTemp.rows( m_oLast.rowIndex );
	}
	if( null != m_oLastFocus )
	{
		m_oLastFocus = oTemp.rows( m_oLastFocus.rowIndex );
	}

	var dtCurrent = new Date();
	var cNew = 0;
	// 2) Interleave new data with old.
	for( i = 0; i < rgItems.length; i++ )
	{
		var oRow = buildRow( rgItems.nextNode(), szFolder, szTime, dtCurrent );
		var oInsertPt = null;
		var nStage = 0;
		var fExisting = false;
		for( r = oTBody.firstChild; r != null; r = r.nextSibling )
		{
			if( r.apptURL == oRow.apptURL && r.searchURL == szFolder )
			{
				// Found old copy of same data.
				r.fDelete = true; // mark for deletion
				oRow.className = r.className;
				if( oRow.className.length )
				{
					if( m_oLast == r )
					{
						m_oLast = oRow;
					}
					m_nSelected++;
				}
				fExisting = true;
				if( 2 == ++nStage )
				{
					break;
				}
			}
			else if( oRow.relative < r.relative )
			{
				// Found location to insert new item.
				if( null == oInsertPt )
				{
					oInsertPt = r;
				}
				if( 2 == ++nStage )
				{
					break;
				}
			}
			else if( oRow.relative === r.relative )
			{
				if( oRow.subject < r.subject && (null == oInsertPt) )
				{
					oInsertPt = r;
				}
			}
		}
		oTBody.insertBefore( oRow, oInsertPt );
		if( !fExisting )
		{
			cNew++;
		}
	}

	// 3) remove expired data from table
	i = pruneTable( oTemp, szFolder, szTime );

	// 4) Close dialog or swap in new data set.
	if( 0 == i )
	{
		showInfo( true );
		onClick("idClose");
	}
	else
	{
		showInfo( false );
		m_oTable.replaceNode( oTemp );
		m_oTable = oTemp;

		r = m_oTable.firstChild.nextSibling.firstChild;
		if( null == m_oLast )
		{
			if( m_nSelected )
			{
				clearSection( r, -1 );
			}
			enableFields( null );
		}
		if( m_fSound && cNew && !m_fBlockSnd)
		{
			var obj = m_winDocAll("idSound");
			obj.src = obj.src;
		}
	}
}

function pruneTable( oTable, szFolder, szTimeStamp )
{
	var r;
	var i = 0;
	for( r = oTable.firstChild.nextSibling.firstChild; null != r; )
	{
		if( (r.searchURL == szFolder && r.timestamp != szTimeStamp) || (true === r.fDelete) )
		{
			var pR = r;
			r = r.nextSibling;
			if( pR.className.length )
			{
				m_nSelected--;
			}
			if( m_oLast == pR )
			{
				m_oLast = null;
			}
			if( pR == m_oLastFocus )
			{
				m_oLastFocus = null;
			}
			pR.removeNode( true );
		}
		else
		{
			// Not expired so reattach event handlers that cloneNode removed.
			r.onclick = onRow;
			r.ondblclick = onDblClick;
			r.firstChild.onselectstart = onSelectStart;
			r.firstChild.oncontrolselect = onSelectStart;
			r.lastChild.onselectstart = onSelectStart;
			r = r.nextSibling;
			i++;
		}
	}
	oTable.oncontrolselect = onSelectStart;
	oTable.onselectstart = onSelectStart;
	return i;
}

function buildRow( oNode, szFolder, szTime, dtCurrent )
{
	var oTemp;
	var oRow = document.createElement("TR");

	oTemp = oNode.selectSingleNode("a:propstat/a:prop/Location");
	oRow.location = oTemp.text;
	if( null != oRow.location && oRow.location.length )
	{
		oRow.title = m_oFldLocation.previousSibling.innerText + oTemp.text;
	}
	oTemp = oNode.selectSingleNode("a:propstat/a:prop/URL");
	oRow.apptURL = oTemp.text;
	oRow.searchURL = szFolder;
	oRow.timestamp = szTime;
	oTemp = oNode.selectSingleNode("a:propstat/a:prop/Icon");
	oRow.iconSrc = oTemp.text;
	oTemp = oNode.selectSingleNode("a:propstat/a:prop/Type");
	oRow.type = oTemp.text;
	oTemp = oNode.selectSingleNode("a:propstat/a:prop/Subject");
	oRow.subject = oTemp.text;

	var oCell = document.createElement("TD");
	oCell.noWrap=true;
	oCell.className = "rmndrCol1";
	var oText = document.createTextNode(oTemp.text);
	oCell.insertBefore(oText, null);
	oRow.insertBefore(oCell, null);

	oTemp = oNode.selectSingleNode("a:propstat/a:prop/StartTime");
	var szTime = oTemp.text;
	var dtTemp = new Date( Date.UTC( szTime.substring(0,4),szTime.substring(5,7) - 1,szTime.substring(8,10),szTime.substring(11,13),szTime.substring(14,16) ) );
	oRow.startTime = dtTemp;
	oCell = document.createElement("TD");
	oCell.noWrap=true;
	oCell.className = "rmndrCol2";

	var i = (dtTemp - dtCurrent) / CONST_MS_IN_1MIN;
	oRow.relative =  ( i > 0 ) ? Math.floor( i ) : Math.ceil( i );
	var szText = toDueInString( oRow.relative );
	oText = document.createTextNode(szText);
	oCell.insertBefore(oText, null);
	oRow.insertBefore(oCell, null);
	return( oRow );
}

function toDueInString( msDue )
{
	var szText = "";
	if( 0 > msDue )
	{
		szText = m_szLOverdueFormat;
		msDue = -msDue;
	}
	else
	{
		szText = m_szLTimeFormat;
	}

	if( 1 < msDue )
	{
		var rgDue = new Array( 4 );
		rgDue[3] = rgDue[2] = rgDue[1] = 0;

		// Weeks
		rgDue[ 0 ] = Math.floor(msDue / (7 * 24 * 60));
		if( 2 > rgDue[ 0 ] )
		{
			// Days
			rgDue[1] = Math.floor( msDue / (24 * 60) ) % 7;
			if( 2 > rgDue[1] && 0 == rgDue[0] )
			{
				// Hours
				rgDue[2] = Math.floor( msDue / 60 ) % 24;
				if( 8 >= rgDue[2] && 0 == rgDue[1] )
				{
					// Minutes
					rgDue[3] = Math.floor( msDue ) % 60;
				}
			}
		}

		var szTemp = ""
		var nLabels = 0;
		var i;
		var idx;
		for( i = 0; i < 4; i++, nLabels+=3 )
		{
			var szTemp = ""
			if( 0 != rgDue[i] )
			{
				idx = indexFunc( rgDue[i] );
				szTemp = m_rgTimeUnits[ nLabels + idx ].replace(m_rgField, rgDue[i]) + "$1";
			}
			szText = szText.replace( m_rgReUnits[i], szTemp );
		}
		szText = szText.replace( /^\s+/, "" );
	}
	else
	{
		szText = m_rgTimeUnits[12];
	}
	return( szText );
}

function LabelIdx1( val )
{
	return (m_rePlural1.test(val)) ? 2 : 0;
}

function LabelIdx2( val )
{
	return (m_rePlural1.test(val)) ? 2 : (m_rePlural2.test(val)) ? 1 : 0;
}

function cb_UpdateDueIn()
{
	updateDueIn( m_oTable );
}

function updateDueIn( oTable )
{
	var dtCurrent = new Date();

	var oTBody = oTable.firstChild.nextSibling;
	var r = oTBody.firstChild;
	for( ;null != r; r = r.nextSibling )
	{
		var i = (r.startTime - dtCurrent) / CONST_MS_IN_1MIN;
		r.relative =  ( i > 0 ) ? Math.floor( i ) : Math.ceil( i );
		var szText = toDueInString( r.relative );
		var oCell = r.lastChild;
		oCell.innerText = szText;
	}
}

function Snooze( rgItems, iMinutes)
{
	fRc = false;
	if( null != window.dialogArguments )
	{
		var oArgs = window.dialogArguments;
		try
		{
			fRc = oArgs["Snooze"]( rgItems, iMinutes );
		}
		catch(e)
		{
			fRc = false;
		}
	}
	return( fRc );
}

function Dismiss( rgItems )
{
	fRc = false;
	if( null != window.dialogArguments )
	{
		var oArgs = window.dialogArguments;
		try
		{
			fRc = oArgs["Dismiss"]( rgItems );
		}
		catch(e)
		{
			fRc = false;
		}
	}
	return( fRc );
}
function onCbClick(szCommand, varValue )
{
	switch(szCommand.toUpperCase())
	{
		case "HELP":
			LaunchHelp();
			break;
	}
	return(true);
}
function onClick(szCmd, szArg)
{
	if( !m_fInit )
	{
		return;
	}

	showWarning( false );
	var oDate = new Date();
	var cTouched = 0;
	var oNext = null;
	var oTmpTable = null;
	var fError = false;
	switch( szCmd )
	{
		case "idClose":
			window.close();
			return;
		case "idSnooze":
			enableButtons( false );
			window.document.body.runtimeStyle.cursor = "wait";
			oTmpTable = m_oTable.cloneNode( true );
			var nTime = idSnoozeTime.value;
			var oRow = oTmpTable.firstChild.nextSibling.firstChild;
			cTouched = 0;
			var rgItems = new Array();
			var i = 0;
			while( null != oRow )
			{
				if( oRow.className.length )
				{
					rgItems[i++] = oRow;
					oRow.fDelete = true;
				}
				oRow = oRow.nextSibling;
			}
			if( rgItems.length )
			{
				if( !Snooze( rgItems, nTime) )
				{
					fError = true;
				}
				else
				{
					cTouched=rgItems.length;
					oNext = rgItems[cTouched-1].nextSibling;
					if( null == oNext )
					{
						oNext = rgItems[cTouched-1].previousSibling;
						while( null != oNext && true == oNext.fDelete )
						{
							oNext = oNext.previousSibling;
						}
					}
				}
			}
			window.document.body.runtimeStyle.cursor = "auto";
			enableButtons( true );
			break;
		case "idDismiss":
			enableButtons( false );
			window.document.body.runtimeStyle.cursor = "wait";
			oTmpTable = m_oTable.cloneNode( true );
			var oRow = oTmpTable.firstChild.nextSibling.firstChild;
			cTouched = 0;
			var rgItems = new Array();
			var i = 0;
			while( null != oRow )
			{
				if( oRow.className.length )
				{
					rgItems[i++] = oRow;
					oRow.fDelete = true;
				}
				oRow = oRow.nextSibling;
			}
			if( rgItems.length )
			{
				if( !Dismiss( rgItems ) )
				{
					fError = true;
				}
				else
				{
					cTouched=rgItems.length;
					oNext = rgItems[cTouched-1].nextSibling;
					if( null == oNext )
					{
						oNext = rgItems[cTouched-1].previousSibling;
						while( null != oNext && true == oNext.fDelete )
						{
							oNext = oNext.previousSibling;
						}
					}
				}
			}
			window.document.body.runtimeStyle.cursor = "auto";
			enableButtons( true );
			break;
		case "idDismissAll":
			enableButtons( false );
			window.document.body.runtimeStyle.cursor = "wait";
			oTmpTable = m_oTable.cloneNode( true );
			var oRow = oTmpTable.firstChild.nextSibling.firstChild;
			cTouched=1;
			var rgItems = new Array();
			var i = 0;
			while( null != oRow )
			{
				rgItems[i++] = oRow;
				oRow = oRow.nextSibling;
			}
			if( rgItems.length )
			{
				if( !Dismiss( rgItems ) )
				{
					fError = true;
				}
			}
			window.document.body.runtimeStyle.cursor = "auto";
			enableButtons( true );
			break;

		case "idOpen":
			var oRow = m_oLast;
			if( null != oRow )
			{
				enableButtons( false );
				window.document.body.runtimeStyle.cursor = "wait";
				window.open(oRow.apptURL+'?cmd=Open&type=instance&tzoffset=' + oDate.getTimezoneOffset(),String(Math.round(Math.random() * 100000)),"toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,width=700,height=500");
				window.document.body.runtimeStyle.cursor = "auto";
				enableButtons( true );
			}
			break;
	}

	if( cTouched || fError )
	{
		if( fError )
		{
			showWarning( true );
		}
		else
		{
			m_oLast = null;
			m_oLastFocus = null;
			m_nSelected = 0;

			if( null != oNext )
			{
				pruneTable( oTmpTable, null, null )
				m_oTable.replaceNode( oTmpTable );
				m_oTable = oTmpTable;
				m_oLast = null;
				m_nSelected=0;

				selectRow( oNext, true );
				if( null != oNext )
				{
					m_oBtnSnooze.focus();
				}
			}

			try
			{
				if( null != window.dialogArguments )
				{
					var oArgs = window.dialogArguments;
					oArgs["callback"]();
				}
			}
			catch(e)
			{
			}
		}

		if( !fError && null == oNext )
		{
			onClick("idClose");
		}
	}
}

function onRow()
{
	if( event.altKey )
	{
		return;
	}
	showWarning( false );
	if( event.ctrlKey )
	{
		if( event.shiftKey )
		{
			return;
		}
		m_oLastFocus = null;
		selectRow( this, false );
		this.focus();
	}
	else if( event.shiftKey )
	{
		m_oLastFocus = null;
		if( null == m_oLast )
		{
			return;
		}
		var n = Math.min( m_oLast.rowIndex, this.rowIndex );
		var m = Math.max( m_oLast.rowIndex, this.rowIndex );
		var oRow = m_oTable.firstChild.nextSibling.firstChild;
		var i;
		oRow = clearSection( oRow, n );
		for( i = n; i <= m; i++ )
		{
			oRow.className = "rmndrRowSel";
			oRow = oRow.nextSibling;
		}
		oRow = clearSection( oRow, -1 );
		m_nSelected = m-n+1;
		enableFields( this );
	}
	else
	{
		m_oLastFocus = null;
		if( 1 < m_nSelected )
		{
			var oRow;
			oRow = clearSection( m_oTable.firstChild.nextSibling.firstChild, -1 );
			m_oLast = null;
			m_nSelected = 0;
		}
		selectRow( this, true );
	}
}

function onDblClick()
{
	if( !m_fInit )
	{
		return;
	}
	selectRow( this, true );
	onClick( "idOpen" );
}

function selectRow( oRow, fExclusive )
{
	if( !fExclusive )
	{
		if( oRow.className.length )
		{
			oRow.className = "";
			m_nSelected--;
			m_oLast = oRow;
			if( 1 == m_nSelected )
			{
				// find last
				var obj = m_oTable.firstChild.nextSibling.firstChild;
				for( ; null != obj; obj = obj.nextSibling)
				{
					if( obj.className.length )
					{
						break;
					}
				}
				if( null != obj)
				{
					enableFields( obj );
				}
				else
				{
					m_nSelected = 0;
				}
			}
			else if( 0 == m_nSelected )
			{
				enableFields( null );
			}
			else
			{
				oRow.focus();
			}
			return;
		}
	}

	if( null != m_oLast && fExclusive)
	{
		if( m_oLast.className.length )
		{
			m_nSelected--;
			m_oLast.className = "";
		}
	}

	if( null != oRow )
	{
		oRow.className="rmndrRowSel";

		m_nSelected++;
		enableFields( oRow );
	}
	m_oLast = oRow;
}

function enableButtons( fEnable )
{
	m_oBtnDismiss.disabled = (!fEnable || (0 == m_nSelected));
	m_oBtnOpen.disabled = (!fEnable || (1 != m_nSelected));
	m_oBtnSnooze.disabled = idSnoozeTime.disabled = (!fEnable || (0 == m_nSelected));
	if( !fEnable )
	{
		m_winDocAll("idClose").disabled = true;
		m_winDocAll("idDismissAll").disabled = true;
	}
	else
	{
		var obj = m_winDocAll("idClose");
		if( obj.disabled )
		{
			obj.disabled = false;
		}
		obj = m_winDocAll("idDismissAll");
		if( obj.disabled )
		{
			obj.disabled = false;
		}
	}
}

function enableFields( obj )
{
	var fDisabled;
	if( null != obj && (1 == m_nSelected) )
	{
		m_oFldSubject.innerHTML = obj.firstChild.innerHTML;
		if( (null != obj.iconSrc) && (0 < obj.iconSrc.length) )
		{
			var oImg = null;
			oImg = document.createElement("IMG");
			oImg.src = obj.iconSrc;
			oImg.style.marginRight="0.5em";
			m_oFldSubject.insertAdjacentElement( "afterBegin", oImg );
		};
		m_oFldSubject.style.visibility = "visible"

		m_oFldTime.previousSibling.style.visibility="visible";
		m_oFldTime.innerText = mfDateToString( obj.startTime, L_szTimeFormat );
		m_oFldTime.style.visibility = "visible"
		m_oFldLocation.previousSibling.style.visibility="visible";
		m_oFldLocation.innerText = obj.location;
		m_oFldLocation.style.visibility = "visible"
		fDisabled = false;
	}
	else
	{
		m_oFldSubject.style.visibility = "hidden";
		m_oFldTime.previousSibling.style.visibility="hidden";
		m_oFldTime.style.visibility = "hidden";
		m_oFldLocation.previousSibling.style.visibility="hidden";
		m_oFldLocation.style.visibility = "hidden";
		fDisabled = true;
	}

	enableButtons( true );
}

function clearSection( oItem, cItem )
{
	for( ; (null != oItem) && (0 != cItem) && (0 < m_nSelected); oItem = oItem.nextSibling, cItem-- )
	{
		if( oItem.className.length )
		{
			oItem.className = "";
			m_nSelected--;
		}
	}
	return( oItem );
}

function isClipped( oRow, fDirUp )
{
	var oDiv = oRow.offsetParent.offsetParent;
	return ( fDirUp ) ? oDiv.scrollTop > oRow.offsetTop
					  : (oRow.offsetTop + oRow.offsetHeight) > (oDiv.scrollTop + oDiv.offsetHeight);
}

function window.document.onkeydown()
{
	if( !m_fInit )
	{
		return;
	}
	showWarning( false );

	if( event.ctrlKey || event.altKey )
	{
		return;
	}

	if( 27 == event.keyCode )
	{
		event.returnValue = false;
		window.close();
	}

	var fSelect = (null != event.srcElement && "SELECT" === event.srcElement.tagName );

	var oRow = null;
	var fCancel = false;
	var fTop = false;
	switch( event.keyCode )
	{
		case 112://F1
			if( !event.shiftKey )
			{
				fCancel = true;
				var obj = m_winDocAll("idHelp");
				if( null != obj )
				{
					onClick("idHelp", obj.helpLink );
				}
			}
			break;
		case 35: //end
			if( fSelect )
			{
				break;
			}
			fCancel = true;
			var oTBody = m_oTable.firstChild.nextSibling;
			oRow = oTBody.lastChild;
			break;
		case 36: //home
			if( fSelect )
			{
				break;
			}
			fCancel = true;
			var oTBody = m_oTable.firstChild.nextSibling;
			oRow = oTBody.firstChild;
			fTop = true;
			break;
		case 39: //right
		case 40: //down
			if( fSelect )
			{
				break;
			}
			fCancel = true;
			oRow = (null == m_oLastFocus ) ? m_oLast : m_oLastFocus;
			if( null != oRow )
			{
				oRow = oRow.nextSibling;
			}
			else
			{
				oRow = m_oTable.firstChild.nextSibling.firstChild;
			}
			break;
		case 37: //left
		case 38: //up
			if( fSelect )
			{
				break;
			}
			fCancel = true;
			oRow = (null == m_oLastFocus ) ? m_oLast : m_oLastFocus;
			fTop = true;
			if( null != oRow )
			{
				oRow = oRow.previousSibling;
			}
			else
			{
				oRow = m_oTable.firstChild.nextSibling.lastChild;
			}
			break;
	}
	if( null != oRow )
	{
		m_oLastFocus = oRow;
		if( !event.shiftKey )
		{
			clearSection( m_oTable.firstChild.nextSibling.firstChild, -1 );
			m_oLast = null;
			selectRow( oRow, true );
			if( isClipped( oRow, fTop ) )
			{
				oRow.scrollIntoView(fTop);
			}
		}
		else
		{
			if( null != m_oLast )
			{
				var n = Math.min( m_oLast.rowIndex, m_oLastFocus.rowIndex );
				var m = Math.max( m_oLast.rowIndex, m_oLastFocus.rowIndex );
				var oRow = m_oTable.firstChild.nextSibling.firstChild;
				var i;
				oRow = clearSection( oRow, n );
				for( i = n; i <= m; i++ )
				{
					oRow.className = "rmndrRowSel";
					oRow = oRow.nextSibling;
				}
				oRow = clearSection( oRow, -1 );
				m_nSelected = m-n+1;
				enableFields( m_oLastFocus );
				if( isClipped( m_oLastFocus, fTop ) )
				{
					m_oLastFocus.scrollIntoView(fTop);
				}
			}
		}
	}
	if( fCancel )
	{
		if( null != oRow )
		{
			m_oBtnSnooze.focus();
		}
		event.cancelBubble = true;
		event.returnValue = false;
	}
}

function showWarning( fShow )
{
	obj = m_winDocAll("idWarning");
	if( null == obj )
	{
		return;
	}
	var szText = (!fShow) ? "none" : "";
	if( obj.style.display != szText )
	{
		obj.style.display = szText;
	}
	showInfo( false );
}

function showInfo( fShow )
{
	var objInfo = m_winDocAll("idInformation");
	if ( null == objInfo)
	{
		return;
	}
	var szText = (!fShow) ? "none" : "";
	if( objInfo.style.display != szText )
	{
		objInfo.style.display = szText;
	}
}


function onSelectStart()
{
	event.returnValue = false;
	return false;
}

function mfDateToString(oDate, szFormat)
{
	if( null == szFormat || 0 == szFormat.length)
	{
		return oDate.toLocaleString();
	}
	var szText = szFormat;
	var szTemp;
	var re = /\[d+\]/;
	var fDays = re.test(szText);
	if( fDays )
	{
		var iDate = oDate.getDate();
		szText = szText.replace(/\[dddd?\]/g, m_rgLongDays[oDate.getDay()]);
		szTemp = (iDate+100).toString();
		szText = szText.replace(/\[dd\]/g, szTemp.substr(1));
		szText = szText.replace(/\[d\]/g,  iDate);
	}

	var iMonth = oDate.getMonth();
	szText = szText.replace(/\[MMMM\]/g, (fDays) ? m_rgLongMonths[iMonth] : m_rgGenitiveMonths[iMonth] );
	szText = szText.replace(/\[MMM\]/g,  m_rgShortMonths[iMonth]);
	szTemp = (iMonth+101).toString();
	szText = szText.replace(/\[MM\]/g, szTemp.substr(1));
	szText = szText.replace(/\[M\]/g,  iMonth+1);

	var szYear = oDate.getFullYear().toString();
	szText = szText.replace(/\[yyy+\]/g, szYear );
	szText = szText.replace(/\[yy?\]/g,  szYear.substr( 2 ));

	var i = oDate.getHours();
	if( i<12 )
	{
		szText = szText.replace(/\[tt?\]/g, L_AM_Text);
		szTemp = (i+100).toString();
		if( 0 != i )
		{
			szText = szText.replace(/\[hh\]/ig, szTemp.substr(1) );
			szText = szText.replace(/\[h\]/ig, i);
		}
		else
		{
			szText = szText.replace(/\[HH\]/g, "00" );
			szText = szText.replace(/\[H\]/g, "0");
			szText = szText.replace(/\[hh?\]/g, "12" );
		}
	}
	else
	{
		szText = szText.replace(/\[tt?\]/g, L_PM_Text);
		if( 12 != i )
		{
			szTemp = (i+100-12).toString();
			szText = szText.replace(/\[hh\]/g, szTemp.substr(1) );
			szText = szText.replace(/\[h\]/g, i-12);
		}
		else
		{
			szText = szText.replace(/\[hh?\]/g, 12 );
		}
		szText = szText.replace(/\[HH?\]/g, i );
	}

	var i = oDate.getMinutes();
	szText = szText.replace(/\[m\]/g, i);
	szTemp = (i+100).toString();
	szText = szText.replace(/\[mm\]/g, szTemp.substr(1));

	return(szText);
}

function resizeDialog()
{
	var oBody = window.document.body;
	if (oBody.clientHeight < oBody.scrollHeight)
	{
		var iHeight = oBody.scrollHeight + ( parseInt(window.dialogHeight, 10) - oBody.clientHeight) + 15;
		window.dialogHeight = iHeight + "px";
	}
	if (oBody.clientWidth < oBody.scrollWidth)
	{
		var iWidth = oBody.scrollWidth + ( parseInt(window.dialogWidth, 10) - oBody.clientWidth ) + 20;
		window.dialogWidth = iWidth + "px";
	}
}
