//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var g_iCurFlag = -1;
var g_iCurStatus = -1;
var m_gobjXMLHTTP;
var g_szImagePath;
var m_otblHeader = null;
var g_winDocAll;
var m_otxtBody = null;
var m_bPrevNext = false;

function private_getXMLHTTPObj()
{
	if (typeof(m_gobjXMLHTTP) != "OBJECT")
	{
		try
		{
			m_gobjXMLHTTP = new ActiveXObject("Microsoft.XMLHTTP");
		}  
		catch(e)
		{
			return(false);
		}
	}
	return(true);    
}
function window.onresize()
{
	txtMsgBody.style.posHeight = document.body.clientHeight - txtMsgBody.offsetTop - 5;
}
function window.onload() 
{
	if (null != opener && null != opener.idMsgViewer)
	{
		m_bPrevNext = true;
	}
	else
	{
		previous.runtimeStyle.filter = "alpha(opacity=35)"
		next.runtimeStyle.filter = "alpha(opacity=35)"
	}
	var x=0,iImp=0,iFlag=0;

	g_winDocAll = window.document.all;
	g_szImagePath = g_szVirtualRoot + "/img/";

	window.document.attachEvent("onkeydown",event_onkeydown);

	m_otblHeader = AccessFld(g_winDocAll.tblHeader);
	m_otxtBody = AccessFld(g_winDocAll.txtMsgBody);
	if( null != m_otxtBody )
	{
		var i;
		var objs = m_otxtBody.children;
		for( i = 0; i < objs.length; i++ )
		{
			if( "TABLE" == objs[i].tagName )
			{
				objs[i].border = 0;
				objs[i].tBodies[0].rows[0].cells[0].bgColor="";
				break;
			}
		}
	}

	var szText = "";
	var iImp = parseInt(g_szImportance);
	if( !isNaN(iImp) )
	{
		if (iImp == 2)
		{
			szText = L_MessageSentWithHighImportance_Text;
		}
		else if (iImp == 0)
		{
			szText = L_MessageSentWithLowImportance_Text;
		}
	}

	var iFlag = parseInt(g_szFlag);
	if( !isNaN(iFlag) )
	{
		//array set in util_OWA20.js
		if( 0 < L_rgszFlags[iFlag].length )
		{
			if( szText.length )
			{
				szText += '\r\n' + L_rgszFlags[iFlag];
			}
			else
			{
				szText = L_rgszFlags[iFlag];
			}
		}
	}
	if( 0 < szText.length )
	{
		var obj = AccessFld( g_winDocAll.trStatus );
		obj.style.display = "";

		obj = AccessFld( g_winDocAll.idStatusText );
		obj.style.display = "";
		obj.innerText = szText;
	}
	CheckHeaderFieldsHeight();
	window.onresize();   
}

function window.onbeforeprint()
{
	if( null != m_otxtBody )
	{
		m_otxtBody._szTitle = document.title;
		document.title = "";
	}
	obj = AccessFld(g_winDocAll.curUser);
	if( null != obj )
	{
		obj.innerText = g_szUserDisplayName;
	}
}

function window.onafterprint()
{
	document.title = m_otxtBody._szTitle;
}

function onCbClick(szCommand, varValue ) 
{
	if(event.button == 2)
	{
	    return(false);
	}
	var szURL  = window.document.location.protocol + "//" + window.document.location.host  + window.document.location.pathname + "?Cmd=" + szCommand; 
	var fOpen = true;

	switch(szCommand.toUpperCase()) 
	{
		case "PRINT":
			window.print();
			fOpen=false;
			break;
		case "PREVIOUS":
			if (m_bPrevNext)
			{
				try
				{
					opener.idMsgViewer.seekURL(g_szURL,-1,window.name);
				}
				catch(e)
				{
					self.close();
				}
				m_bPrevNext = false;
			}
			fOpen=false;
			break;
		case "NEXT":
			if (m_bPrevNext)
			{
				try
				{
					opener.idMsgViewer.seekURL(g_szURL,1,window.name);
				}
				catch(e)
				{
					self.close();
				}
				m_bPrevNext = false;
			}
			fOpen=false;
			break;
		
		case "MOVE":
			//Move message function is defined in util_OWA20.js
			var szMsgURL = window.document.location.protocol + "//" + window.document.location.host + window.document.location.pathname;
			var szContentClass = "urn:content-classes:news";
			if (MoveMessage(g_szUserBase, g_szUserDisplayName, szMsgURL, g_szVirtualRoot, szContentClass))
			{
				try
				{
					window.opener.RefreshMessageList(g_szFolder);
				}
				catch(e) { /* window.opener not available */ }
				self.close();
			}
			fOpen=false;
			break;
		case "DELETE":
			DeleteMessage(szURL, g_szUserBase)
			fOpen=false;
			break;
		case "HELP":
			LaunchHelp();
			fOpen=false;
			break;
	}
	if(fOpen)
	{
		this.location = szURL;
	}
	return(true);
}

function event_onkeydown() 
{
	switch(event.keyCode) 
	{   
		case 27:
			window.close();
			break;
		case 188:
			if (event.ctrlKey && !event.altKey)
				onCbClick("PREVIOUS");
			break;
		case 190:
			if (event.ctrlKey && !event.altKey)
				onCbClick("NEXT");
			break;
	}
	return(true);
}

function CheckHeaderFieldsHeight()
{
	var fields = m_otblHeader.children[4].children;
	var i;
	var nBegin = 2;
	var nLine = fields[nBegin].children[0].children[0].offsetHeight;
	for( i = nBegin; i < fields.length - 1; i++ )
	{
		var objItem = fields[i].children[1];
		if( objItem )
		{
			objItem = objItem.children[0];
			if( objItem )
			{
				objItem.style.overflow = "visible";
				objItem.runtimeStyle.overflow = "auto";
				objItem.runtimeStyle.height = (objItem.scrollHeight > nLine) ? 2 * nLine : nLine;
			}
		}
	}
}