//Copyright (c) 2000-2001 Microsoft Corporation.  All rights reserved.
//<script>

var g_winDocAll = null;
var g_iAddCount=0;
var g_iTabTopOffset = 38;
var g_fHasGottenFolders = false;
var g_rgAuthDomains = new Array();
var g_szrgErrors    = new Array();
var g_nFlybarHeight = 25;
var g_nFontHeight=13;

/*******Init Error String************/
m_szrgErrors = new Array();
m_szrgErrors[900]   = L_errCommunicationfailure_ErrorMessage;
m_szrgErrors[401]   = L_errLogonFailure_ErrorMessage;
m_szrgErrors[404]   = L_ErrorItemNotFound_ErrorMessage;
m_szrgErrors[403]   = L_errAccessDenied_ErrorMessage;
m_szrgErrors[412]   = L_errPreconditionfailure_ErrorMessage; 
m_szrgErrors[500]   = L_errInternalServerError_ErrorMessage;
m_szrgErrors[501]   = L_errInternalServerError_ErrorMessage;
m_szrgErrors[502]   = L_errBadGateway_ErrorMessage;  //DAV return Bad Gateway.  
// This error occurs when copying folders between private and public stores
m_szrgErrors[503]   = L_errServiceNotAvailable_ErrorMessage;

function objTree_OnAddNodes()
{
	if(g_fHasGottenFolders == false)
	{ 
		if (!g_fPublicOnly)
		{
			var szPublicFolderUrl = g_szPublicFolderUrl;

			g_fHasGottenFolders=true;
			
			if (g_szPublicFolderUrl == "")
			{
				// We are going through a front-end so go after /public
				// off the front-end host
				szPublicFolderUrl = window.location.protocol + "//" + window.location.host + "/public/";
			}
			objTree.addHierarchy(szPublicFolderUrl, false, g_szPublicFoldersDN);
		}
	}
}

function objTree_OnFolderOperationComplete()
{
	if(event != null && event.ContentType == 1)
	{
		try
		{
			if(parent != null && parent.viewer != null && null != parent.viewer.RefreshMessageList)
			{
				parent.viewer.RefreshMessageList();
			}
		}
		catch(e)
		{
		}
	}
}

function objTree_OnPickFolder()
{
	event.cancelBubble  = true;
	event.returnValue   = false;
	
	if(event)
	{
		if(event.isContext == true)
		{
			var node = objTree.selectedNode;
			var y=event.clientY+15
			var x = event.clientX;
			idTreeMenu.menuShow(true,x, y);
		}
		else
		{
				Navigate(event.URL + "?Cmd=contents"+((event.isDeletedItems)?"&allowShowDeleted=1":"") );
		}
	}
}

function objTree_OnAddHierarchy()
{
	
	objTree.style.display = ""
	event.cancelBubble  = true;
	event.returnValue   = false;
}

function flybar_keydown()
{
	if (event.ctrlKey)
	{
		return;
	}

	switch( event.keyCode )
	{
		case 13:	//Enter
		case 32:	//space
			event.cancelBubble=false;
			event.returnValue=false;
			ToggleTab( event.srcElement.id );
			break;
	}
}

function ToggleTab(srcElementID)
{
	event.cancelBubble = true;
	event.returnValue = false; 

	if (!g_fPublicOnly)
	{
		var tempEl;
		var srcEl = g_winDocAll[srcElementID];
	

		if(srcEl.id == "show_folders")
		{
			if(g_iAddCount == 0)
			{
				g_iAddCount++;

				treeProgress.style.display = "";
				g_nFontHeight = g_winDocAll.idLoading.offsetHeight;
				objTree.onreadystatechange = initializeTree;
				objTree.addBehavior(g_szVirtualRoot + "/CONTROLS/ExchangeTree.htc");
			}  

			g_winDocAll['nbTableMain'].style.height = "auto";
			g_winDocAll['idOutbarpane'].style.height=0;
			g_winDocAll['idOutbarpane'].style.display="none";
			var nHeight = window.document.body.clientHeight - g_winDocAll['nbTableMain'].offsetHeight;
			g_winDocAll['objTree'].style.height = nHeight;
			g_winDocAll['objTree'].style.display="";
		}
		if(srcEl.id == "show_navbar")
		{
			g_winDocAll['nbTableMain'].style.height = "100%";
			g_winDocAll['objTree'].style.display="none";
			g_winDocAll['idOutbarpane'].style.height="100%";
			g_winDocAll['idOutbarpane'].style.display="";
		}    
	}
}

function initializeTree()
{
	if (objTree.readyState == "complete")
	{
		if (g_fPublicOnly)
		{
			if (g_fPublicRoot)
				objTree.addHierarchy(window.location, true, g_szPublicFoldersDN);
			else
				objTree.addHierarchy(window.location, true, null);
		}
		else
		{
			objTree.addHierarchy(g_szUserBase, true, g_szUserDisplayName);
		}
		treeProgress.style.display = "none"
		var nHeight = window.document.body.clientHeight - g_winDocAll['nbTableMain'].offsetHeight;
		g_winDocAll['objTree'].style.height = nHeight;
	}
}

function window.onload()
{
	g_winDocAll = window.document.all;

	if(!g_szUserBase)
	{
		return(false);
	}

	if (g_fPublicOnly)
	{
		treeProgress.style.display = "";
		g_nFontHeight = g_winDocAll.idLoading.offsetHeight;

		objTree.onreadystatechange = initializeTree;
		objTree.addBehavior(g_szVirtualRoot + "/controls/exchangetree.htc")

		g_winDocAll['nbTableMain'].style.height = "auto";
		with( g_winDocAll['idOutbarpane'] )
		{
			style.height=0;
			style.display="none";
		}
		var nHeight = window.document.body.clientHeight - g_winDocAll['nbTableMain'].offsetHeight;
		g_winDocAll['objTree'].style.height = nHeight;
		g_winDocAll['objTree'].style.display="";
	}
}

function window.onresize()
{
	try
	{
		if (!g_fPublicOnly)
		{
			if( "none" == g_winDocAll['idOutbarpane'].style.display )
			{
				var nHeight = document.body.clientHeight - g_winDocAll['nbTableMain'].offsetHeight;
				g_winDocAll['objTree'].style.height = nHeight;
			}
		}
		else
		{
			var nHeight = document.body.clientHeight - g_winDocAll['nbTableMain'].offsetHeight;
			g_winDocAll['objTree'].style.height = nHeight;
		}
	}
	catch(e)
	{
		
	}
}

function Navigate(url)
{
	if(parent != null && url != null)
	{
		if(parent.viewer != null)
		{
			parent.viewer.location = url;
		}
	}
}

function slide_Tabs()
{
	ToggleTab(event.srcElement.parentElement.id);
}

function DoRenameCommand()
{
	var objFolder   = objTree.selectedNode;
	var szName      = objFolder.displayname;
	var szURL       = objFolder.url;
	
	var szNewName   =   prompt(L_RenameCurrentFolder_Text, szName);
	if(szNewName != null)
	{
		objTree.renameFolder(szURL, szNewName);
	}
}

function DoMoveCopyCommand(mode)
{
	var szDialog                        =   g_szUserBase+"?Cmd=dialog&template=dlg_movecopy"
	var szNewFolderDialog               =   g_szUserBase +"?Cmd=dialog&template=dlg_newfolder"      
	var rgParams                        =   new Array();
	rgParams["g_OpenerTreeCtrl"]        =   objTree;
	rgParams["g_CurrentFolderNode"]     =   objTree.selectedNode;
	rgParams["g_Location"]              =   g_szUserBase;
	rgParams["g_VirtualRoot"]           =   g_szVirtualRoot;
	rgParams["g_NewFolderDialogPath"]   =   szNewFolderDialog;    
	rgParams["g_MoveCopyMode"]          =   mode;

	var oStyle = g_winDocAll.idLoading.currentStyle;
	var nFontHeight = g_nFontHeight - 3;
	var szFont = "FONT:"+ oStyle.fontFamily + ";font-size:" + nFontHeight + ";";
	var nWidth = 50 + 25 * nFontHeight;
	var nHeight = 200 + 12 * nFontHeight;
	var hWin = window.showModalDialog(szDialog, rgParams, szFont+"dialogHeight:"+nHeight+"px;dialogWidth:"+nWidth+"px;status:no;resizable:yes;help:no;")       
}

function DoNewFolderCommand()
{
	//Verify that user has access to folder
	
	if(!f_Authenticate(objTree.selectedNode.url))
	{
		return(false)
	}
	
	var szNewFolderDialog           =   g_szUserBase +"?Cmd=dialog&template=dlg_newfolder"
	var rgParams                    =   new Array(); 
	rgParams["g_OpenerTreeCtrl"]    =   objTree;                  
	rgParams["g_CurrentFolderNode"] =   objTree.selectedNode;
	rgParams["g_Location"]          =   g_szUserBase;
	rgParams["g_VirtualRoot"]       =   g_szVirtualRoot;

	var oStyle = g_winDocAll.idLoading.currentStyle;
	var nFontHeight = g_nFontHeight - 3;
	var szFont = "FONT:"+ oStyle.fontFamily + ";font-size:" + nFontHeight + "px;";
	var nWidth = 50 + 25 * nFontHeight;
	var nHeight = 220 + 12 * nFontHeight;
	var hWin = window.showModalDialog(szNewFolderDialog, rgParams, szFont+"dialogHeight:"+nHeight+"px;dialogWidth:"+nWidth+"px;status:no;resizable:yes;help:no;")   
}

function f_Authenticate(szURL)
{
	var szServerName = f_getServerName(szURL);
	var iStatus = 0;
	var bretval = true;
	var szDocumentDomain = window.document.domain
	if(szDocumentDomain.toLowerCase() != szServerName.toLowerCase())
	{
		//Check the cache to see if already authenticated
		if(null == g_rgAuthDomains[szServerName])
		{
			/*** Send an options to the server to cause authentication to the new domain */
			var objXMLHTTP = new ActiveXObject("Microsoft.XMLHTTP");
			objXMLHTTP.open( "OPTIONS", szURL,false);
			objXMLHTTP.send();
			
			if(200 != objXMLHTTP.status)
			{
				
				f_HandleError(iStatus);
				bretval = false;
			}
			else
			{
				//Set empty string to server name.  We only use this array as a look up.
				
				g_rgAuthDomains[szServerName] = "";
				bretval = true;
			}
		}   
		else
		{
			bretval = true;
		}
	}       
	return(bretval)
}

function f_getServerName(szURL)
{
	f_getServerName.re.lastIndex=0;
	var rgVals = f_getServerName.re.exec(szURL)
	return(rgVals[1])
}
f_getServerName.re =  new RegExp("^https?://([^/]+)","i")

function f_HandleError(num)
{
	if(g_szrgErrors[num])
	{
		alert(g_szrgErrors[num]);
		return true;
	}
	else
		return false;
}

function MenuSelect(item)
{
	switch (item)
	{
		case "Delete": 
			var node    =   objTree.selectedNode;
			var szName  =   node.displayname;
			var szURL   =   node.url;
			if(confirm(L_ConfirmDelete_Text))
			{
				objTree.deleteFolder(szURL);            
			}
		break;
		case "Rename":
			DoRenameCommand();
		break;
		case "Copy":
			DoMoveCopyCommand("Copy");
		break;
		case "Move":
			DoMoveCopyCommand("Move");
		break;
		case "New Folder":
			DoNewFolderCommand();
		break;
		case "Open":
			var node = objTree.selectedNode;
			if(node)
			{
				Navigate(node.url + "?Cmd=contents");       
			}
		break;
		case "OpenNewWindow":
			var node        = objTree.selectedNode;
			var szURL       = node.url + "?Cmd=contents";
			var windowName  = new String(Math.round(Math.random() * 100000));
			var hWin = window.open(szURL,windowName,"toolbar=1,location=1,directories=1,status=1,menubar=1,scrollbars=1,resizable=1")
		break;
	
	}            
	return (false);
}
